# This is binder's parameter file!
#---------------------------------
 MyModuleId   MOD_BINDER_MAX  # module id for this instance of binder
 RingName     PICK_RING       # transport ring for I/O
 BufferRing   BINDERMAX_RING  # private ring for buffering incoming picks
                              #  (default=BINDERMAX_RING)
 LogFile      1               # 0 = turn off logging
                              # 1 = log to disk and stderr/stdout 
                              # 2 = log to disk but not to stderr/stdout
 BufferRingKB 4096            # Size of private ring in kilobytes (default=256).

 HeartbeatInt 30              # Seconds between heartbeats

# List the message logos to grab from transport ring
#              Installation       Module      # Message Type
#-------------------------------------------------------------
 GetPicksFrom  INST_WILDCARD    MOD_WILDCARD  # TYPE_PICK_SCNL

# Set level of output for writing log file
#-----------------------------------------
#log_stack            # comment out to turn of grid-stack logging
 hypcode    7         # Sets a value to specify how much information should be 
                      # included in binder's log file after each event 
                      # relocation. Possible values 0-7.

grid_debug 0
#bind_debug 1

# for 3C picking
no_S_on_Z
no_P_on_Horiz
                         

# Load station list
#------------------
 maxsite 10240
# site_file korea_maxel.hinv
 site_file KOREA.hinv

# Load crustal model 
# Refer to file containing "lay" commands, or list them here
#-----------------------------------------------------------
#@korea_vmodel.d
@Kimetal_model.d

# Set FIFO lengths
#-----------------
 pick_fifo_length  1000   # optional: default=1000
 quake_fifo_length  100   # optional: default=100
#============================================================
# Number of Travel time Grids Per unit Distance
#-----------------------------------------
nTravGPD 1           # 1 : default
                     # 2 : dense seismic network
#============================================================

# Define association grid, set MLH parameters.
#--------------------------------------------------
 dspace     8.0    10.0           # grid sizes for horizontal and vertical grids
 grdlat    32.8    39.0
 grdlon   123.8   130.5
 grdz       0.0    30.0
#============================================================
 rmax_bind  300.0                 # maximum distance for bining (default 200 km)
 tres_bind    1.5                 # maximum travel time residual for removing outliers  
 njoint        30                 # maximum number of triggers for chekcing the MLE
 thresh_triggered     2 100.      # threshold number of triggered stations within a given distance
# thresh_triggered     3 100.
 min_pick   4                     # minimum number of triggered stations
 min_likely  0.4                  # minimum likelyhood value
 InOperation 1                    # maximum allowable elapsed time since the last trigger
                                  # criterion to verify whether the station is operational
                                  # 0 : assume that all stations in the list is in operation
 InOprRate  100. 0.5
#============================================================

 define_glitch 4 0.2     # do not associate any lightening strikes
 grid_wt 0  4
 grid_wt 1  3
 grid_wt 2  2
 grid_wt 3  1

# refinement Oct 7, 2013
# set thresh 12 (from 11)
# set grid_wt 1 to wt 3 (from 4)


# Set parameters for associating picks with active hypocenters
#-------------------------------------------------------------
 rAvg_Factor 4.0
 taper   0.0     0.25
 taper   25.0    0.5
 taper   50.0    0.75
# bfh: 11/5/94: "variable taper" proportional to Origin Time Uncertainty:
# Set both to 0.0 to get Carl's original distance taper only.
 taper_OT 2.0    0.4
 t_dif   -1.0    50.

# Set parameters for locating events
#-----------------------------------
 wt 0 1.0
 wt 1 1.0
 wt 2 0.25
 wt 3 0.125
 ph P  1.0
 ph Pn 0.5
 ph Pg 0.5
 r_max  400.0
 zrange 0.0 20.0
 MaxStep 10.0  2.0
 MinXYZstep 0.1
 MaxIter 4
 MaxDeltaRms 1.0001
 locate_eq  30   2
 locate_eq  50   4
 locate_eq  75   8
 locate_eq 100  16

# Set parameters for assessing groups of picks
# with Bill Ellsworth's resampling technique:
#----------------------------------------------
 assess_pk  0  0
 maxtrial   500
 maxwt      3
 v_halfspace  5.0
 residual_cut  0.0  200.0
#log_accepted

# Load in the next valid quake sequence number
#---------------------------------------------
 EventIdFile quake_id.d

# THE END
