
# Latency Module config file 
# for processing waveform files from wave ring and writing to latency ring

debug	0					# Debug level (0=none, higher numbers for more debug messages)

# IDs 

WaveRingName      WAVE_RING			# read waveforms from this ring
LatencyRingName	EXPORT_RING			# play latencies into this ring
ModuleId				MOD_LATENCY			# as this module id


# Operational parameters

Mode					SNW_MODE 			# Operational mode (Options are RAW_MODE, FORCED_MODE, INTERP_MODE, SNW_MODE)
Timeout				600.0					# Number of seconds allowed before declaring a gap
Interval				300.0					# Integration interval for interpolation calculations (seconds)
SleepTime			5.0					# Time to sleep if no data is found (milliseconds)
Increment			300.0					# Time between output records
HeartbeatTime		600.0					# Heartbeat interval (seconds)

RenameChannels		0						# Apply channel renaming conventions (0 or 1)
Host					iron					# Machine name

TestMode				0						# Toggles special debugging/test operations; set to 0 when 
												# actually deploying module

# Output header values

Chan_0				"L"
Chan_1				"1"
Version_0			"1"
Version_1			"0"
Pin					0
Nsamp					1
Samprate				1.0
Datatype				"i4"
Pad					""
LocationCode	  "99"

# the values below are for SNW Socket server sending
Client				quartz.gps.caltech.edu
Port					5544

# The "Quality" field is actually two characters, similar to the Version fields.
# This module hijacks the Quality field to register processing delays caused
# by sleep cycles.


# Input file contining SCNL names

SCNLfile				"/home/agood/cisn/RT/branches/linux-dev-CI-branch-64-cms2ew/latency2/taglist.txt"	# list of SCNL tags to read

