/*
 * initvar.c
 * Modified from initvar.c, in src/eew/pick_gm
 */

#include <stdlib.h>
#include <string.h>
#include <earthworm.h>
#include "gm_data.h"
#include "report_gm.h"

   /*******************************************************************
    *                            InitVar()                            *
    *                                                                 *
    *       Initialize STATION variables to 0 for one station.        *
    *******************************************************************/

void InitVar( STATION *Sta )
{
   int data_table_size;
   memset(Sta, 0, sizeof(STATION));
   Sta->last_saved_index = -1;
   data_table_size = init_gm_data();
   if (data_table_size <= 0)
   {
      logit("e", "report_gm: no data table size\n");
      return;
   }
   Sta->pg_table = calloc(data_table_size, sizeof(PG_TABLE_ENTRY));
   if (Sta->pg_table == NULL)
   {
      logit("e", "report_gm: could not allocate pg table <%d>. Exiting.\n", data_table_size);
      return;
   }
}
