import os

from flask import Flask
from ewave_plot.libs.config import Config

#from flask_sqlalchemy import SQLAlchemy
#from ewave_plot.libs.app.flask_logs import LogSetup
from ewave_plot.app.flask_logs import LogSetup
#from aqms_pdl.libs.libs_log import read_config

from obspy import UTCDateTime

'''
https://blog.miguelgrinberg.com/post/the-flask-mega-tutorial-part-i-hello-world-legacy
If you are wondering why the import statement is at the end and not
at the beginning of the script as it is always done, the reason is
to avoid circular references, because you are going to see that the
views module needs to import the app variable defined in this script.
Putting the import at the end avoids the circular import error.
'''

app = Flask(__name__, static_url_path='/static/',
            static_folder=Config.STATIC_FOLDER)

#app = Flask(__name__,
            #static_url_path='',
            #static_folder='/static',
            #static_folder='app/static',
            #template_folder='web/templates'
            #)

# In case this is being called in the old way,
#Config.EVENTS['MAXROWS'] = Config.MAXROWS
#Config.EVENTS['MAXDAYS'] = 5000

#from flask_bootstrap import Bootstrap
#bootstrap = Bootstrap(app)

# Now set app.config:
app.config.from_object(Config)

# And configure app.logger
logs = LogSetup()
logs.init_app(app)

width = 30
now = UTCDateTime.utcnow().strftime('%Y-%m-%dT%H:%M:%S.%f')[:-4]

logger = app.logger

txt="[ Start of %s ]" % Config.APP_NAME
logger.info(f"{txt: >{width}}".format(txt=txt, width=width))
logger.info(f"{'utc' : >{width}}:{now}".format(width=width))
logger.info(f"{'host': >{width}}:{os.uname().nodename}".format(width=width))
logger.info(f"{'--host': >{width}}:{Config.FLASK_HOST}".format(width=width))
logger.info(f"{'port': >{width}}:{Config.FLASK_PORT}".format(width=width))

for field in ['LOG_DIR', 'APP_LOG_NAME', 'LOG_LEVEL',
              'SEND_FILE_MAX_AGE_DEFAULT',
              'DEBUG']:
              #'ENV', 'DEBUG']:

    if field == 'SQLALCHEMY_DATABASE_URI':
        # obscure user + pw in log:
        #postgresql://user:xxx-pw-xxx@localhost:5432/myarch
        user = app.config[field].split(':')[1].replace('//','')
        pw = app.config[field].split(':')[2].split('@')[0]
        logger.info(f"{field:>{width}}:{app.config[field].replace(pw, 'xxxxx').replace(user, 'user')}".format(width=width))
    else:
        logger.info(f"{field:>{width}}:{app.config[field]}".format(width=width))

#from app import views
#from app import routes, models

app.config['SECRET_KEY'] = os.urandom(24).hex()

app.config['BUNDLE_ERRORS'] = True

from ewave_plot.app import routes
