// @license magnet:?xt=urn:btih:0b31508aeb0634b347b8270c7bee4d411b5d4109&dn=agpl-3.0.txt AGPL-v3.0
/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var runtime = (function (exports) {
  "use strict";

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  function define(obj, key, value) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
    return obj[key];
  }
  try {
    // IE 8 has a broken Object.defineProperty that only works on DOM objects.
    define({}, "");
  } catch (err) {
    define = function(obj, key, value) {
      return obj[key] = value;
    };
  }

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  exports.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  define(IteratorPrototype, iteratorSymbol, function () {
    return this;
  });

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = GeneratorFunctionPrototype;
  define(Gp, "constructor", GeneratorFunctionPrototype);
  define(GeneratorFunctionPrototype, "constructor", GeneratorFunction);
  GeneratorFunction.displayName = define(
    GeneratorFunctionPrototype,
    toStringTagSymbol,
    "GeneratorFunction"
  );

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      define(prototype, method, function(arg) {
        return this._invoke(method, arg);
      });
    });
  }

  exports.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  exports.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      define(genFun, toStringTagSymbol, "GeneratorFunction");
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  exports.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator, PromiseImpl) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return PromiseImpl.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return PromiseImpl.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration.
          result.value = unwrapped;
          resolve(result);
        }, function(error) {
          // If a rejected Promise was yielded, throw the rejection back
          // into the async generator function so it can be handled there.
          return invoke("throw", error, resolve, reject);
        });
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new PromiseImpl(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
    return this;
  });
  exports.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  exports.async = function(innerFn, outerFn, self, tryLocsList, PromiseImpl) {
    if (PromiseImpl === void 0) PromiseImpl = Promise;

    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList),
      PromiseImpl
    );

    return exports.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        // Note: ["return"] must be used for ES3 parsing compatibility.
        if (delegate.iterator["return"]) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  define(Gp, toStringTagSymbol, "Generator");

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  define(Gp, iteratorSymbol, function() {
    return this;
  });

  define(Gp, "toString", function() {
    return "[object Generator]";
  });

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  exports.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  exports.values = values;

  function doneResult() {
    return { value: undefined, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined;
      }

      return ContinueSentinel;
    }
  };

  // Regardless of whether this script is executing as a CommonJS module
  // or not, return the runtime object so that we can declare the variable
  // regeneratorRuntime in the outer scope, which allows this module to be
  // injected easily by `bin/regenerator --include-runtime script.js`.
  return exports;

}(
  // If this script is executing as a CommonJS module, use module.exports
  // as the regeneratorRuntime namespace. Otherwise create a new empty
  // object. Either way, the resulting object will be used to initialize
  // the regeneratorRuntime variable at the top of this file.
  typeof module === "object" ? module.exports : {}
));

try {
  regeneratorRuntime = runtime;
} catch (accidentalStrictMode) {
  // This module should not be running in strict mode, so the above
  // assignment should always work unless something is misconfigured. Just
  // in case runtime.js accidentally runs in strict mode, in modern engines
  // we can explicitly access globalThis. In older engines we can escape
  // strict mode using a global Function call. This could conceivably fail
  // if a Content Security Policy forbids using Function, but in that case
  // the proper solution is to fix the accidental strict mode problem. If
  // you've misconfigured your bundler to force strict mode and applied a
  // CSP to forbid Function, and you're not willing to fix either of those
  // problems, please detail your unique predicament in a GitHub issue.
  if (typeof globalThis === "object") {
    globalThis.regeneratorRuntime = runtime;
  } else {
    Function("r", "regeneratorRuntime = r")(runtime);
  }
}

"use strict";var _regeneratorRuntime=_interopRequireDefault(regeneratorRuntime);function _arrayLikeToArray(g,j){(j==null||j>g.length)&&(j=g.length);for(var Q=0,ee=new Array(j);Q<j;Q++)ee[Q]=g[Q];return ee}function _arrayWithHoles(g){if(Array.isArray(g))return g}function _arrayWithoutHoles(g){if(Array.isArray(g))return _arrayLikeToArray(g)}function _assertThisInitialized(g){if(g===void 0)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return g}function _classCallCheck(g,j){if(!(g instanceof j))throw new TypeError("Cannot call a class as a function")}function isNativeReflectConstruct(){if(typeof Reflect=="undefined"||!Reflect.construct||Reflect.construct.sham)return!1;if(typeof Proxy=="function")return!0;try{return Date.prototype.toString.call(Reflect.construct(Date,[],function(){})),!0}catch(g){return!1}}function _construct(g,j,Q){return isNativeReflectConstruct()?_construct=Reflect.construct:_construct=function(xe,qe,it){var $e=[null];$e.push.apply($e,qe);var at=Function.bind.apply(xe,$e),Ae=new at;return it&&_setPrototypeOf(Ae,it.prototype),Ae},_construct.apply(null,arguments)}function _defineProperties(g,j){for(var Q=0;Q<j.length;Q++){var ee=j[Q];ee.enumerable=ee.enumerable||!1,ee.configurable=!0,"value"in ee&&(ee.writable=!0),Object.defineProperty(g,ee.key,ee)}}function _createClass(g,j,Q){return j&&_defineProperties(g.prototype,j),Q&&_defineProperties(g,Q),g}function _get(g,j,Q){return typeof Reflect!="undefined"&&Reflect.get?_get=Reflect.get:_get=function(xe,qe,it){var $e=_superPropBase(xe,qe);if($e){var at=Object.getOwnPropertyDescriptor($e,qe);return at.get?at.get.call(it):at.value}},_get(g,j,Q||g)}function _getPrototypeOf(g){return _getPrototypeOf=Object.setPrototypeOf?Object.getPrototypeOf:function(Q){return Q.__proto__||Object.getPrototypeOf(Q)},_getPrototypeOf(g)}function _inherits(g,j){if(typeof j!="function"&&j!==null)throw new TypeError("Super expression must either be null or a function");g.prototype=Object.create(j&&j.prototype,{constructor:{value:g,writable:!0,configurable:!0}}),j&&_setPrototypeOf(g,j)}function _instanceof(g,j){return j!=null&&typeof Symbol!="undefined"&&j[Symbol.hasInstance]?!!j[Symbol.hasInstance](g):g instanceof j}function _interopRequireDefault(g){return g&&g.__esModule?g:{default:g}}function _isNativeFunction(g){return Function.toString.call(g).indexOf("[native code]")!==-1}function _iterableToArray(g){if(typeof Symbol!="undefined"&&g[Symbol.iterator]!=null||g["@@iterator"]!=null)return Array.from(g)}function _iterableToArrayLimit(g,j){var Q=g==null?null:typeof Symbol!="undefined"&&g[Symbol.iterator]||g["@@iterator"];if(Q!=null){var ee=[],xe=!0,qe=!1,it,$e;try{for(Q=Q.call(g);!(xe=(it=Q.next()).done)&&(ee.push(it.value),!(j&&ee.length===j));xe=!0);}catch(at){qe=!0,$e=at}finally{try{!xe&&Q.return!=null&&Q.return()}finally{if(qe)throw $e}}return ee}}function _nonIterableRest(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _possibleConstructorReturn(g,j){return j&&(_typeof(j)==="object"||typeof j=="function")?j:_assertThisInitialized(g)}function _setPrototypeOf(g,j){return _setPrototypeOf=Object.setPrototypeOf||function(ee,xe){return ee.__proto__=xe,ee},_setPrototypeOf(g,j)}function _slicedToArray(g,j){return _arrayWithHoles(g)||_iterableToArrayLimit(g,j)||_unsupportedIterableToArray(g,j)||_nonIterableRest()}function _superPropBase(g,j){for(;!Object.prototype.hasOwnProperty.call(g,j)&&(g=_getPrototypeOf(g),g!==null););return g}function _taggedTemplateLiteral(g,j){return j||(j=g.slice(0)),Object.freeze(Object.defineProperties(g,{raw:{value:Object.freeze(j)}}))}function _toConsumableArray(g){return _arrayWithoutHoles(g)||_iterableToArray(g)||_unsupportedIterableToArray(g)||_nonIterableSpread()}var _typeof=function(g){"@swc/helpers - typeof";return g&&typeof Symbol!="undefined"&&g.constructor===Symbol?"symbol":typeof g};function _unsupportedIterableToArray(g,j){if(g){if(typeof g=="string")return _arrayLikeToArray(g,j);var Q=Object.prototype.toString.call(g).slice(8,-1);if(Q==="Object"&&g.constructor&&(Q=g.constructor.name),Q==="Map"||Q==="Set")return Array.from(Q);if(Q==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(Q))return _arrayLikeToArray(g,j)}}function _wrapNativeSuper(g){var j=typeof Map=="function"?new Map:void 0;return _wrapNativeSuper=function(ee){if(ee===null||!_isNativeFunction(ee))return ee;if(typeof ee!="function")throw new TypeError("Super expression must either be null or a function");if(typeof j!="undefined"){if(j.has(ee))return j.get(ee);j.set(ee,xe)}function xe(){return _construct(ee,arguments,_getPrototypeOf(this).constructor)}return xe.prototype=Object.create(ee.prototype,{constructor:{value:xe,enumerable:!1,writable:!0,configurable:!0}}),_setPrototypeOf(xe,ee)},_wrapNativeSuper(g)}function _isNativeReflectConstruct(){if(typeof Reflect=="undefined"||!Reflect.construct||Reflect.construct.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],function(){})),!0}catch(g){return!1}}function _createSuper(g){var j=_isNativeReflectConstruct();return function(){var ee=_getPrototypeOf(g),xe;if(j){var qe=_getPrototypeOf(this).constructor;xe=Reflect.construct(ee,arguments,qe)}else xe=ee.apply(this,arguments);return _possibleConstructorReturn(this,xe)}}function _templateObject(){var g=_taggedTemplateLiteral([' <div class="title">',"</div> "]);return _templateObject=function(){return g},g}function _templateObject1(){var g=_taggedTemplateLiteral(['\n      <div class="container ','">\n        <div class="badge-container">\n          <div class="badge">','</div>\n        </div>\n        <div class="content-container">\n          ','\n          <div class="content">\n            <slot></slot>\n          </div>\n        </div>\n      </div>\n    ']);return _templateObject1=function(){return g},g}function _templateObject2(){var g=_taggedTemplateLiteral(["var(--formSectionBadgeTransition, 0.25s ease-out)"]);return _templateObject2=function(){return g},g}function _templateObject3(){var g=_taggedTemplateLiteral(["var(--formSectionBadgeMargin, 1rem)"]);return _templateObject3=function(){return g},g}function _templateObject4(){var g=_taggedTemplateLiteral(["var(--formSectionBadgeBackgroundColor, #333)"]);return _templateObject4=function(){return g},g}function _templateObject5(){var g=_taggedTemplateLiteral(["var(--formSectionBadgeRadius, 1.2rem)"]);return _templateObject5=function(){return g},g}function _templateObject6(){var g=_taggedTemplateLiteral(["calc("," * 2)"]);return _templateObject6=function(){return g},g}function _templateObject7(){var g=_taggedTemplateLiteral(["var(--formSectionBadgeFontSize, 1.8rem)"]);return _templateObject7=function(){return g},g}function _templateObject8(){var g=_taggedTemplateLiteral(["var(--formSectionBadgeFontWeight, bold)"]);return _templateObject8=function(){return g},g}function _templateObject9(){var g=_taggedTemplateLiteral(["var(--formSectionBadgeFontColor, #fff)"]);return _templateObject9=function(){return g},g}function _templateObject10(){var g=_taggedTemplateLiteral(["var(--formSectionTitleFontSize, 1.8rem)"]);return _templateObject10=function(){return g},g}function _templateObject11(){var g=_taggedTemplateLiteral(["var(--formSectionTitleFontWeight, bold)"]);return _templateObject11=function(){return g},g}function _templateObject12(){var g=_taggedTemplateLiteral(["var(--formSectionContentBackgroundColor, transparent)"]);return _templateObject12=function(){return g},g}function _templateObject13(){var g=_taggedTemplateLiteral(["var(--formSectionTextColor, #333)"]);return _templateObject13=function(){return g},g}function _templateObject14(){var g=_taggedTemplateLiteral(["calc("," * 2)"]);return _templateObject14=function(){return g},g}function _templateObject15(){var g=_taggedTemplateLiteral(["\n      :host {\n        display: block;\n        background-color: ",";\n        color: ",";\n      }\n      .container {\n        position: relative;\n        padding: 0.5rem;\n      }\n\n      .content-container {\n        position: relative;\n        left: calc("," + ",");\n        width: calc(100% - ("," + ","));\n        transition: ",";\n        z-index: 1;\n      }\n\n      .hidebadge .content-container {\n        left: 0;\n        width: 100%;\n      }\n\n      .hidebadge .badge-container {\n        display: none;\n      }\n\n      .hidebadgeleavespacing .badge {\n        display: none;\n      }\n\n      .badge-container {\n        position: absolute;\n        width: ",";\n      }\n\n      .badge {\n        background-color: ",";\n        color: ",";\n        width: ",";\n        height: ",";\n        border-radius: ",";\n        display: flex;\n        justify-content: center;\n        align-items: center;\n        font-weight: ",";\n        font-size: ",";\n      }\n\n      .title {\n        line-height: ",";\n        margin-bottom: 0.5rem;\n        font-size: ",";\n        font-weight: ",";\n      }\n    "]);return _templateObject15=function(){return g},g}function _templateObject16(){var g=_taggedTemplateLiteral(['<slot name="edit-donation-amount-title"></slot>']);return _templateObject16=function(){return g},g}function _templateObject17(){var g=_taggedTemplateLiteral(['<li class="custom-amount">',"</li>"]);return _templateObject17=function(){return g},g}function _templateObject18(){var g=_taggedTemplateLiteral(['\n          <div class="checkbox-options">\n            ',"\n            ","\n          </div>"]);return _templateObject18=function(){return g},g}function _templateObject19(){var g=_taggedTemplateLiteral(["\n      ",'\n\n      <donation-form-section\n        sectionBadge="','"\n        headline=',"\n        badgeMode=","\n      >\n        ",'\n        <ul class="amount-selector">\n          ',"\n          ",'\n        </ul>\n\n        <div class="errors">',"</div>\n\n        ","\n      </donation-form-section>\n    "]);return _templateObject19=function(){return g},g}function _templateObject20(){var g=_taggedTemplateLiteral(['\n      <donation-form-section\n        sectionBadge="1"\n        headline="Choose a frequency"\n        badgeMode=','\n      >\n        <ul class="frequency-selector">\n          ',"\n        </ul>\n      </donation-form-section>\n    "]);return _templateObject20=function(){return g},g}function _templateObject21(){var g=_taggedTemplateLiteral(['\n      <div class="checkbox-option-container">\n        <input\n          type="checkbox"\n          id="make-this-monthly"\n          @input=',"\n          .checked=",'\n          tabindex="0"\n        />\n        <label for="make-this-monthly"> Make this monthly </label>\n      </div>\n    ']);return _templateObject21=function(){return g},g}function _templateObject22(){var g=_taggedTemplateLiteral(['\n      <div class="checkbox-option-container">\n        <input\n          type="checkbox"\n          id="cover-fees"\n          @input=',"\n          .checked=",'\n          tabindex="0"\n        />\n        <label for="cover-fees"> '," </label>\n      </div>\n    "]);return _templateObject22=function(){return g},g}function _templateObject23(){var g=_taggedTemplateLiteral([" I'll generously add "," to cover fees. "]);return _templateObject23=function(){return g},g}function _templateObject24(){var g=_taggedTemplateLiteral(["\n      <li>\n        ","\n      </li>\n\n      <li>\n        ","\n      </li>\n    "]);return _templateObject24=function(){return g},g}function _templateObject25(){var g=_taggedTemplateLiteral(["\n          <li>\n            ","\n          </li>\n        "]);return _templateObject25=function(){return g},g}function _templateObject26(){var g=_taggedTemplateLiteral(["\n      ","\n    "]);return _templateObject26=function(){return g},g}function _templateObject27(){var g=_taggedTemplateLiteral(['\n      <div class="selection-button">\n        <input\n          type="radio"\n          name=',"\n          value=","\n          id=",'\n          tabindex="0"\n          .checked=',"\n          @change=","\n          @click=","\n        />\n        <label for=","> "," </label>\n      </div>\n    "]);return _templateObject27=function(){return g},g}function _templateObject28(){var g=_taggedTemplateLiteral(['\n      <div class="selection-button">\n        <input\n          type="radio"\n          name=','\n          value="custom"\n          id="custom-amount-button"\n          tabindex="0"\n          @change=','\n        />\n\n        <label for="custom-amount-button">\n          <span class="custom-amount-text">Custom: $</span\n          ><input\n            type="text"\n            id="custom-amount-input"\n            tabindex="-1"\n            value=',"\n            @input=","\n            @keydown=","\n            @focus=","\n          />\n        </label>\n      </div>\n    "]);return _templateObject28=function(){return g},g}function _templateObject29(){var g=_taggedTemplateLiteral(['\n          To make a donation of $10,000 or more, please contact our philanthropy\n          department at\n          <a href="mailto:donations@archive.org">donations@archive.org</a>\n        ']);return _templateObject29=function(){return g},g}function _templateObject30(){var g=_taggedTemplateLiteral([" Please select an amount (minimum $1) "]);return _templateObject30=function(){return g},g}function _templateObject31(){var g=_taggedTemplateLiteral([" Please enter a valid donation amount "]);return _templateObject31=function(){return g},g}function _templateObject32(){var g=_taggedTemplateLiteral(["var(--paymentButtonBorderColor, #333)"]);return _templateObject32=function(){return g},g}function _templateObject33(){var g=_taggedTemplateLiteral(["var(--paymentButtonGridGap, 1rem)"]);return _templateObject33=function(){return g},g}function _templateObject34(){var g=_taggedTemplateLiteral(["var(--paymentButtonFontSize, 1.6rem)"]);return _templateObject34=function(){return g},g}function _templateObject35(){var g=_taggedTemplateLiteral(["var(--paymentButtonFontColor, #000)"]);return _templateObject35=function(){return g},g}function _templateObject36(){var g=_taggedTemplateLiteral(["var(--paymentButtonSelectedFontColor, #000)"]);return _templateObject36=function(){return g},g}function _templateObject37(){var g=_taggedTemplateLiteral(["var(--paymentButtonSelectedColor, #f9bf3b)"]);return _templateObject37=function(){return g},g}function _templateObject38(){var g=_taggedTemplateLiteral(["var(--paymentButtonFocusedOutlineColor, #7fb3f9)"]);return _templateObject38=function(){return g},g}function _templateObject39(){var g=_taggedTemplateLiteral(["var(--paymentButtonColor, #fff)"]);return _templateObject39=function(){return g},g}function _templateObject40(){var g=_taggedTemplateLiteral(["var(--coverFeesFontSize, 1.2rem)"]);return _templateObject40=function(){return g},g}function _templateObject41(){var g=_taggedTemplateLiteral(["var(--coverFeesFontWeight, bold)"]);return _templateObject41=function(){return g},g}function _templateObject42(){var g=_taggedTemplateLiteral(["var(--customAmountWidth, 4rem)"]);return _templateObject42=function(){return g},g}function _templateObject43(){var g=_taggedTemplateLiteral(["var(--inputFieldFontColor, #333)"]);return _templateObject43=function(){return g},g}function _templateObject44(){var g=_taggedTemplateLiteral(["var(--inputBorder, 1px solid #d9d9d9)"]);return _templateObject44=function(){return g},g}function _templateObject45(){var g=_taggedTemplateLiteral(["var(--paymentSelectorAmountColumnCount, 5)"]);return _templateObject45=function(){return g},g}function _templateObject46(){var g=_taggedTemplateLiteral(["var(--paymentSelectorCustomAmountColSpan, 3)"]);return _templateObject46=function(){return g},g}function _templateObject47(){var g=_taggedTemplateLiteral(["\n      :host {\n        --formSectionContentBackgroundColor: var(--editFormBgColor, transparent);\n        --formSectionBadgeBackgroundColor: var(--editFormBadgeBgColor, #333);\n        --formSectionBadgeFontColor: var(--editFormBadgeFontColor, #fff);\n        --formSectionTextColor: var(--editFormTextColor, #333);\n      }\n      .errors {\n        color: red;\n        font-size: 1.4rem;\n        margin-top: 0.5rem;\n      }\n\n      ul {\n        list-style: none;\n        margin: 0;\n        padding: 0;\n        display: grid;\n        grid-gap: ",";\n      }\n\n      li {\n        margin: 0;\n        padding: 0;\n        display: inline-block;\n      }\n\n      .frequency-selector {\n        grid-template-columns: repeat(2, 1fr);\n      }\n\n      .amount-selector {\n        grid-template-columns: repeat(",", 1fr);\n      }\n\n      .custom-amount {\n        grid-column: span ",";\n      }\n\n      .selection-button {\n        height: 3rem;\n      }\n\n      .selection-button label {\n        padding: 0 0.3rem;\n        display: flex;\n        cursor: pointer;\n        text-align: center;\n        font-size: ",";\n        font-weight: bold;\n        border: 1px solid ",";\n        border-radius: 5px;\n        background-color: #ccc;\n        height: 100%;\n        justify-content: center;\n        align-items: center;\n      }\n\n      label[for='custom-amount-button'] {\n        padding: 0;\n        display: flex;\n        align-items: center;\n        justify-content: center;\n      }\n\n      .custom-amount-text {\n        white-space: nowrap;\n        margin-right: 0.5rem;\n      }\n\n      input[type='radio'] {\n        opacity: 0;\n        width: 0;\n        height: 0;\n        position: absolute;\n      }\n\n      input[type='radio'] + label {\n        color: ",";\n        background-color: ",";\n      }\n\n      input[type='radio']:checked + label {\n        color: ",";\n        background-color: ",";\n      }\n\n      input[type='radio']:focus + label {\n        outline: 2px solid ",";\n      }\n\n      .checkbox-options {\n        margin-top: 1rem;\n      }\n\n      .checkbox-option-container {\n        display: flex;\n        align-items: center;\n        justify-content: center;\n      }\n\n      .checkbox-option-container input {\n        width: 2rem;\n      }\n\n      .checkbox-option-container label {\n        font-size: ",";\n        font-weight: ",";\n        flex: 1;\n      }\n\n      #custom-amount-input {\n        width: ",";\n        font-size: 1.6rem;\n        font-weight: bold;\n        color: ",";\n        padding: 0.1rem;\n        border: ",";\n        appearance: none;\n        -moz-appearance: none;\n        -webkit-appearance: none;\n      }\n    "]);return _templateObject47=function(){return g},g}function _templateObject48(){var g=_taggedTemplateLiteral([' <div class="donate-goal">',"</div> "]);return _templateObject48=function(){return g},g}function _templateObject49(){var g=_taggedTemplateLiteral(['\n      <div\n        class="container"\n        role="progressbar"\n        aria-valuemin="0"\n        aria-valuemax="','"\n        aria-valuenow="','"\n        aria-valuetext="','"\n      >\n        <div class="thermometer-message-container">\n          <div class="thermometer-container">\n            <div\n              class="thermometer-background ','"\n            >\n              <div\n                class="thermometer-fill"\n                style="width: ','%"\n              >\n                ',"\n              </div>\n              ","\n            </div>\n          </div>\n          ","\n        </div>\n      </div>\n    "]);return _templateObject49=function(){return g},g}function _templateObject50(){var g=_taggedTemplateLiteral(["",""]);return _templateObject50=function(){return g},g}function _templateObject51(){var g=_taggedTemplateLiteral(['\n          <div class="thermometer-value">',"</div>\n        "]);return _templateObject51=function(){return g},g}function _templateObject52(){var g=_taggedTemplateLiteral(["var(--bannerThermometerHeight, 20px)"]);return _templateObject52=function(){return g},g}function _templateObject53(){var g=_taggedTemplateLiteral(["var(--bannerThermometerCurrentValueLeftColor, #fff)"]);return _templateObject53=function(){return g},g}function _templateObject54(){var g=_taggedTemplateLiteral(["var(--bannerThermometerProgressColor, #23765D)"]);return _templateObject54=function(){return g},g}function _templateObject55(){var g=_taggedTemplateLiteral(["var(--bannerThermometerCurrentValueRightColor, ",")"]);return _templateObject55=function(){return g},g}function _templateObject56(){var g=_taggedTemplateLiteral(["var(--bannerThermometerBackgroundColor, #B8F5E2)"]);return _templateObject56=function(){return g},g}function _templateObject57(){var g=_taggedTemplateLiteral(["var(--bannerThermometerBorder, 1px solid ",")"]);return _templateObject57=function(){return g},g}function _templateObject58(){var g=_taggedTemplateLiteral(["var(--bannerThermometerBorderRadius, calc("," / 2))"]);return _templateObject58=function(){return g},g}function _templateObject59(){var g=_taggedTemplateLiteral(["var(--bannerThermometerGoalMessagePadding, 0 10px)"]);return _templateObject59=function(){return g},g}function _templateObject60(){var g=_taggedTemplateLiteral(["var(--bannerThermometerGoalValueColor, #2c2c2c)"]);return _templateObject60=function(){return g},g}function _templateObject61(){var g=_taggedTemplateLiteral(["\n      :host {\n        display: block;\n      }\n\n      .container {\n        height: 100%;\n      }\n\n      .thermometer-message-container {\n        height: 100%;\n        display: flex;\n        align-items: center;\n      }\n\n      .thermometer-container {\n        height: 100%;\n        flex: 1;\n      }\n\n      .thermometer-background {\n        background-color: ",";\n        padding: 0;\n        height: 100%;\n        border-radius: ",";\n        border: ",";\n        overflow: hidden;\n        display: flex;\n        align-items: center;\n      }\n\n      .thermometer-fill {\n        background-color: ",";\n        text-align: right;\n        height: 100%;\n        display: flex;\n        justify-content: flex-end;\n        align-items: center;\n      }\n\n      .thermometer-value {\n        font-weight: bold;\n      }\n\n      .value-left .thermometer-value {\n        color: ",";\n        padding: 0 0.5rem 0 1rem;\n      }\n\n      .value-right .thermometer-value {\n        color: ",";\n        padding: 0 1rem 0 0.5rem;\n      }\n\n      .donate-goal {\n        text-align: left;\n        padding: ",";\n        text-transform: uppercase;\n        font-weight: bold;\n        color: ",";\n      }\n    "]);return _templateObject61=function(){return g},g}(function(){var g=function(u){for(var r=1;r<arguments.length;r++){var o=arguments[r];for(var l in o)u[l]=o[l]}return u},j=function(u,r){Object.keys(r).forEach(function(o){var l=o;Qn&&o.search("animation")>-1&&(l=Qn+o[0].toUpperCase()+o.substr(1)),u.style[l]=r[o]})},Q=function(u){j(u,{display:"block"})},ee=function(u){j(u,{display:"none"})},xe=function(){var u=document.body,r=document.documentElement,o;return window.innerHeight?o=window.innerHeight:r&&r.clientHeight?o=r.clientHeight:u&&(o=u.clientHeight),o||0},qe=function(){var u=document.body,r=document.documentElement,o;return window.innerWidth?o=window.innerWidth:r&&r.clientWidth?o=r.clientWidth:u&&(o=u.clientWidth),o||0},it=function(u,r){return r||(r=document.createElement("style"),document.body.appendChild(r)),r.textContent=u,r},$e=function(u){u&&u.parentNode&&u.parentNode.removeChild(u)},at=function(u){return u===document.body},Ae=function(u,r){u.classList.add(r)},Vr=function(u,r){u.classList.remove(r)},Xr=function(u,r){return u+Math.floor(Math.random()*(r-u))},Yn=function(u,r,o,l,p){return l+(p-l)*(u-r)/(o-r)},Gr=function(u,r,o){return Math.floor(Yn(u,0,Zn,r,o))},se=function(u,r,o,l){var p=arguments.length,v=p<3?r:l===null?l=Object.getOwnPropertyDescriptor(r,o):l,b;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")v=Reflect.decorate(u,r,o,l);else for(var k=u.length-1;k>=0;k--)(b=u[k])&&(v=(p<3?b(v):p>3?b(r,o,v):b(r,o))||v);return p>3&&v&&Object.defineProperty(r,o,v),v},Yr=function(u,r){if(!Array.isArray(u)||!u.hasOwnProperty("raw"))throw Error("invalid template strings array");return so!==void 0?so.createHTML(r):r},be=function(u){return function(r,o){return o!==void 0?ia(u,r,o):oa(u,r)}},Jr=function(u){return be(Jn(Cn({},u),{state:!0}))},xn=function(u,r){return aa({descriptor:function(o){var l={get:function(){var b,k;return(k=(b=this.renderRoot)===null||b===void 0?void 0:b.querySelector(u))!==null&&k!==void 0?k:null},enumerable:!0,configurable:!0};if(r){var p=(typeof o=="undefined"?"undefined":_typeof(o))=="symbol"?Symbol():"__"+o;l.get=function(){var v,b;return this[p]===void 0&&(this[p]=(b=(v=this.renderRoot)===null||v===void 0?void 0:v.querySelector(u))!==null&&b!==void 0?b:null),this[p]}}return l}})},kn=function(u,r){var o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!0,l=0,p=r.decimal,v=r.errorOnInvalid,b=r.precision,k=r.fromCents,E=mr(b),R=typeof u=="number",L=_instanceof(u,Xe);if(L&&k)return u.intValue;if(R||L)l=L?u.value:u;else if(typeof u=="string"){var q=new RegExp("[^-\\d"+p+"]","g"),ue=new RegExp("\\"+p,"g");l=u.replace(/\((.*)\)/,"-$1").replace(q,"").replace(ue,"."),l=l||0}else{if(v)throw Error("Invalid Input");l=0}return k||(l*=E,l=l.toFixed(4)),o?wo(l):l},Ni=function(u,r){var o=r.pattern,l=r.negativePattern,p=r.symbol,v=r.separator,b=r.decimal,k=r.groups,E=(""+u).replace(/^-/,"").split("."),R=E[0],L=E[1];return(u.value>=0?o:l).replace("!",p).replace("#",R.replace(k,"$1"+v)+(L?b+L:""))},Ri=Object.defineProperty,Mi=Object.defineProperties,Ii=Object.getOwnPropertyDescriptors,_n=Object.getOwnPropertySymbols,Kr=Object.prototype.hasOwnProperty,Qr=Object.prototype.propertyIsEnumerable,Zr=function(h,u,r){return u in h?Ri(h,u,{enumerable:!0,configurable:!0,writable:!0,value:r}):h[u]=r},Cn=function(h,u){for(var r in u||(u={}))Kr.call(u,r)&&Zr(h,r,u[r]);var o=!0,l=!1,p=void 0;if(_n)try{for(var v=_n(u)[Symbol.iterator](),b;!(o=(b=v.next()).done);o=!0){var r=b.value;Qr.call(u,r)&&Zr(h,r,u[r])}}catch(k){l=!0,p=k}finally{try{!o&&v.return!=null&&v.return()}finally{if(l)throw p}}return h},Jn=function(h,u){return Mi(h,Ii(u))},Pi=function(h,u){var r={};for(var o in h)Kr.call(h,o)&&u.indexOf(o)<0&&(r[o]=h[o]);var l=!0,p=!1,v=void 0;if(h!=null&&_n)try{for(var b=_n(h)[Symbol.iterator](),k;!(l=(k=b.next()).done);l=!0){var o=k.value;u.indexOf(o)<0&&Qr.call(h,o)&&(r[o]=h[o])}}catch(E){p=!0,v=E}finally{try{!l&&b.return!=null&&b.return()}finally{if(p)throw v}}return r},Hi=function(h,u,r){return new Promise(function(o,l){var p=function(k){try{b(r.next(k))}catch(E){l(E)}},v=function(k){try{b(r.throw(k))}catch(E){l(E)}},b=function(k){return k.done?o(k.value):Promise.resolve(k.value).then(p,v)};b((r=r.apply(h,u)).next())})},Bi={read:function(u){return u[0]==='"'&&(u=u.slice(1,-1)),u.replace(/(%[\dA-F]{2})+/gi,decodeURIComponent)},write:function(u){return encodeURIComponent(u).replace(/%(2[346BF]|3[AC-F]|40|5[BDE]|60|7[BCD])/g,decodeURIComponent)}};function Kn(h,u){function r(l,p,v){if(!((typeof document=="undefined"?"undefined":_typeof(document))>"u")){v=g({},u,v),typeof v.expires=="number"&&(v.expires=new Date(Date.now()+v.expires*864e5)),v.expires&&(v.expires=v.expires.toUTCString()),l=encodeURIComponent(l).replace(/%(2[346B]|5E|60|7C)/g,decodeURIComponent).replace(/[()]/g,escape);var b="";for(var k in v)v[k]&&(b+="; "+k,v[k]!==!0&&(b+="="+v[k].split(";")[0]));return document.cookie=l+"="+h.write(p,l)+b}}function o(l){if(!((typeof document=="undefined"?"undefined":_typeof(document))>"u"||arguments.length&&!l)){for(var p=document.cookie?document.cookie.split("; "):[],v={},b=0;b<p.length;b++){var k=p[b].split("="),E=k.slice(1).join("=");try{var R=decodeURIComponent(k[0]);if(v[R]=h.read(E,R),l===R)break}catch(L){}}return l?v[l]:v}}return Object.create({set:r,get:o,remove:function(p,v){r(p,"",g({},v,{expires:-1}))},withAttributes:function(p){return Kn(this.converter,g({},this.attributes,p))},withConverter:function(p){return Kn(g({},this.converter,p),this.attributes)}},{attributes:{value:Object.freeze(u)},converter:{value:Object.freeze(h)}})}var eo=Kn(Bi,{path:"/"}),Qn="";(typeof window=="undefined"?"undefined":_typeof(window))<"u"&&(Qn=Array.prototype.slice.call(window.getComputedStyle(document.documentElement,"")).join(",").search(/,animation/)>-1?"":"webkit");var Li=(typeof document=="undefined"?"undefined":_typeof(document))<"u"&&"onanimationend"in document,Zn=20,Fi=function(){"use strict";function h(u){var r=this;_classCallCheck(this,h),this.size=0,this.sizeInner=0;var o=this.elem=document.createElement("div"),l=this.elemInner=document.createElement("div");this.update(u),Ae(o,"snowflake"),Ae(l,"snowflake__inner"),Ae(o,"snowflake_animation"),Li?(Ae(o,"snowflake_animation-end"),o.onanimationend=function(p){p.target===o&&(r.updateLeft(),r.reflow())}):Ae(o,"snowflake_animation-infinity"),u.types&&Ae(l,"snowflake__inner_type_"+Xr(0,u.types)),u.wind&&Ae(l,"snowflake__inner_wind"),u.rotation&&Ae(l,"snowflake__inner_rotation"+(Math.random()>.5?"":"_reverse")),o.appendChild(l)}return _createClass(h,[{key:"getLeft",value:function(){return Math.random()*99+"%"}},{key:"updateLeft",value:function(){this.elem&&j(this.elem,{left:this.getLeft()})}},{key:"update",value:function(r){if(!(!this.elem||!this.elemInner)){var o=r.minSize===r.maxSize;this.sizeInner=o?0:Xr(0,Zn),this.size=Gr(this.sizeInner,r.minSize,r.maxSize);var l=this.getAnimationProps(r),p={animationName:"snowflake_gid_".concat(r.gid,"_y"),animationDelay:l.animationDelay,animationDuration:l.animationDuration,left:this.getLeft(),top:-Math.sqrt(2)*this.size+"px",width:this.size+"px",height:this.size+"px"};o||(p.opacity=String(Yn(this.size,r.minSize,r.maxSize,r.minOpacity,r.maxOpacity))),j(this.elem,p);var v="snowflake_gid_".concat(r.gid,"_x_").concat(this.sizeInner);j(this.elemInner,{animationName:v,animationDelay:Math.random()*4+"s"})}}},{key:"reflow",value:function(){this.elem&&(ee(this.elem),this.elem.offsetHeight,Q(this.elem))}},{key:"resize",value:function(r){if(this.elem){var o=this.getAnimationProps(r);j(this.elem,{animationDuration:o.animationDuration})}}},{key:"appendTo",value:function(r){this.elem&&r.appendChild(this.elem)}},{key:"destroy",value:function(){this.elem&&(this.elem.onanimationend=null,delete this.elem,delete this.elemInner)}},{key:"getAnimationProps",value:function(r){var o=r.containerHeight/50/r.speed,l=o/3;return{animationDelay:Math.random()*o+"s",animationDuration:Yn(this.size,r.minSize,r.maxSize,o,l)+"s"}}}]),h}(),qi='.snowflake{pointer-events:none;position:absolute;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;will-change:transform}.snowflake_animation{-webkit-animation:snowflake_unknown 10s linear;animation:snowflake_unknown 10s linear}.snowflake_animation-infinity{-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite}.snowflake__inner,.snowflake__inner:before{bottom:0;left:0;position:absolute;right:0;top:0}.snowflake__inner:before{background-size:100% 100%;content:""}.snowflake__inner_wind{-webkit-animation:snowflake_unknown 2s ease-in-out infinite alternate;animation:snowflake_unknown 2s ease-in-out infinite alternate}.snowflake__inner_rotation:before{-webkit-animation:snowflake_rotation 10s linear infinite;animation:snowflake_rotation 10s linear infinite}.snowflake__inner_rotation_reverse:before{-webkit-animation:snowflake_rotation_reverse 10s linear infinite;animation:snowflake_rotation_reverse 10s linear infinite}@-webkit-keyframes snowflake_rotation{0%{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(1turn);transform:rotate(1turn)}}@keyframes snowflake_rotation{0%{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(1turn);transform:rotate(1turn)}}@-webkit-keyframes snowflake_rotation_reverse{0%{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(-1turn);transform:rotate(-1turn)}}@keyframes snowflake_rotation_reverse{0%{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(-1turn);transform:rotate(-1turn)}}.snowflakes{pointer-events:none}.snowflakes_paused .snowflake,.snowflakes_paused .snowflake__inner,.snowflakes_paused .snowflake__inner:before{-webkit-animation-play-state:paused;animation-play-state:paused}.snowflakes_hidden{visibility:hidden}.snowflakes_body{height:1px;left:0;position:fixed;top:0;width:100%}',Wi=".snowflakes_gid_value .snowflake__inner_type_0:before{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='36.283' height='36.283'%3E%3Cpath d='M35.531 17.391h-3.09l.845-1.464a.748.748 0 1 0-1.297-.75l-1.276 2.214H28.61l2.515-4.354a.751.751 0 0 0-.272-1.024.75.75 0 0 0-1.024.274l-2.948 5.104h-2.023a6.751 6.751 0 0 0-2.713-4.684l1.019-1.76 5.896-.002a.75.75 0 0 0 0-1.5l-5.029.002 1.051-1.82 2.557.002a.75.75 0 0 0 0-1.5l-1.689-.002 1.545-2.676a.75.75 0 1 0-1.302-.75l-1.547 2.676-.844-1.463a.749.749 0 1 0-1.297.75l1.278 2.213-1.051 1.818-2.514-4.354a.75.75 0 0 0-1.298.75l2.946 5.104-1.016 1.758a6.692 6.692 0 0 0-2.706-.57 6.74 6.74 0 0 0-2.707.568l-1.013-1.754 2.946-5.105a.75.75 0 0 0-1.298-.75L13.56 8.697l-1.05-1.818 1.278-2.217a.749.749 0 0 0-1.298-.75l-.845 1.465-1.551-2.678a.75.75 0 0 0-1.024-.273.748.748 0 0 0-.274 1.023l1.545 2.678H8.652a.75.75 0 0 0 0 1.5h2.556l1.05 1.818H7.231a.75.75 0 0 0 0 1.5h5.894l1.017 1.762a6.755 6.755 0 0 0-2.712 4.684H9.406l-2.95-5.104a.75.75 0 1 0-1.299.75l2.516 4.354H5.569l-1.277-2.213a.75.75 0 0 0-1.298.75l.845 1.463H.75a.75.75 0 0 0 0 1.5h3.09l-.845 1.465a.747.747 0 0 0 .275 1.022.75.75 0 0 0 .374.103.75.75 0 0 0 .65-.375l1.277-2.215h2.103l-2.516 4.354a.75.75 0 0 0 1.299.75l2.949-5.104h2.024a6.761 6.761 0 0 0 2.712 4.685l-1.017 1.762H7.232a.75.75 0 0 0 0 1.5h5.026l-1.05 1.818H8.651a.75.75 0 0 0 0 1.5h1.69l-1.545 2.676a.75.75 0 0 0 1.299.75l1.546-2.676.846 1.465a.755.755 0 0 0 .65.375.737.737 0 0 0 .375-.103.747.747 0 0 0 .274-1.022l-1.279-2.215 1.05-1.82 2.515 4.354a.75.75 0 0 0 1.299-.75l-2.947-5.104 1.013-1.756a6.72 6.72 0 0 0 5.415 0l1.014 1.756-2.947 5.104a.75.75 0 0 0 1.298.75l2.515-4.354 1.053 1.82-1.277 2.213a.75.75 0 0 0 1.298.75l.844-1.463 1.545 2.678c.141.24.393.375.65.375a.75.75 0 0 0 .649-1.125l-1.548-2.678h1.689a.75.75 0 0 0 0-1.5h-2.557l-1.051-1.82 5.029.002a.75.75 0 0 0 0-1.5l-5.896-.002-1.019-1.76a6.75 6.75 0 0 0 2.711-4.685h2.023l2.947 5.104a.753.753 0 0 0 1.025.273.749.749 0 0 0 .272-1.023l-2.515-4.354h2.104l1.279 2.215a.75.75 0 0 0 .649.375c.127 0 .256-.03.375-.103a.748.748 0 0 0 .273-1.022l-.848-1.465h3.092a.75.75 0 0 0 .003-1.5zm-12.136.75c0 .257-.041.502-.076.75a5.223 5.223 0 0 1-1.943 3.358 5.242 5.242 0 0 1-1.291.766 5.224 5.224 0 0 1-1.949.384 5.157 5.157 0 0 1-3.239-1.15 5.22 5.22 0 0 1-1.943-3.358c-.036-.247-.076-.493-.076-.75s.04-.503.076-.75a5.22 5.22 0 0 1 1.944-3.359c.393-.312.82-.576 1.291-.765a5.219 5.219 0 0 1 1.948-.384c.69 0 1.344.142 1.948.384.471.188.898.454 1.291.765a5.222 5.222 0 0 1 1.943 3.359c.035.247.076.493.076.75z' fill=':color:'/%3E%3C/svg%3E\")}.snowflakes_gid_value .snowflake__inner_type_1:before{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32.813' height='32.813'%3E%3Cpath d='M29.106 24.424a.781.781 0 0 1-.781.781h-3.119v3.119a.782.782 0 0 1-1.562 0v-4.682h4.682c.43.001.78.351.78.782zM4.673 9.352h4.682V4.671a.781.781 0 0 0-1.563 0V7.79H4.673a.781.781 0 0 0 0 1.562zM3.708 24.24c0 .431.35.781.781.781H7.61v3.12a.78.78 0 1 0 1.562 0v-4.683H4.489a.782.782 0 0 0-.781.782zM28.923 8.39a.78.78 0 0 0-.781-.781h-3.121V4.488a.781.781 0 0 0-1.562 0v4.684h4.684a.783.783 0 0 0 .78-.782zm3.889 8.017c0 .431-.35.781-.781.781h-3.426l1.876 1.873a.784.784 0 0 1 0 1.107.791.791 0 0 1-.554.228.773.773 0 0 1-.55-.228l-2.979-2.98h-2.995a6.995 6.995 0 0 1-1.728 3.875h5.609a.781.781 0 0 1 0 1.562h-4.666v4.667a.782.782 0 0 1-1.562 0v-5.61a7 7 0 0 1-3.866 1.719v2.995l2.978 2.98c.306.305.306.8 0 1.104a.78.78 0 0 1-1.104 0l-1.874-1.876v3.427a.781.781 0 0 1-1.562 0v-3.427l-1.875 1.876a.78.78 0 1 1-1.105-1.104l2.979-2.98v-2.995a7.016 7.016 0 0 1-3.865-1.717v5.608a.781.781 0 0 1-1.562 0v-4.667H5.535a.781.781 0 0 1 0-1.562h5.607a7.022 7.022 0 0 1-1.728-3.875H6.417l-2.979 2.979a.784.784 0 0 1-1.104 0 .781.781 0 0 1 0-1.106l1.874-1.873H.782a.78.78 0 1 1-.001-1.563h3.426L2.333 13.75a.783.783 0 0 1 1.105-1.106l2.979 2.979h2.995a6.996 6.996 0 0 1 1.72-3.866H5.533a.781.781 0 0 1 0-1.562h4.666V5.528a.781.781 0 0 1 1.562 0v5.599a6.995 6.995 0 0 1 3.865-1.717V6.415l-2.978-2.979a.782.782 0 0 1 1.105-1.105l1.874 1.875V.781a.78.78 0 1 1 1.562 0v3.426l1.875-1.875a.777.777 0 0 1 1.104 0 .78.78 0 0 1 0 1.105l-2.978 2.98v2.996a7.021 7.021 0 0 1 3.866 1.718V5.532a.78.78 0 1 1 1.562 0v4.666h4.666a.78.78 0 1 1 0 1.562h-5.599a7 7 0 0 1 1.718 3.866h2.995l2.979-2.979a.783.783 0 0 1 1.106 1.106l-1.876 1.874h3.427a.777.777 0 0 1 .778.78zm-11.006-.782a5.457 5.457 0 0 0-4.618-4.617c-.257-.037-.514-.079-.781-.079-.268 0-.524.042-.781.079a5.458 5.458 0 0 0-4.618 4.617c-.038.257-.079.514-.079.781s.041.522.079.781a5.455 5.455 0 0 0 4.618 4.616c.257.036.514.079.781.079s.524-.043.781-.079a5.457 5.457 0 0 0 4.618-4.616c.037-.259.079-.515.079-.781s-.043-.524-.079-.781z' fill=':color:'/%3E%3C/svg%3E\")}.snowflakes_gid_value .snowflake__inner_type_2:before{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='35.79' height='35.79'%3E%3Cpath d='M7.161 22.223l.026-.047.865.5-.026.047a.503.503 0 0 1-.434.25c-.019 0-.034-.013-.053-.016l-.355-.205a.493.493 0 0 1-.023-.529zM9.969 8.988l2.785.001 1.393-2.414a.502.502 0 0 0-.869-.499l-1.103 1.913-2.208-.001a.5.5 0 1 0 .002 1zm15.854 17.813h-2.785l-1.393 2.411a.499.499 0 0 0 .436.75c.172 0 .34-.09.434-.25l1.104-1.911h2.207c.274 0 .5-.224.5-.5a.505.505 0 0 0-.503-.5zM23.038 8.99h2.785a.5.5 0 0 0 0-1h-2.207l-1.105-1.913a.5.5 0 0 0-.868.5l1.395 2.413zM12.754 26.801H9.967a.5.5 0 0 0 0 1h2.209l1.105 1.912a.496.496 0 0 0 .682.184.5.5 0 0 0 .184-.684l-1.393-2.412zm-7.218-6.309a.502.502 0 0 0 .685-.184l1.391-2.413-1.394-2.413a.5.5 0 0 0-.867.5l1.104 1.913-1.104 1.913a.5.5 0 0 0 .185.684zM30.254 15.3a.505.505 0 0 0-.685.183l-1.392 2.412 1.395 2.414a.501.501 0 0 0 .867-.5l-1.104-1.914 1.104-1.912a.5.5 0 0 0-.185-.683zm3.138 11.542a.501.501 0 0 1-.683.184l-.98-.565-2.137 1.231a.516.516 0 0 1-.5 0l-2.385-1.377a.502.502 0 0 1-.25-.433v-.854h-4.441l-2.225 3.852.736.428c.154.088.25.254.25.432l.001 2.755a.5.5 0 0 1-.25.433l-2.133 1.229v1.136c0 .274-.225.5-.5.5s-.5-.226-.5-.5v-1.136l-2.136-1.23a.5.5 0 0 1-.25-.433l.001-2.755c0-.178.096-.344.25-.432l.738-.427-2.224-3.849H9.332l.002.851a.505.505 0 0 1-.25.435l-2.387 1.377a.5.5 0 0 1-.5 0L4.06 26.46l-.982.567a.5.5 0 0 1-.5-.867l.982-.567.001-2.465c0-.179.097-.344.25-.434l2.388-1.377a.497.497 0 0 1 .5 0l.736.426 2.221-3.848-2.222-3.849-.737.426a.51.51 0 0 1-.5 0l-2.386-1.377a.5.5 0 0 1-.25-.434l.002-2.464-.983-.567a.501.501 0 0 1-.184-.683.502.502 0 0 1 .684-.183l.983.568 2.134-1.233a.5.5 0 0 1 .5 0l2.385 1.379c.156.089.25.255.25.433v.85h4.443l2.223-3.846-.74-.427a.501.501 0 0 1-.25-.434l.002-2.755c0-.178.096-.343.25-.433l2.135-1.233V.5a.5.5 0 0 1 1 0v1.135l2.134 1.231c.154.089.25.254.25.434l-.002 2.755a.503.503 0 0 1-.25.433l-.733.425 2.224 3.849h4.44l-.002-.851c0-.179.096-.344.25-.434l2.388-1.378a.502.502 0 0 1 .5 0l2.136 1.233.982-.568a.5.5 0 1 1 .5.866l-.983.568v2.464a.503.503 0 0 1-.25.433l-2.388 1.378a.5.5 0 0 1-.5 0l-.735-.426-2.222 3.849 2.223 3.849.734-.425a.506.506 0 0 1 .5 0l2.389 1.375c.154.09.25.255.25.435l-.002 2.462.982.568c.24.137.321.444.182.682zm-2.165-1.828l.001-1.597-1.888-1.087-.734.424-.348.201-.301.173-.5.289v2.179l1.885 1.088 1.386-.802.498-.286.001-.582zm-3.736-11.467l-.531-.307-2.283 1.318-2.443 3.337 2.442 3.337 2.283 1.316.531-.306-2.514-4.348 2.515-4.347zm-7.712 16.478l-.762-.438-.339-.194-.283-.166-.5-.289-.5.289-.279.162-.349.2-.757.437-.001 2.177 1.386.797.501.289.499-.287 1.386-.798-.002-2.179zM16.008 5.767l.736.425.371.214.279.16.5.288.5-.289.281-.163.367-.212.732-.424.002-2.178-1.381-.797-.502-.289-.498.287-1.385.8-.002 2.178zm6.52 14.227l-1.535-2.099 1.535-2.098.732-1-1.232.134-2.585.281-1.048-2.379-.5-1.133-.5 1.134-1.049 2.379-2.585-.281-1.232-.134.732 1 1.536 2.097-1.536 2.098-.732 1 1.232-.134 2.585-.281 1.049 2.379.5 1.134.5-1.134 1.048-2.379 2.585.281 1.232.134-.732-.999zm8.2-10.084l-1.386-.8-1.887 1.089v1.279l.002.32v.577l.5.289.28.163.367.213.732.424 1.888-1.089v-2.178l-.496-.287zM18.927 7.413l-.532.307v2.637l1.667 3.784 4.111-.447 2.283-1.317-.002-.613h-5.02l-2.507-4.351zm-9.594 4.348v.614l2.283 1.318 4.111.447 1.668-3.785V7.719l-.531-.306-2.509 4.347-5.022.001zm-2.15 1.279l.37-.213.279-.162.5-.289V10.2L6.446 9.11l-1.384.8-.499.289v.578l-.002 1.599 1.885 1.088.737-.424zm1.119 9.205l.53.306 2.281-1.316 2.443-3.339-2.442-3.337-2.281-1.317-.531.307 2.511 4.348-2.511 4.348zm-1.115-.069l-.026.047a.493.493 0 0 0 .023.529l-.734-.424-1.887 1.089-.001 1.599v.578l.5.288 1.386.8 1.887-1.088v-1.278l-.002-.321v-.577l-.5-.289-.293-.169c.02.002.035.017.055.017a.5.5 0 0 0 .433-.25l.026-.047-.867-.504zm9.679 6.202l.529-.306v-2.637l-1.668-3.785-4.111.447-2.283 1.316.002.611 5.021.002 2.51 4.352zm9.591-4.349v-.612L24.174 22.1l-4.111-.447-1.667 3.783v2.639l.531.307 2.512-4.352h5.018v-.001z' fill=':color:'/%3E%3C/svg%3E\")}.snowflakes_gid_value .snowflake__inner_type_3:before{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32.815' height='32.815'%3E%3Cpath d='M4.581 23.55h4.681v4.681a.78.78 0 1 1-1.562 0v-3.118H4.581a.781.781 0 0 1 0-1.563zM29.016 8.481a.781.781 0 0 0-.781-.781h-3.119V4.582a.781.781 0 0 0-1.562 0v4.681h4.682c.429 0 .78-.35.78-.782zm-24.252.598l4.683-.001V4.395a.781.781 0 0 0-1.562 0v3.121l-3.121.001a.781.781 0 0 0 0 1.562zm23.655 14.287h-4.685l.002 4.684a.78.78 0 1 0 1.562 0l-.002-3.121h3.122a.781.781 0 0 0 .001-1.563zm4.394-6.96a.78.78 0 0 1-.781.781h-3.426l1.876 1.875a.782.782 0 0 1-1.104 1.105l-2.979-2.979h-1.986L17.19 24.41v1.987l2.977 2.979a.781.781 0 0 1-1.103 1.106l-1.874-1.875v3.426a.78.78 0 1 1-1.562 0v-3.426l-1.875 1.875a.782.782 0 0 1-1.105-1.105l2.978-2.979V24.41l-7.219-7.22H6.418l-2.98 2.98a.777.777 0 0 1-1.103 0 .781.781 0 0 1 0-1.106L4.21 17.19H.783a.78.78 0 1 1 0-1.562h3.426l-1.876-1.875a.782.782 0 1 1 1.106-1.105l2.979 2.979h1.989l7.219-7.218v-1.99L12.648 3.44a.782.782 0 1 1 1.106-1.105l1.874 1.874V.781a.782.782 0 0 1 1.563 0v3.426l1.875-1.875a.783.783 0 0 1 1.106 1.105l-2.979 2.979v1.99l7.216 7.218h1.992l2.979-2.979a.782.782 0 0 1 1.105 1.105l-1.876 1.874h3.427a.781.781 0 0 1 .777.782zm-10.613.782l.778-.78-.781-.782-5.009-5.008-.781-.781-.781.781-5.01 5.008-.781.781.781.781 5.01 5.011.782.781.78-.779 5.012-5.013zm5.863 4.646a.782.782 0 0 0-.781-.781h-6.229v6.228a.78.78 0 1 0 1.562 0v-4.665h4.666a.782.782 0 0 0 .782-.782zm-.001-10.855a.782.782 0 0 0-.781-.781h-4.664V5.532a.782.782 0 0 0-1.562 0v6.228h6.227a.78.78 0 0 0 .78-.781zm-23.318 0c0 .432.35.781.781.781h6.228V5.532a.781.781 0 0 0-1.562 0v4.666H5.525a.781.781 0 0 0-.781.781zm.002 10.855c0 .432.35.781.781.781h4.664v4.665a.78.78 0 1 0 1.562 0v-6.228H5.527a.783.783 0 0 0-.781.782z' fill=':color:'/%3E%3C/svg%3E\")}.snowflakes_gid_value .snowflake__inner_type_4:before{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='37.794' height='37.794'%3E%3Cpath d='M30.638 17.313l-.914 1.584.915 1.585a.78.78 0 1 1-1.352.78l-1.366-2.366 1.366-2.365a.782.782 0 0 1 1.067-.286c.372.215.5.692.284 1.068zM11.65 11.08l2.733.002 1.367-2.367a.78.78 0 0 0-1.352-.781l-.915 1.585-1.831-.002h-.001a.78.78 0 0 0-.001 1.563zm14.491 15.633h-2.733l-1.365 2.365a.78.78 0 1 0 1.352.78l.914-1.584h1.831a.781.781 0 0 0 .001-1.561zm-4.1-17.998l1.367 2.367h2.733a.78.78 0 1 0 0-1.562h-1.833l-.915-1.585a.78.78 0 0 0-1.352.78zM15.75 29.08l-1.368-2.366h-2.733a.781.781 0 0 0 0 1.562h1.832l.917 1.585c.146.25.409.391.677.391a.779.779 0 0 0 .675-1.172zm-8.313-7.531a.78.78 0 0 0 1.067-.284L9.87 18.9l-1.367-2.368a.781.781 0 0 0-1.351.781l.916 1.587-.914 1.584a.776.776 0 0 0 .283 1.065zm27.827 6.798a.784.784 0 0 1-1.067.285l-.89-.515-2.096 1.209a.793.793 0 0 1-.391.105.762.762 0 0 1-.391-.105l-2.484-1.435a.78.78 0 0 1-.391-.676l-.002-2.417-2.408-1.392a7.714 7.714 0 0 1-5.467 3.168v2.773l2.093 1.208a.78.78 0 0 1 .391.676l.001 2.868c0 .28-.149.537-.392.676l-2.093 1.205v1.032a.781.781 0 0 1-1.562 0V35.98l-2.095-1.207a.78.78 0 0 1-.391-.676l.001-2.868c0-.28.15-.537.391-.676l2.094-1.206v-2.773a7.718 7.718 0 0 1-5.468-3.168l-2.408 1.392.002 2.415c0 .281-.15.539-.391.676l-2.487 1.437a.785.785 0 0 1-.782 0l-2.095-1.209-.893.518a.782.782 0 0 1-.782-1.354l.893-.517.001-2.414a.78.78 0 0 1 .391-.677l2.487-1.434a.774.774 0 0 1 .781 0l2.093 1.208 2.407-1.39a7.655 7.655 0 0 1 0-6.317l-2.406-1.39-2.096 1.209a.772.772 0 0 1-.782 0l-2.485-1.434a.786.786 0 0 1-.391-.676l.002-2.416-.894-.517a.78.78 0 0 1-.285-1.066.788.788 0 0 1 1.07-.283l.893.514 2.093-1.208a.774.774 0 0 1 .781 0L9.851 9.91c.24.14.391.398.391.675L10.24 13l2.408 1.392a7.712 7.712 0 0 1 5.468-3.167V8.45L16.02 7.242a.78.78 0 0 1-.391-.676l.002-2.87c0-.279.15-.538.391-.675l2.094-1.208V.781a.781.781 0 0 1 1.562 0v1.032l2.093 1.206a.785.785 0 0 1 .391.677l-.002 2.87c0 .28-.149.536-.391.674l-2.091 1.208v2.772a7.708 7.708 0 0 1 5.467 3.167l2.409-1.392-.002-2.416c0-.28.149-.539.391-.676l2.487-1.436c.24-.14.539-.14.781 0l2.095 1.208.894-.514a.78.78 0 1 1 .781 1.352l-.894.516v2.417c0 .279-.15.538-.391.675l-2.487 1.436a.785.785 0 0 1-.782 0l-2.092-1.209-2.408 1.39c.436.967.684 2.032.684 3.158a7.65 7.65 0 0 1-.684 3.158l2.408 1.391 2.091-1.206a.782.782 0 0 1 .78 0l2.488 1.432c.24.141.392.398.392.677l-.002 2.414.893.517a.783.783 0 0 1 .287 1.068zm-6.147-16.251l.001.9.78.453.921.531 1.706-.982v-1.965l-.78-.451-.923-.533-1.707.983.002 1.064zm-20.443-.002l.002-1.063-1.706-.985-.922.535-.778.451-.001.902-.001 1.063 1.703.982.924-.533.779-.451v-.901zm0 13.604l-.001-.899-.781-.451-.919-.533-1.706.982-.001 1.064v.901l.781.451.923.533 1.707-.982-.003-1.066zm15.109-3.076c.315-.413.586-.864.789-1.351a6.121 6.121 0 0 0 0-4.748 6.175 6.175 0 0 0-.789-1.35 6.158 6.158 0 0 0-4.106-2.375 6.48 6.48 0 0 0-.781-.056c-.266 0-.525.022-.781.056a6.149 6.149 0 0 0-4.106 2.375 6.128 6.128 0 0 0-.789 1.35 6.104 6.104 0 0 0-.479 2.374 6.1 6.1 0 0 0 1.268 3.725 6.15 6.15 0 0 0 4.106 2.374c.256.031.516.056.781.056s.525-.022.781-.056a6.142 6.142 0 0 0 4.106-2.374zM17.19 6.113l.924.531.781.452.781-.452.919-.531.002-1.968-.921-.531-.784-.452-.779.451-.922.532-.001 1.968zm3.408 25.57l-.921-.532-.781-.452-.781.452-.922.532-.001 1.966.923.531.782.451.78-.449.922-.533-.001-1.966zm11.925-5.819l.001-1.063-1.707-.981-.919.529-.782.451v.901l.001 1.065 1.702.981.924-.533.778-.449.002-.901z' fill=':color:'/%3E%3C/svg%3E\")}.snowflakes_gid_value .snowflake__inner_type_5:before{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='31.25' height='31.25'%3E%3Cpath d='M20.581 1.176l-3.914 3.915V0h1.041v2.576L19.845.439l.736.737zm-1.615 9.069l.351.217 6.623-6.625-.736-.737-6.048 6.051a7.141 7.141 0 0 0-1.449-.6v-.082l5.082-5.082-.737-.737-5.387 5.388v1.33l.402.093a6.213 6.213 0 0 1 1.899.784zm2.041 2.043c.368.585.63 1.224.786 1.893l.094.403h1.028l5.171-5.173-.736-.737-4.699 4.701a7.523 7.523 0 0 0-.549-1.28l6.048-6.05-.737-.735-6.622 6.625.216.353zm7.368 1.254l1.921-1.923-.736-.735-3.699 3.7h5.39v-1.042h-2.876zm1.185 6.826l.736-.736-1.923-1.923h2.877v-1.042h-5.389l3.699 3.701zm-6.915-2.498l4.705 4.707.736-.736-5.171-5.174h-1.03l-.096.4a6.24 6.24 0 0 1-.795 1.883l-.22.353 6.639 6.641.736-.736-6.061-6.062c.227-.414.414-.84.557-1.276zm-3.7 3.125a6.241 6.241 0 0 1-1.88.794l-.399.096v1.33l5.387 5.387.736-.736-5.082-5.082v-.089a7.322 7.322 0 0 0 1.434-.605l6.061 6.062.736-.736-6.641-6.641-.352.22zM16.667 31.25h1.041v-2.576l2.137 2.137.736-.737-3.914-3.914v5.09zm-5.26-.439l2.134-2.137v2.576h1.042v-5.093l-3.913 3.916.737.738zm.897-9.816l-.352-.222-6.642 6.641.736.736 6.062-6.062c.456.254.937.456 1.433.605v.089l-5.08 5.082.736.736 5.387-5.387v-1.33l-.4-.096a6.175 6.175 0 0 1-1.88-.792zm-2.046-2.047a6.315 6.315 0 0 1-.798-1.883l-.096-.4H8.335l-5.172 5.174.737.736 4.706-4.71c.145.441.329.865.556 1.276L3.1 25.202l.736.736 6.643-6.643-.221-.347zM0 16.667v1.042h2.876L.954 19.632l.736.736 3.698-3.701H0zm1.69-5.783l-.736.735 1.921 1.923H0v1.042h5.39l-3.7-3.7zm6.916 2.498L3.9 8.674l-.736.737 5.172 5.173h1.029l.096-.4a6.15 6.15 0 0 1 .798-1.881l.222-.352L3.837 5.31l-.736.736 6.062 6.06a7.268 7.268 0 0 0-.557 1.276zm-.145-9.996l5.08 5.082v.088c-.497.15-.977.352-1.433.606L6.047 3.101l-.736.737 6.643 6.643.352-.222a6.223 6.223 0 0 1 1.88-.797l.4-.095v-1.33L9.2 2.649l-.739.737zm5.081-.81L11.408.439l-.736.737 3.913 3.917V0h-1.042v2.576zm-1.757 14.831a4.2 4.2 0 0 0 2.06 2.058l.739.338v-3.136h-3.138l.339.74zm0-3.562l-.337.738h3.135v-3.136l-.739.338a4.223 4.223 0 0 0-2.059 2.06zm7.679 3.561l.338-.739h-3.135v3.136l.738-.338a4.204 4.204 0 0 0 2.059-2.059zm0-3.561a4.198 4.198 0 0 0-2.059-2.06l-.738-.34v3.138h3.135l-.338-.738z' fill=':color:'/%3E%3C/svg%3E\")}",er=function(){"use strict";function h(u){var r=this;_classCallCheck(this,h),this.destroyed=!1,this.flakes=[],this.isBody=!1,this.handleResize=function(){r.params.autoResize&&r.resize()},this.handleOrientationChange=function(){r.resize()},this.params=this.setParams(u),this.isBody=at(this.params.container),h.gid++,this.gid=h.gid,this.container=this.appendContainer(),this.params.stop&&this.stop(),this.appendStyles(),this.appendFlakes(),this.containerSize={width:this.width(),height:this.height()},window.addEventListener("resize",this.handleResize,!1),screen.orientation&&screen.orientation.addEventListener&&screen.orientation.addEventListener("change",this.handleOrientationChange)}return _createClass(h,[{key:"start",value:function(){Vr(this.container,"snowflakes_paused")}},{key:"stop",value:function(){Ae(this.container,"snowflakes_paused")}},{key:"show",value:function(){Vr(this.container,"snowflakes_hidden")}},{key:"hide",value:function(){Ae(this.container,"snowflakes_hidden")}},{key:"resize",value:function(){var r=this.width(),o=this.height();if(o!==this.containerSize.height){this.containerSize.width=r,this.containerSize.height=o;var l=this.getFlakeParams();this.flakes.forEach(function(p){return p.resize(l)}),!this.isBody&&(ee(this.container),this.updateAnimationStyle(),Q(this.container))}}},{key:"destroy",value:function(){this.destroyed||(this.destroyed=!0,h.instanceCounter&&h.instanceCounter--,this.removeStyles(),$e(this.container),this.flakes.forEach(function(r){return r.destroy()}),this.flakes=[],window.removeEventListener("resize",this.handleResize,!1),screen.orientation&&screen.orientation.removeEventListener&&screen.orientation.removeEventListener("change",this.handleOrientationChange,!1))}},{key:"appendContainer",value:function(){var r=document.createElement("div");return Ae(r,"snowflakes"),Ae(r,"snowflakes_gid_".concat(this.gid)),this.isBody&&Ae(r,"snowflakes_body"),j(r,{zIndex:String(this.params.zIndex)}),this.params.container.appendChild(r),r}},{key:"appendStyles",value:function(){h.instanceCounter||(this.mainStyleNode=this.injectStyle(qi)),h.instanceCounter++,this.imagesStyleNode=this.injectStyle(Wi.replace(/:color:/g,encodeURIComponent(this.params.color))),this.animationStyleNode=this.injectStyle(this.getAnimationStyle())}},{key:"injectStyle",value:function(r,o){return it(r.replace(/_gid_value/g,"_gid_".concat(this.gid)),o)}},{key:"getFlakeParams",value:function(){var r=this.height(),o=this.params;return{containerHeight:r,gid:this.gid,count:o.count,speed:o.speed,rotation:o.rotation,minOpacity:o.minOpacity,maxOpacity:o.maxOpacity,minSize:o.minSize,maxSize:o.maxSize,types:o.types,wind:o.wind}}},{key:"appendFlakes",value:function(){var r=this,o=this.getFlakeParams();this.flakes=[];for(var l=0;l<this.params.count;l++)this.flakes.push(new Fi(o));this.flakes.sort(function(p,v){return p.size-v.size}).forEach(function(p){p.appendTo(r.container)})}},{key:"setParams",value:function(r){var o=r||{},l={},p={color:"#5ECDEF",container:document.body,count:50,speed:1,stop:!1,rotation:!0,minOpacity:.6,maxOpacity:1,minSize:10,maxSize:25,types:6,width:void 0,height:void 0,wind:!0,zIndex:9999,autoResize:!0};return Object.keys(p).forEach(function(v){l[v]=_typeof(o[v])>"u"?p[v]:o[v]}),l}},{key:"getAnimationStyle",value:function(){for(var r="0px",o=this.params.maxSize*Math.sqrt(2),l=this.isBody?"calc(100vh + ".concat(o,"px)"):"".concat(this.height()+o,"px"),p=this.gid,v="@-webkit-keyframes snowflake_gid_".concat(p,"_y{from{-webkit-transform:translateY(").concat(r,")}to{-webkit-transform:translateY(").concat(l,");}}\n@keyframes snowflake_gid_").concat(p,"_y{from{transform:translateY(").concat(r,")}to{transform:translateY(").concat(l,");}}"),b=0;b<=Zn;b++){var k=Gr(b,this.params.minSize,this.params.maxSize)+"px";v+="@-webkit-keyframes snowflake_gid_".concat(p,"_x_").concat(b,"{from{-webkit-transform:translateX(0px)}to{-webkit-transform:translateX(").concat(k,");}}\n@keyframes snowflake_gid_").concat(p,"_x_").concat(b,"{from{transform:translateX(0px)}to{transform:translateX(").concat(k,")}}")}return v}},{key:"updateAnimationStyle",value:function(){this.injectStyle(this.getAnimationStyle(),this.animationStyleNode)}},{key:"removeStyles",value:function(){h.instanceCounter||($e(this.mainStyleNode),delete this.mainStyleNode),$e(this.imagesStyleNode),delete this.imagesStyleNode,$e(this.animationStyleNode),delete this.animationStyleNode}},{key:"width",value:function(){return this.params.width||(this.isBody?qe():this.params.container.offsetWidth)}},{key:"height",value:function(){return this.params.height||(this.isBody?xe():this.params.container.offsetHeight+this.params.maxSize)}}]),h}();er.instanceCounter=0,er.gid=0;var Sn=window,tr=Sn.ShadowRoot&&(Sn.ShadyCSS===void 0||Sn.ShadyCSS.nativeShadow)&&"adoptedStyleSheets"in Document.prototype&&"replace"in CSSStyleSheet.prototype,nr=Symbol(),to=new WeakMap,no=function(){"use strict";function h(u,r,o){if(_classCallCheck(this,h),this._$cssResult$=!0,o!==nr)throw Error("CSSResult is not constructable. Use `unsafeCSS` or `css` instead.");this.cssText=u,this.t=r}return _createClass(h,[{key:"styleSheet",get:function(){var r=this.o,o=this.t;if(tr&&r===void 0){var l=o!==void 0&&o.length===1;l&&(r=to.get(o)),r===void 0&&((this.o=r=new CSSStyleSheet).replaceSync(this.cssText),l&&to.set(o,r))}return r}},{key:"toString",value:function(){return this.cssText}}]),h}(),Ui=function(h){return new no(typeof h=="string"?h:h+"",void 0,nr)},K=function(h){for(var u=arguments.length,r=new Array(u>1?u-1:0),o=1;o<u;o++)r[o-1]=arguments[o];var l=h.length===1?h[0]:r.reduce(function(p,v,b){return p+function(k){if(k._$cssResult$===!0)return k.cssText;if(typeof k=="number")return k;throw Error("Value passed to 'css' function must be a 'css' function result: "+k+". Use 'unsafeCSS' to pass non-literal values, but take care to ensure page security.")}(v)+h[b+1]},h[0]);return new no(l,h,nr)},Vi=function(h,u){tr?h.adoptedStyleSheets=u.map(function(r){return _instanceof(r,CSSStyleSheet)?r:r.styleSheet}):u.forEach(function(r){var o=document.createElement("style"),l=Sn.litNonce;l!==void 0&&o.setAttribute("nonce",l),o.textContent=r.cssText,h.appendChild(o)})},ro=tr?function(h){return h}:function(h){return _instanceof(h,CSSStyleSheet)?function(u){var r="",o=!0,l=!1,p=void 0;try{for(var v=u.cssRules[Symbol.iterator](),b;!(o=(b=v.next()).done);o=!0){var k=b.value;r+=k.cssText}}catch(E){l=!0,p=E}finally{try{!o&&v.return!=null&&v.return()}finally{if(l)throw p}}return Ui(r)}(h):h},rr,An=window,oo=An.trustedTypes,Xi=oo?oo.emptyScript:"",io=An.reactiveElementPolyfillSupport,or={toAttribute:function(u,r){switch(r){case Boolean:u=u?Xi:null;break;case Object:case Array:u=u==null?u:JSON.stringify(u)}return u},fromAttribute:function(u,r){var o=u;switch(r){case Boolean:o=u!==null;break;case Number:o=u===null?null:Number(u);break;case Object:case Array:try{o=JSON.parse(u)}catch(l){o=null}}return o}},ao=function(h,u){return u!==h&&(u==u||h==h)},ir={attribute:!0,type:String,converter:or,reflect:!1,hasChanged:ao},ar="finalized",Bt=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(){_classCallCheck(this,r);var o;return o=u.call(this),o._$Ei=new Map,o.isUpdatePending=!1,o.hasUpdated=!1,o._$El=null,o._$Eu(),_possibleConstructorReturn(o)}return _createClass(r,[{key:"_$Eu",value:function(){var l=this,p;this._$E_=new Promise(function(v){return l.enableUpdating=v}),this._$AL=new Map,this._$Eg(),this.requestUpdate(),(p=this.constructor.h)===null||p===void 0||p.forEach(function(v){return v(l)})}},{key:"addController",value:function(l){var p,v;((p=this._$ES)!==null&&p!==void 0?p:this._$ES=[]).push(l),this.renderRoot!==void 0&&this.isConnected&&((v=l.hostConnected)===null||v===void 0||v.call(l))}},{key:"removeController",value:function(l){var p;(p=this._$ES)===null||p===void 0||p.splice(this._$ES.indexOf(l)>>>0,1)}},{key:"_$Eg",value:function(){var l=this;this.constructor.elementProperties.forEach(function(p,v){l.hasOwnProperty(v)&&(l._$Ei.set(v,l[v]),delete l[v])})}},{key:"createRenderRoot",value:function(){var l,p=(l=this.shadowRoot)!==null&&l!==void 0?l:this.attachShadow(this.constructor.shadowRootOptions);return Vi(p,this.constructor.elementStyles),p}},{key:"connectedCallback",value:function(){var l;this.renderRoot===void 0&&(this.renderRoot=this.createRenderRoot()),this.enableUpdating(!0),(l=this._$ES)===null||l===void 0||l.forEach(function(p){var v;return(v=p.hostConnected)===null||v===void 0?void 0:v.call(p)})}},{key:"enableUpdating",value:function(l){}},{key:"disconnectedCallback",value:function(){var l;(l=this._$ES)===null||l===void 0||l.forEach(function(p){var v;return(v=p.hostDisconnected)===null||v===void 0?void 0:v.call(p)})}},{key:"attributeChangedCallback",value:function(l,p,v){this._$AK(l,v)}},{key:"_$EO",value:function(l,p){var v=arguments.length>2&&arguments[2]!==void 0?arguments[2]:ir,b,k=this.constructor._$Ep(l,v);if(k!==void 0&&v.reflect===!0){var E=(((b=v.converter)===null||b===void 0?void 0:b.toAttribute)!==void 0?v.converter:or).toAttribute(p,v.type);this._$El=l,E==null?this.removeAttribute(k):this.setAttribute(k,E),this._$El=null}}},{key:"_$AK",value:function(l,p){var v,b=this.constructor,k=b._$Ev.get(l);if(k!==void 0&&this._$El!==k){var E=b.getPropertyOptions(k),R=typeof E.converter=="function"?{fromAttribute:E.converter}:((v=E.converter)===null||v===void 0?void 0:v.fromAttribute)!==void 0?E.converter:or;this._$El=k,this[k]=R.fromAttribute(p,E.type),this._$El=null}}},{key:"requestUpdate",value:function(l,p,v){var b=!0;l!==void 0&&(((v=v||this.constructor.getPropertyOptions(l)).hasChanged||ao)(this[l],p)?(this._$AL.has(l)||this._$AL.set(l,p),v.reflect===!0&&this._$El!==l&&(this._$EC===void 0&&(this._$EC=new Map),this._$EC.set(l,v))):b=!1),!this.isUpdatePending&&b&&(this._$E_=this._$Ej())}},{key:"_$Ej",value:function(){return Hi(this,null,_regeneratorRuntime.default.mark(function l(){var p;return _regeneratorRuntime.default.wrap(function(b){for(;;)switch(b.prev=b.next){case 0:return this.isUpdatePending=!0,b.prev=1,b.next=4,this._$E_;case 4:b.next=9;break;case 6:b.prev=6,b.t0=b.catch(1),Promise.reject(b.t0);case 9:if(p=this.scheduleUpdate(),b.t1=p!=null,!b.t1){b.next=14;break}return b.next=14,p;case 14:return b.abrupt("return",(b.t1&&b.sent,!this.isUpdatePending));case 15:case"end":return b.stop()}},l,this,[[1,6]])}))}},{key:"scheduleUpdate",value:function(){return this.performUpdate()}},{key:"performUpdate",value:function(){var l=this,p;if(this.isUpdatePending){this.hasUpdated,this._$Ei&&(this._$Ei.forEach(function(k,E){return l[E]=k}),this._$Ei=void 0);var v=!1,b=this._$AL;try{v=this.shouldUpdate(b),v?(this.willUpdate(b),(p=this._$ES)===null||p===void 0||p.forEach(function(k){var E;return(E=k.hostUpdate)===null||E===void 0?void 0:E.call(k)}),this.update(b)):this._$Ek()}catch(k){throw v=!1,this._$Ek(),k}v&&this._$AE(b)}}},{key:"willUpdate",value:function(l){}},{key:"_$AE",value:function(l){var p;(p=this._$ES)===null||p===void 0||p.forEach(function(v){var b;return(b=v.hostUpdated)===null||b===void 0?void 0:b.call(v)}),this.hasUpdated||(this.hasUpdated=!0,this.firstUpdated(l)),this.updated(l)}},{key:"_$Ek",value:function(){this._$AL=new Map,this.isUpdatePending=!1}},{key:"updateComplete",get:function(){return this.getUpdateComplete()}},{key:"getUpdateComplete",value:function(){return this._$E_}},{key:"shouldUpdate",value:function(l){return!0}},{key:"update",value:function(l){var p=this;this._$EC!==void 0&&(this._$EC.forEach(function(v,b){return p._$EO(b,p[b],v)}),this._$EC=void 0),this._$Ek()}},{key:"updated",value:function(l){}},{key:"firstUpdated",value:function(l){}}],[{key:"addInitializer",value:function(l){var p;this.finalize(),((p=this.h)!==null&&p!==void 0?p:this.h=[]).push(l)}},{key:"observedAttributes",get:function(){var l=this;this.finalize();var p=[];return this.elementProperties.forEach(function(v,b){var k=l._$Ep(b,v);k!==void 0&&(l._$Ev.set(k,b),p.push(k))}),p}},{key:"createProperty",value:function(l){var p=arguments.length>1&&arguments[1]!==void 0?arguments[1]:ir;if(p.state&&(p.attribute=!1),this.finalize(),this.elementProperties.set(l,p),!p.noAccessor&&!this.prototype.hasOwnProperty(l)){var v=(typeof l=="undefined"?"undefined":_typeof(l))=="symbol"?Symbol():"__"+l,b=this.getPropertyDescriptor(l,v,p);b!==void 0&&Object.defineProperty(this.prototype,l,b)}}},{key:"getPropertyDescriptor",value:function(l,p,v){return{get:function(){return this[p]},set:function(k){var E=this[l];this[p]=k,this.requestUpdate(l,E,v)},configurable:!0,enumerable:!0}}},{key:"getPropertyOptions",value:function(l){return this.elementProperties.get(l)||ir}},{key:"finalize",value:function(){if(this.hasOwnProperty(ar))return!1;this[ar]=!0;var l=Object.getPrototypeOf(this);if(l.finalize(),l.h!==void 0&&(this.h=_toConsumableArray(l.h)),this.elementProperties=new Map(l.elementProperties),this._$Ev=new Map,this.hasOwnProperty("properties")){var p=this.properties,v=_toConsumableArray(Object.getOwnPropertyNames(p)).concat(_toConsumableArray(Object.getOwnPropertySymbols(p))),b=!0,k=!1,E=void 0;try{for(var R=v[Symbol.iterator](),L;!(b=(L=R.next()).done);b=!0){var q=L.value;this.createProperty(q,p[q])}}catch(ue){k=!0,E=ue}finally{try{!b&&R.return!=null&&R.return()}finally{if(k)throw E}}}return this.elementStyles=this.finalizeStyles(this.styles),!0}},{key:"finalizeStyles",value:function(l){var p=[];if(Array.isArray(l)){var v=new Set(l.flat(1/0).reverse()),b=!0,k=!1,E=void 0;try{for(var R=v[Symbol.iterator](),L;!(b=(L=R.next()).done);b=!0){var q=L.value;p.unshift(ro(q))}}catch(ue){k=!0,E=ue}finally{try{!b&&R.return!=null&&R.return()}finally{if(k)throw E}}}else l!==void 0&&p.push(ro(l));return p}},{key:"_$Ep",value:function(l,p){var v=p.attribute;return v===!1?void 0:typeof v=="string"?v:typeof l=="string"?l.toLowerCase():void 0}}]),r}(_wrapNativeSuper(HTMLElement));Bt[ar]=!0,Bt.elementProperties=new Map,Bt.elementStyles=[],Bt.shadowRootOptions={mode:"open"},io==null||io({ReactiveElement:Bt}),((rr=An.reactiveElementVersions)!==null&&rr!==void 0?rr:An.reactiveElementVersions=[]).push("1.6.3");var sr,En=window,Lt=En.trustedTypes,so=Lt?Lt.createPolicy("lit-html",{createHTML:function(h){return h}}):void 0,ur="$lit$",gt="lit$".concat((Math.random()+"").slice(9),"$"),uo="?"+gt,Gi="<".concat(uo,">"),Ct=document,tn=function(){return Ct.createComment("")},nn=function(h){return h===null||typeof h!="object"&&typeof h!="function"},lo=Array.isArray,Yi=function(h){return lo(h)||typeof(h==null?void 0:h[Symbol.iterator])=="function"},lr="[ 	\n\f\r]",rn=/<(?:(!--|\/[^a-zA-Z])|(\/?[a-zA-Z][^>\s]*)|(\/?$))/g,co=/-->/g,fo=/>/g,St=RegExp(">|".concat(lr,"(?:([^\\s\"'>=/]+)(").concat(lr,"*=").concat(lr,"*(?:[^ 	\n\f\r\"'`<>=]|(\"|')|))|$)"),"g"),ho=/'/g,po=/"/g,vo=/^(?:script|style|textarea|title)$/i,mo=function(h){return function(u){for(var r=arguments.length,o=new Array(r>1?r-1:0),l=1;l<r;l++)o[l-1]=arguments[l];return{_$litType$:h,strings:u,values:o}}},we=mo(1),eu=mo(2),Ft=Symbol.for("lit-noChange"),he=Symbol.for("lit-nothing"),go=new WeakMap,At=Ct.createTreeWalker(Ct,129,null,!1),Ji=function(h,u){for(var r=h.length-1,o=[],l,p=u===2?"<svg>":"",v=rn,b=0;b<r;b++){for(var k=h[b],E=void 0,R=void 0,L=-1,q=0;q<k.length&&(v.lastIndex=q,R=v.exec(k),R!==null);)q=v.lastIndex,v===rn?R[1]==="!--"?v=co:R[1]!==void 0?v=fo:R[2]!==void 0?(vo.test(R[2])&&(l=RegExp("</"+R[2],"g")),v=St):R[3]!==void 0&&(v=St):v===St?R[0]===">"?(v=l!=null?l:rn,L=-1):R[1]===void 0?L=-2:(L=v.lastIndex-R[2].length,E=R[1],v=R[3]===void 0?St:R[3]==='"'?po:ho):v===po||v===ho?v=St:v===co||v===fo?v=rn:(v=St,l=void 0);var ue=v===St&&h[b+1].startsWith("/>")?" ":"";p+=v===rn?k+Gi:L>=0?(o.push(E),k.slice(0,L)+ur+k.slice(L)+gt+ue):k+gt+(L===-2?(o.push(void 0),b):ue)}return[Yr(h,p+(h[r]||"<?>")+(u===2?"</svg>":"")),o]},cr=function(){"use strict";function h(u,r){var o=u.strings,l=u._$litType$;_classCallCheck(this,h);var p;this.parts=[];var v=0,b=0,k=o.length-1,E=this.parts,R=_slicedToArray(Ji(o,l),2),L=R[0],q=R[1];if(this.el=h.createElement(L,r),At.currentNode=this.el.content,l===2){var ue,He=this.el.content,Ce=He.firstChild;Ce.remove(),(ue=He).append.apply(ue,_toConsumableArray(Ce.childNodes))}for(;(p=At.nextNode())!==null&&E.length<k;){if(p.nodeType===1){if(p.hasAttributes()){var Ke=[],We=!0,Qe=!1,bt=void 0;try{for(var Ne=p.getAttributeNames()[Symbol.iterator](),ke;!(We=(ke=Ne.next()).done);We=!0){var Ze=ke.value;if(Ze.endsWith(ur)||Ze.startsWith(gt)){var wt=q[b++];if(Ke.push(Ze),wt!==void 0){var et=p.getAttribute(wt.toLowerCase()+ur).split(gt),Ee=/([.?@])?(.*)/.exec(wt);E.push({type:1,index:v,name:Ee[2],strings:et,ctor:Ee[1]==="."?Qi:Ee[1]==="?"?ea:Ee[1]==="@"?ta:Tn})}else E.push({type:6,index:v})}}}catch(Gt){Qe=!0,bt=Gt}finally{try{!We&&Ne.return!=null&&Ne.return()}finally{if(Qe)throw bt}}var tt=!0,Ut=!1,ut=void 0;try{for(var lt=Ke[Symbol.iterator](),Mn;!(tt=(Mn=lt.next()).done);tt=!0){var Cr=Mn.value;p.removeAttribute(Cr)}}catch(Gt){Ut=!0,ut=Gt}finally{try{!tt&&lt.return!=null&&lt.return()}finally{if(Ut)throw ut}}}if(vo.test(p.tagName)){var Vt=p.textContent.split(gt),cn=Vt.length-1;if(cn>0){p.textContent=Lt?Lt.emptyScript:"";for(var Xt=0;Xt<cn;Xt++)p.append(Vt[Xt],tn()),At.nextNode(),E.push({type:2,index:++v});p.append(Vt[cn],tn())}}}else if(p.nodeType===8)if(p.data===uo)E.push({type:2,index:v});else for(var ct=-1;(ct=p.data.indexOf(gt,ct+1))!==-1;)E.push({type:7,index:v}),ct+=gt.length-1;v++}}return _createClass(h,null,[{key:"createElement",value:function(r,o){var l=Ct.createElement("template");return l.innerHTML=r,l}}]),h}();function qt(h,u){var r=arguments.length>2&&arguments[2]!==void 0?arguments[2]:h,o=arguments.length>3?arguments[3]:void 0,l,p,v,b;if(u===Ft)return u;var k=o!==void 0?(l=r._$Co)===null||l===void 0?void 0:l[o]:r._$Cl,E=nn(u)?void 0:u._$litDirective$;return(k==null?void 0:k.constructor)!==E&&((p=k==null?void 0:k._$AO)===null||p===void 0||p.call(k,!1),E===void 0?k=void 0:(k=new E(h),k._$AT(h,r,o)),o!==void 0?((v=(b=r)._$Co)!==null&&v!==void 0?v:b._$Co=[])[o]=k:r._$Cl=k),k!==void 0&&(u=qt(h,k._$AS(h,u.values),k,o)),u}var Ki=function(){"use strict";function h(u,r){_classCallCheck(this,h),this._$AV=[],this._$AN=void 0,this._$AD=u,this._$AM=r}return _createClass(h,[{key:"parentNode",get:function(){return this._$AM.parentNode}},{key:"_$AU",get:function(){return this._$AM._$AU}},{key:"u",value:function(r){var o,l=this._$AD,p=l.el,v=p.content,b=l.parts,k=((o=r==null?void 0:r.creationScope)!==null&&o!==void 0?o:Ct).importNode(v,!0);At.currentNode=k;for(var E=At.nextNode(),R=0,L=0,q=b[0];q!==void 0;){if(R===q.index){var ue=void 0;q.type===2?ue=new fr(E,E.nextSibling,this,r):q.type===1?ue=new q.ctor(E,q.name,q.strings,this,r):q.type===6&&(ue=new na(E,this,r)),this._$AV.push(ue),q=b[++L]}R!==(q==null?void 0:q.index)&&(E=At.nextNode(),R++)}return At.currentNode=Ct,k}},{key:"v",value:function(r){var o=0,l=!0,p=!1,v=void 0;try{for(var b=this._$AV[Symbol.iterator](),k;!(l=(k=b.next()).done);l=!0){var E=k.value;E!==void 0&&(E.strings!==void 0?(E._$AI(r,E,o),o+=E.strings.length-2):E._$AI(r[o])),o++}}catch(R){p=!0,v=R}finally{try{!l&&b.return!=null&&b.return()}finally{if(p)throw v}}}}]),h}(),fr=function(){"use strict";function h(u,r,o,l){_classCallCheck(this,h);var p;this.type=2,this._$AH=he,this._$AN=void 0,this._$AA=u,this._$AB=r,this._$AM=o,this.options=l,this._$Cp=(p=l==null?void 0:l.isConnected)===null||p===void 0||p}return _createClass(h,[{key:"_$AU",get:function(){var r,o;return(o=(r=this._$AM)===null||r===void 0?void 0:r._$AU)!==null&&o!==void 0?o:this._$Cp}},{key:"parentNode",get:function(){var r=this._$AA.parentNode,o=this._$AM;return o!==void 0&&(r==null?void 0:r.nodeType)===11&&(r=o.parentNode),r}},{key:"startNode",get:function(){return this._$AA}},{key:"endNode",get:function(){return this._$AB}},{key:"_$AI",value:function(r){var o=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this;r=qt(this,r,o),nn(r)?r===he||r==null||r===""?(this._$AH!==he&&this._$AR(),this._$AH=he):r!==this._$AH&&r!==Ft&&this._(r):r._$litType$!==void 0?this.g(r):r.nodeType!==void 0?this.$(r):Yi(r)?this.T(r):this._(r)}},{key:"k",value:function(r){return this._$AA.parentNode.insertBefore(r,this._$AB)}},{key:"$",value:function(r){this._$AH!==r&&(this._$AR(),this._$AH=this.k(r))}},{key:"_",value:function(r){this._$AH!==he&&nn(this._$AH)?this._$AA.nextSibling.data=r:this.$(Ct.createTextNode(r)),this._$AH=r}},{key:"g",value:function(r){var o,l=r.values,p=r._$litType$,v=typeof p=="number"?this._$AC(r):(p.el===void 0&&(p.el=cr.createElement(Yr(p.h,p.h[0]),this.options)),p);if(((o=this._$AH)===null||o===void 0?void 0:o._$AD)===v)this._$AH.v(l);else{var b=new Ki(v,this),k=b.u(this.options);b.v(l),this.$(k),this._$AH=b}}},{key:"_$AC",value:function(r){var o=go.get(r.strings);return o===void 0&&go.set(r.strings,o=new cr(r)),o}},{key:"T",value:function(r){lo(this._$AH)||(this._$AH=[],this._$AR());var o=this._$AH,l,p=0,v=!0,b=!1,k=void 0;try{for(var E=r[Symbol.iterator](),R;!(v=(R=E.next()).done);v=!0){var L=R.value;p===o.length?o.push(l=new h(this.k(tn()),this.k(tn()),this,this.options)):l=o[p],l._$AI(L),p++}}catch(q){b=!0,k=q}finally{try{!v&&E.return!=null&&E.return()}finally{if(b)throw k}}p<o.length&&(this._$AR(l&&l._$AB.nextSibling,p),o.length=p)}},{key:"_$AR",value:function(){var r=arguments.length>0&&arguments[0]!==void 0?arguments[0]:this._$AA.nextSibling,o=arguments.length>1?arguments[1]:void 0,l;for((l=this._$AP)===null||l===void 0||l.call(this,!1,!0,o);r&&r!==this._$AB;){var p=r.nextSibling;r.remove(),r=p}}},{key:"setConnected",value:function(r){var o;this._$AM===void 0&&(this._$Cp=r,(o=this._$AP)===null||o===void 0||o.call(this,r))}}]),h}(),Tn=function(){"use strict";function h(u,r,o,l,p){_classCallCheck(this,h),this.type=1,this._$AH=he,this._$AN=void 0,this.element=u,this.name=r,this._$AM=l,this.options=p,o.length>2||o[0]!==""||o[1]!==""?(this._$AH=Array(o.length-1).fill(new String),this.strings=o):this._$AH=he}return _createClass(h,[{key:"tagName",get:function(){return this.element.tagName}},{key:"_$AU",get:function(){return this._$AM._$AU}},{key:"_$AI",value:function(r){var o=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this,l=arguments.length>2?arguments[2]:void 0,p=arguments.length>3?arguments[3]:void 0,v=this.strings,b=!1;if(v===void 0)r=qt(this,r,o,0),b=!nn(r)||r!==this._$AH&&r!==Ft,b&&(this._$AH=r);else{var k=r,E,R;for(r=v[0],E=0;E<v.length-1;E++)R=qt(this,k[l+E],o,E),R===Ft&&(R=this._$AH[E]),b||(b=!nn(R)||R!==this._$AH[E]),R===he?r=he:r!==he&&(r+=(R!=null?R:"")+v[E+1]),this._$AH[E]=R}b&&!p&&this.j(r)}},{key:"j",value:function(r){r===he?this.element.removeAttribute(this.name):this.element.setAttribute(this.name,r!=null?r:"")}}]),h}(),Qi=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(){_classCallCheck(this,r);var o;return o=u.call.apply(u,[this].concat(Array.prototype.slice.call(arguments))),o.type=3,_possibleConstructorReturn(o)}return _createClass(r,[{key:"j",value:function(l){this.element[this.name]=l===he?void 0:l}}]),r}(Tn),Zi=Lt?Lt.emptyScript:"",ea=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(){_classCallCheck(this,r);var o;return o=u.call.apply(u,[this].concat(Array.prototype.slice.call(arguments))),o.type=4,_possibleConstructorReturn(o)}return _createClass(r,[{key:"j",value:function(l){l&&l!==he?this.element.setAttribute(this.name,Zi):this.element.removeAttribute(this.name)}}]),r}(Tn),ta=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(o,l,p,v,b){_classCallCheck(this,r);var k;return k=u.call(this,o,l,p,v,b),k.type=5,_possibleConstructorReturn(k)}return _createClass(r,[{key:"_$AI",value:function(l){var p=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this,v;if((l=(v=qt(this,l,p,0))!==null&&v!==void 0?v:he)!==Ft){var b=this._$AH,k=l===he&&b!==he||l.capture!==b.capture||l.once!==b.once||l.passive!==b.passive,E=l!==he&&(b===he||k);k&&this.element.removeEventListener(this.name,this,b),E&&this.element.addEventListener(this.name,this,l),this._$AH=l}}},{key:"handleEvent",value:function(l){var p,v;typeof this._$AH=="function"?this._$AH.call((v=(p=this.options)===null||p===void 0?void 0:p.host)!==null&&v!==void 0?v:this.element,l):this._$AH.handleEvent(l)}}]),r}(Tn),na=function(){"use strict";function h(u,r,o){_classCallCheck(this,h),this.element=u,this.type=6,this._$AN=void 0,this._$AM=r,this.options=o}return _createClass(h,[{key:"_$AU",get:function(){return this._$AM._$AU}},{key:"_$AI",value:function(r){qt(this,r)}}]),h}(),yo=En.litHtmlPolyfillSupport;yo==null||yo(cr,fr),((sr=En.litHtmlVersions)!==null&&sr!==void 0?sr:En.litHtmlVersions=[]).push("2.8.0");var ra=function(h,u,r){var o,l,p=(o=r==null?void 0:r.renderBefore)!==null&&o!==void 0?o:u,v=p._$litPart$;if(v===void 0){var b=(l=r==null?void 0:r.renderBefore)!==null&&l!==void 0?l:null;p._$litPart$=v=new fr(u.insertBefore(tn(),b),b,void 0,r!=null?r:{})}return v._$AI(h),v},dr,hr,Et=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(){_classCallCheck(this,r);var o;return o=u.call.apply(u,[this].concat(Array.prototype.slice.call(arguments))),o.renderOptions={host:_assertThisInitialized(o)},o._$Do=void 0,_possibleConstructorReturn(o)}return _createClass(r,[{key:"createRenderRoot",value:function(){var l,p,v=_get(_getPrototypeOf(r.prototype),"createRenderRoot",this).call(this);return(l=(p=this.renderOptions).renderBefore)!==null&&l!==void 0||(p.renderBefore=v.firstChild),v}},{key:"update",value:function(l){var p=this.render();this.hasUpdated||(this.renderOptions.isConnected=this.isConnected),_get(_getPrototypeOf(r.prototype),"update",this).call(this,l),this._$Do=ra(p,this.renderRoot,this.renderOptions)}},{key:"connectedCallback",value:function(){var l;_get(_getPrototypeOf(r.prototype),"connectedCallback",this).call(this),(l=this._$Do)===null||l===void 0||l.setConnected(!0)}},{key:"disconnectedCallback",value:function(){var l;_get(_getPrototypeOf(r.prototype),"disconnectedCallback",this).call(this),(l=this._$Do)===null||l===void 0||l.setConnected(!1)}},{key:"render",value:function(){return Ft}}]),r}(Bt);Et.finalized=!0,Et._$litElement$=!0,(dr=globalThis.litElementHydrateSupport)===null||dr===void 0||dr.call(globalThis,{LitElement:Et});var bo=globalThis.litElementPolyfillSupport;bo==null||bo({LitElement:Et}),((hr=globalThis.litElementVersions)!==null&&hr!==void 0?hr:globalThis.litElementVersions=[]).push("3.3.3");var pr=function(h){return function(u){return typeof u=="function"?function(r,o){return customElements.define(r,o),o}(h,u):function(r,o){var l=o.kind,p=o.elements;return{kind:l,elements:p,finisher:function(b){customElements.define(r,b)}}}(h,u)}},oa=function(h,u){return u.kind==="method"&&u.descriptor&&!("value"in u.descriptor)?Jn(Cn({},u),{finisher:function(o){o.createProperty(u.key,h)}}):{kind:"field",key:Symbol(),placement:"own",descriptor:{},originalKey:u.key,initializer:function(){typeof u.initializer=="function"&&(this[u.key]=u.initializer.call(this))},finisher:function(o){o.createProperty(u.key,h)}}},ia=function(h,u,r){u.constructor.createProperty(r,h)},aa=function(h){var u=h.finisher,r=h.descriptor;return function(o,l){var p;if(l===void 0){var v=(p=o.originalKey)!==null&&p!==void 0?p:o.key,b=r!=null?{kind:"method",placement:"prototype",key:v,descriptor:r(o.key)}:Jn(Cn({},o),{key:v});return u!=null&&(b.finisher=function(E){u(E,v)}),b}{var k=o.constructor;r!==void 0&&Object.defineProperty(o,l,r(l)),u==null||u(k,l)}}},vr,tu=((vr=window.HTMLSlotElement)===null||vr===void 0?void 0:vr.prototype.assignedElements)!=null?function(h,u){return h.assignedElements(u)}:function(h,u){return h.assignedNodes(u).filter(function(r){return r.nodeType===Node.ELEMENT_NODE})},sa={symbol:"$",separator:",",decimal:".",errorOnInvalid:!1,precision:2,pattern:"!#",negativePattern:"-!#",format:Ni,fromCents:!1},wo=function(u){return Math.round(u)},mr=function(u){return Math.pow(10,u)},ua=function(u,r){return wo(u/r)*r},la=/(\d)(?=(\d{3})+\b)/g,ca=/(\d)(?=(\d\d)+\d\b)/g;function Xe(h,u){var r=this;if(!_instanceof(r,Xe))return new Xe(h,u);var o=Object.assign({},sa,u),l=mr(o.precision),p=kn(h,o);r.intValue=p,r.value=p/l,o.increment=o.increment||1/l,o.useVedic?o.groups=ca:o.groups=la,this.s=o,this.p=l}Xe.prototype={add:function(u){var r=this.intValue,o=this.s,l=this.p;return Xe((r+=kn(u,o))/(o.fromCents?1:l),o)},subtract:function(u){var r=this.intValue,o=this.s,l=this.p;return Xe((r-=kn(u,o))/(o.fromCents?1:l),o)},multiply:function(u){var r=this.intValue,o=this.s;return Xe((r*=u)/(o.fromCents?1:mr(o.precision)),o)},divide:function(u){var r=this.intValue,o=this.s;return Xe(r/=kn(u,o,!1),o)},distribute:function(u){for(var r=this.intValue,o=this.p,l=this.s,p=[],v=Math[r>=0?"floor":"ceil"](r/u),b=Math.abs(r-v*u),k=l.fromCents?1:o;u!==0;u--){var E=Xe(v/k,l);b-- >0&&(E=E[r>=0?"add":"subtract"](1/k)),p.push(E)}return p},dollars:function(){return~~this.value},cents:function(){var u=this.intValue,r=this.p;return~~(u%r)},format:function(u){var r=this.s;return typeof u=="function"?u(this,r):r.format(this,Object.assign({},r,u))},toString:function(){var u=this.intValue,r=this.p,o=this.s;return ua(u/r,o.increment).toFixed(o.precision)},toJSON:function(){return this.value}};var xo=Xe,ko;(function(h){h.CreditCard="Credit Card",h.PayPal="PayPal",h.GooglePay="Google Pay",h.Venmo="Venmo",h.ApplePay="Apple Pay"})(ko||(ko={}));var gr=function(){"use strict";function h(u){_classCallCheck(this,h),this.donationType=u.donationType,this.amount=u.amount,this.coverFees=u.coverFees}return _createClass(h,[{key:"feeAmountCovered",get:function(){return this.coverFees?this.fee:0}},{key:"fee",get:function(){return h.calculateFeeAmount(this.amount)}},{key:"total",get:function(){return h.calculateTotal(this.amount,this.coverFees)}}],[{key:"calculateTotal",value:function(r,o){var l=o?this.calculateFeeAmount(r):0,p=r+l;return isNaN(p)?0:this.roundAmount(p)}},{key:"calculateFeeAmount",value:function(r){var o=r*.022+.3;return isNaN(o)?0:this.roundAmount(o)}},{key:"roundAmount",value:function(r){return Math.round(r*100)/100}}]),h}(),Ge;(function(h){h.OneTime="one-time",h.Monthly="monthly",h.Upsell="up_sell"})(Ge||(Ge={}));var fa=[5,10,25,50,100,500,1e3],da=new gr({donationType:Ge.OneTime,amount:10,coverFees:!1}),ha=function(){"use strict";function h(){_classCallCheck(this,h)}return _createClass(h,[{key:"keydown",value:function(r){var o,l,p=r.key;if(!r.metaKey){switch(p){case"Tab":case"Delete":case"Backspace":case"ArrowLeft":case"ArrowRight":case"ArrowUp":case"ArrowDown":return}var v=r.target,b=v.value,k=b.slice(0,(o=v.selectionStart)!==null&&o!==void 0?o:0),E=b.slice((l=v.selectionEnd)!==null&&l!==void 0?l:0),R="".concat(k).concat(p).concat(E),L=/^[0-9]+(\.[0-9]{0,2})?$/g;R.match(L)||r.preventDefault()}}}]),h}(),on;(function(h){h.HideBadge="hidebadge",h.ShowBadge="showbadge",h.HideBadgeLeaveSpacing="hidebadgeleavespacing"})(on||(on={}));var an=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(){_classCallCheck(this,r);var o;return o=u.call.apply(u,[this].concat(Array.prototype.slice.call(arguments))),o.sectionBadge="0",o.badgeMode=on.ShowBadge,_possibleConstructorReturn(o)}return _createClass(r,[{key:"render",value:function(){return we(_templateObject1(),this.badgeMode,this.sectionBadge,this.headline?we(_templateObject(),this.headline):"")}}],[{key:"styles",get:function(){var l=K(_templateObject2()),p=K(_templateObject3()),v=K(_templateObject4()),b=K(_templateObject5()),k=K(_templateObject6(),b),E=K(_templateObject7()),R=K(_templateObject8()),L=K(_templateObject9()),q=K(_templateObject10()),ue=K(_templateObject11()),He=K(_templateObject12()),Ce=K(_templateObject13()),Ke=K(_templateObject14(),b);return K(_templateObject15(),He,Ce,k,p,k,p,l,k,v,L,k,k,b,R,E,Ke,q,ue)}}]),r}(Et);se([be({type:String})],an.prototype,"sectionBadge",void 0),se([be({type:String})],an.prototype,"headline",void 0),se([be({type:String})],an.prototype,"badgeMode",void 0),an=se([pr("donation-form-section")],an);var sn;(function(h){h.HideNumbers="hidenumbers",h.ShowNumbers="shownumbers"})(sn||(sn={}));var Ye;(function(h){h.DonationType="donationType",h.Amount="amount"})(Ye||(Ye={}));var Pe;(function(h){h.ValidDonationAmount="valid_donation_amount",h.InvalidDonationAmount="invalid_donation_amount",h.DonationTooHigh="donation_too_high",h.DonationTooLow="donation_too_low"})(Pe||(Pe={}));var Tt;(function(h){h.Button="button",h.Checkbox="checkbox",h.Hide="hide"})(Tt||(Tt={}));var On;(function(h){h.SingleLine="single-line",h.MultiLine="multi-line"})(On||(On={}));var Oe=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(){_classCallCheck(this,r);var o;return o=u.call.apply(u,[this].concat(Array.prototype.slice.call(arguments))),o.donationInfo=da,o.stepNumberMode=sn.ShowNumbers,o.amountOptions=fa,o.amountSelectionLayout=On.MultiLine,o.frequencySelectionMode=Tt.Button,o.customAmountMode="display",o.customFeesCheckboxMode="display",o.amountTitleDisplayMode="default",o.customAmountSelected=!1,o.currencyValidator=new ha,_possibleConstructorReturn(o)}return _createClass(r,[{key:"render",value:function(){var l=this.amountTitleDisplayMode==="default"?"Choose an amount (USD)":"";return we(_templateObject19(),this.frequencySelectionMode===Tt.Button?this.frequencyButtonsTemplate:he,this.amountSelectionSectionNumber,l,this.formSectionNumberMode,this.amountTitleDisplayMode==="slot"?we(_templateObject16()):he,this.presetAmountsTemplate,this.customAmountMode==="display"?we(_templateObject17(),this.customAmountTemplate):he,this.error,this.customFeesCheckboxMode==="display"?we(_templateObject18(),this.customFeesCheckboxTemplate,this.frequencySelectionMode===Tt.Checkbox?this.frequencyCheckboxTemplate:he):he)}},{key:"updated",value:function(l){l.has("customAmountSelected")&&this.customAmountButton&&(this.customAmountButton.checked=this.customAmountSelected),l.has("amountOptions")&&(this.customAmountSelected=!1,this.updateSelectedDonationInfo(),this.setupAmountColumnsLayoutConfig()),l.has("amountSelectionLayout")&&this.setupAmountColumnsLayoutConfig(),l.has("donationInfo")&&this.updateSelectedDonationInfo(),l.has("defaultSelectedAmount")&&this.defaultSelectedAmount!==void 0&&(this.customAmountSelected=!1,this.donationInfo=new gr({donationType:this.donationInfo.donationType,amount:this.defaultSelectedAmount,coverFees:this.donationInfo.coverFees}))}},{key:"frequencyButtonsTemplate",get:function(){return we(_templateObject20(),this.formSectionNumberMode,this.frequencyTemplate)}},{key:"frequencyCheckboxTemplate",get:function(){return we(_templateObject21(),this.monthlyCheckboxChecked,this.donationInfo.donationType===Ge.Monthly)}},{key:"customFeesCheckboxTemplate",get:function(){return we(_templateObject22(),this.coverFeesChecked,this.donationInfo.coverFees,this.coverFeesTextTemplate)}},{key:"amountSelectionSectionNumber",get:function(){return this.frequencySelectionMode===Tt.Button?2:1}},{key:"formSectionNumberMode",get:function(){switch(this.stepNumberMode){case sn.ShowNumbers:return on.ShowBadge;case sn.HideNumbers:return on.HideBadge}}},{key:"setupAmountColumnsLayoutConfig",value:function(){var l=this.customAmountMode==="hide"&&this.customFeesCheckboxMode==="hide"&&this.frequencySelectionMode===Tt.Hide,p=this.amountOptions.length,v=5,b=3;switch(p){case 7:v=5,b=3;break;case 6:v=4,b=2;break;case 5:v=4,b=3;break;case 4:if(l){v=4,b=0;break}v=3,b=2;break;case 3:v=2,b=1;break}this.amountSelectionLayout===On.SingleLine&&(v=p+3,b=3),this.style.setProperty("--paymentSelectorAmountColumnCount","".concat(v)),this.style.setProperty("--paymentSelectorCustomAmountColSpan","".concat(b))}},{key:"updateSelectedDonationInfo",value:function(){var l,p;if(!this.customAmountSelected&&this.amountOptions.includes(this.donationInfo.amount)){var v=(l=this.shadowRoot)===null||l===void 0?void 0:l.querySelector('input[type="radio"][name="'.concat(Ye.Amount,'"][value="').concat(this.donationInfo.amount,'"]'));v.checked=!0,this.customAmountSelected=!1,this.customAmountInput&&(this.customAmountInput.value="")}else if(this.customAmountSelected=!0,((p=this.shadowRoot)===null||p===void 0?void 0:p.activeElement)!==this.customAmountInput){this.customAmountInput.value="".concat(this.donationInfo.amount);var b=this.getDonationInfoStatus(this.donationInfo.amount);this.handleDonationInfoStatus(b)}}},{key:"coverFeesTextTemplate",get:function(){var l=xo(this.donationInfo.fee,{symbol:"$"}).format();return we(_templateObject23(),l)}},{key:"formatShortenedAmount",value:function(l){var p=l%1===0?0:2;return xo(l,{symbol:"$",precision:p}).format()}},{key:"frequencyTemplate",get:function(){return we(_templateObject24(),this.getRadioButton({group:Ye.DonationType,value:Ge.OneTime,displayText:"One time",checked:this.donationInfo.donationType===Ge.OneTime}),this.getRadioButton({group:Ye.DonationType,value:Ge.Monthly,displayText:"Monthly",checked:this.donationInfo.donationType===Ge.Monthly}))}},{key:"presetAmountsTemplate",get:function(){var l=this;return we(_templateObject26(),this.amountOptions.map(function(p){var v=!l.customAmountSelected&&p===l.donationInfo.amount,b=l.formatShortenedAmount(p);return we(_templateObject25(),l.getRadioButton({group:Ye.Amount,value:"".concat(p),displayText:"".concat(b),checked:v}))}))}},{key:"getRadioButton",value:function(l){var p=this,v="".concat(l.group,"-").concat(l.value,"-option");return we(_templateObject27(),l.group,l.value,v,l.checked,this.radioSelected,function(b){l.group===Ye.Amount&&parseFloat(l.value)===p.donationInfo.amount&&(console.log("SAME VALUE"),p.radioSelected(b))},v,l.displayText)}},{key:"customAmountTemplate",get:function(){var l=this.amountOptions.includes(this.donationInfo.amount)?"":this.donationInfo.amount;return we(_templateObject28(),Ye.Amount,this.customRadioSelected,l,this.customAmountChanged,this.currencyValidator.keydown,this.customAmountFocused)}},{key:"customRadioSelected",value:function(){this.customAmountInput.focus()}},{key:"customAmountFocused",value:function(l){var p=l.target;this.customAmountSelected=!0,this.handleCustomAmountInput(p.value)}},{key:"coverFeesChecked",value:function(l){var p=l.target.checked;this.updateDonationInfo({coverFees:p})}},{key:"customAmountChanged",value:function(l){var p=l.target.value;this.customAmountSelected=!0,this.handleCustomAmountInput(p)}},{key:"handleCustomAmountInput",value:function(l){var p=parseFloat(l);isNaN(p)?this.dispatchEditDonationError(Pe.InvalidDonationAmount):this.amountChanged(p)}},{key:"handleDonationInfoStatus",value:function(l){switch(l){case Pe.ValidDonationAmount:this.error=void 0;break;case Pe.DonationTooHigh:this.error=we(_templateObject29()),this.dispatchEditDonationError(l);break;case Pe.DonationTooLow:this.customAmountInput.value.length>0&&(this.error=we(_templateObject30())),this.dispatchEditDonationError(l);break;case Pe.InvalidDonationAmount:this.error=we(_templateObject31()),this.dispatchEditDonationError(l);break}}},{key:"amountChanged",value:function(l){var p=this.getDonationInfoStatus(l);this.handleDonationInfoStatus(p),p===Pe.ValidDonationAmount&&this.updateDonationInfo({amount:l})}},{key:"getDonationInfoStatus",value:function(l){return isNaN(l)?Pe.InvalidDonationAmount:l>=1e4?Pe.DonationTooHigh:l<1?Pe.DonationTooLow:Pe.ValidDonationAmount}},{key:"radioSelected",value:function(l){var p=l.target,v=p.name,b=p.value;switch(v){case Ye.Amount:this.presetAmountChanged(parseFloat(b));break;case Ye.DonationType:this.updateDonationInfo({donationType:b});break;default:break}}},{key:"monthlyCheckboxChecked",value:function(l){var p=l.target.checked?Ge.Monthly:Ge.OneTime;this.updateDonationInfo({donationType:p})}},{key:"dispatchEditDonationError",value:function(l){var p=new CustomEvent("editDonationError",{detail:{error:l}});this.dispatchEvent(p)}},{key:"presetAmountChanged",value:function(l){this.error=void 0,this.customAmountSelected=!1,this.customAmountInput&&(this.customAmountInput.value=""),this.updateDonationInfo({amount:l})}},{key:"updateDonationInfo",value:function(l){var p,v,b,k=new gr({donationType:(p=l.donationType)!==null&&p!==void 0?p:this.donationInfo.donationType,amount:(v=l.amount)!==null&&v!==void 0?v:this.donationInfo.amount,coverFees:(b=l.coverFees)!==null&&b!==void 0?b:this.donationInfo.coverFees});this.donationInfo=k;var E=new CustomEvent("donationInfoChanged",{detail:{donationInfo:k}});this.dispatchEvent(E)}}],[{key:"styles",get:function(){var l=K(_templateObject32()),p=K(_templateObject33()),v=K(_templateObject34()),b=K(_templateObject35()),k=K(_templateObject36()),E=K(_templateObject37()),R=K(_templateObject38()),L=K(_templateObject39()),q=K(_templateObject40()),ue=K(_templateObject41()),He=K(_templateObject42()),Ce=K(_templateObject43()),Ke=K(_templateObject44()),We=K(_templateObject45()),Qe=K(_templateObject46());return K(_templateObject47(),p,We,Qe,v,l,b,L,k,E,R,q,ue,He,Ce,Ke)}}]),r}(Et);se([be({type:Object})],Oe.prototype,"donationInfo",void 0),se([be({type:String})],Oe.prototype,"stepNumberMode",void 0),se([be({type:Number})],Oe.prototype,"defaultSelectedAmount",void 0),se([be({type:Array})],Oe.prototype,"amountOptions",void 0),se([be({type:String})],Oe.prototype,"amountSelectionLayout",void 0),se([be({type:String,reflect:!0})],Oe.prototype,"frequencySelectionMode",void 0),se([be({type:String,reflect:!0})],Oe.prototype,"customAmountMode",void 0),se([be({type:String,reflect:!0})],Oe.prototype,"customFeesCheckboxMode",void 0),se([be({type:String,reflect:!0})],Oe.prototype,"amountTitleDisplayMode",void 0),se([be({type:Object})],Oe.prototype,"error",void 0),se([be({type:Boolean})],Oe.prototype,"customAmountSelected",void 0),se([xn("#custom-amount-button")],Oe.prototype,"customAmountButton",void 0),se([xn("#custom-amount-input")],Oe.prototype,"customAmountInput",void 0),Oe=se([pr("donation-form-edit-donation")],Oe);var Ie=function(h){"use strict";_inherits(r,h);var u=_createSuper(r);function r(){_classCallCheck(this,r);var o;return o=u.call.apply(u,[this].concat(Array.prototype.slice.call(arguments))),o.goalMessageMode="amount",o.goalNearMessage="We\u2019ve almost reached our goal!",o.goalReachedMessage="We've reached our goal!",o.goalAmount=75e5,o.currentAmountMode="on",o.currentAmount=0,o.thermometerValueWidth=0,o.thermometerFillWidth=0,_possibleConstructorReturn(o)}return _createClass(r,[{key:"render",value:function(){return we(_templateObject49(),this.goalAmount,this.currentAmount,this.currentAmountDisplayValue,this.thermometerValuePosition,this.percentComplete,this.thermometerValuePosition==="value-left"?this.thermometerValueTemplate:he,this.thermometerValuePosition==="value-right"?this.thermometerValueTemplate:he,this.goalMessageMode!=="off"?we(_templateObject48(),this.currentGoalMessage):he)}},{key:"thermometerValueTemplate",get:function(){return this.currentAmountMode==="off"?we(_templateObject50(),he):we(_templateObject51(),this.currentAmountDisplayValue)}},{key:"thermometerValuePosition",get:function(){return this.thermometerValueWidth+10<this.thermometerFillWidth?"value-left":"value-right"}},{key:"updated",value:function(l){if(l.has("resizeObserver")){var p=l.get("resizeObserver");this.disconnectResizeObserver(p),this.setupResizeObserver(this.resizeObserver)}l.has("currentAmountMode")&&(this.unobserveCurrentAmountResize(this.resizeObserver),this.observeCurrentAmountResize(this.resizeObserver))}},{key:"disconnectedCallback",value:function(){this.disconnectResizeObserver(this.resizeObserver)}},{key:"handleResize",value:function(l){var p;switch(l.target){case((p=this.shadowRoot)===null||p===void 0?void 0:p.host):this.style.setProperty("--bannerThermometerHeight",l.contentRect.height+"px");break;case this.thermometerValue:this.thermometerValueWidth=l.contentRect.width;break;case this.thermometerFill:this.thermometerFillWidth=l.contentRect.width;break}}},{key:"setupResizeObserver",value:function(l){var p;!(!((p=this.shadowRoot)===null||p===void 0)&&p.host)||!l||(l.addObserver({handler:this,target:this.shadowRoot.host}),l.addObserver({handler:this,target:this.thermometerFill}),this.observeCurrentAmountResize(l))}},{key:"disconnectResizeObserver",value:function(l){var p;!(!((p=this.shadowRoot)===null||p===void 0)&&p.host)||!l||(l.removeObserver({handler:this,target:this.shadowRoot.host}),l.removeObserver({handler:this,target:this.thermometerFill}),this.unobserveCurrentAmountResize(l))}},{key:"observeCurrentAmountResize",value:function(l){!this.thermometerValue||!l||(l==null||l.addObserver({handler:this,target:this.thermometerValue}))}},{key:"unobserveCurrentAmountResize",value:function(l){!this.thermometerValue||!l||(l==null||l.removeObserver({handler:this,target:this.thermometerValue}))}},{key:"goalMessage",get:function(){return this.currentAmount>=this.goalAmount?this.goalReachedMessage:this.goalNearMessage}},{key:"currentAmountDisplayValue",get:function(){return this.formatNumber(this.currentAmount)}},{key:"goalAmountDisplayValue",get:function(){return this.formatNumber(this.goalAmount)}},{key:"formatNumber",value:function(l){if(l===0)return"$0";var p="MM",v=l/1e6,b=v<10,k=0;return b?k=Math.round((v+Number.EPSILON)*10)/10:k=Math.round(v),"$".concat(k).concat(p)}},{key:"currentGoalMessage",get:function(){switch(this.goalMessageMode){case"amount":return"".concat(this.goalAmountDisplayValue," goal");case"message":return this.goalMessage;case"off":return""}}},{key:"percentComplete",get:function(){return Math.min(this.currentAmount/this.goalAmount*100,100)}}],[{key:"styles",get:function(){var l=K(_templateObject52()),p=K(_templateObject53()),v=K(_templateObject54()),b=K(_templateObject55(),v),k=K(_templateObject56()),E=K(_templateObject57(),v),R=K(_templateObject58(),l),L=K(_templateObject59()),q=K(_templateObject60());return K(_templateObject61(),k,R,E,v,p,b,L,q)}}]),r}(Et);se([be({type:String})],Ie.prototype,"goalMessageMode",void 0),se([be({type:String})],Ie.prototype,"goalNearMessage",void 0),se([be({type:String})],Ie.prototype,"goalReachedMessage",void 0),se([be({type:Number})],Ie.prototype,"goalAmount",void 0),se([be({type:String})],Ie.prototype,"currentAmountMode",void 0),se([be({type:Number})],Ie.prototype,"currentAmount",void 0),se([be({type:Object})],Ie.prototype,"resizeObserver",void 0),se([xn(".thermometer-value")],Ie.prototype,"thermometerValue",void 0),se([xn(".thermometer-fill")],Ie.prototype,"thermometerFill",void 0),se([Jr()],Ie.prototype,"thermometerValueWidth",void 0),se([Jr()],Ie.prototype,"thermometerFillWidth",void 0),Ie=se([pr("donation-banner-thermometer")],Ie);var Ot=[],pa=function(){return Ot.some(function(u){return u.activeTargets.length>0})},va=function(){return Ot.some(function(u){return u.skippedTargets.length>0})},_o="ResizeObserver loop completed with undelivered notifications.",ma=function(){var u;typeof ErrorEvent=="function"?u=new ErrorEvent("error",{message:_o}):(u=document.createEvent("Event"),u.initEvent("error",!1,!1),u.message=_o),window.dispatchEvent(u)},un;(function(h){h.BORDER_BOX="border-box",h.CONTENT_BOX="content-box",h.DEVICE_PIXEL_CONTENT_BOX="device-pixel-content-box"})(un||(un={}));var jt=function(u){return Object.freeze(u)},ga=function(){var h=function(r,o){this.inlineSize=r,this.blockSize=o,jt(this)};return h}(),Co=function(){var h=function(r,o,l,p){return this.x=r,this.y=o,this.width=l,this.height=p,this.top=this.y,this.left=this.x,this.bottom=this.top+this.height,this.right=this.left+this.width,jt(this)};return h.prototype.toJSON=function(){var u=this,r=u.x,o=u.y,l=u.top,p=u.right,v=u.bottom,b=u.left,k=u.width,E=u.height;return{x:r,y:o,top:l,right:p,bottom:v,left:b,width:k,height:E}},h.fromRect=function(u){return new h(u.x,u.y,u.width,u.height)},h}(),yr=function(u){return _instanceof(u,SVGElement)&&"getBBox"in u},So=function(u){if(yr(u)){var r=u.getBBox(),o=r.width,l=r.height;return!o&&!l}var p=u,v=p.offsetWidth,b=p.offsetHeight;return!(v||b||u.getClientRects().length)},Ao=function(u){var r;if(_instanceof(u,Element))return!0;var o=(r=u==null?void 0:u.ownerDocument)===null||r===void 0?void 0:r.defaultView;return!!(o&&_instanceof(u,o.Element))},ya=function(u){switch(u.tagName){case"INPUT":if(u.type!=="image")break;case"VIDEO":case"AUDIO":case"EMBED":case"OBJECT":case"CANVAS":case"IFRAME":case"IMG":return!0}return!1},ln=(typeof window=="undefined"?"undefined":_typeof(window))<"u"?window:{},jn=new WeakMap,Eo=/auto|scroll/,ba=/^tb|vertical/,wa=/msie|trident/i.test(ln.navigator&&ln.navigator.userAgent),Je=function(u){return parseFloat(u||"0")},Wt=function(u,r,o){return u===void 0&&(u=0),r===void 0&&(r=0),o===void 0&&(o=!1),new ga((o?r:u)||0,(o?u:r)||0)},To=jt({devicePixelContentBoxSize:Wt(),borderBoxSize:Wt(),contentBoxSize:Wt(),contentRect:new Co(0,0,0,0)}),Oo=function(u,r){if(r===void 0&&(r=!1),jn.has(u)&&!r)return jn.get(u);if(So(u))return jn.set(u,To),To;var o=getComputedStyle(u),l=yr(u)&&u.ownerSVGElement&&u.getBBox(),p=!wa&&o.boxSizing==="border-box",v=ba.test(o.writingMode||""),b=!l&&Eo.test(o.overflowY||""),k=!l&&Eo.test(o.overflowX||""),E=l?0:Je(o.paddingTop),R=l?0:Je(o.paddingRight),L=l?0:Je(o.paddingBottom),q=l?0:Je(o.paddingLeft),ue=l?0:Je(o.borderTopWidth),He=l?0:Je(o.borderRightWidth),Ce=l?0:Je(o.borderBottomWidth),Ke=l?0:Je(o.borderLeftWidth),We=q+R,Qe=E+L,bt=Ke+He,Ne=ue+Ce,ke=k?u.offsetHeight-Ne-u.clientHeight:0,Ze=b?u.offsetWidth-bt-u.clientWidth:0,wt=p?We+bt:0,et=p?Qe+Ne:0,Ee=l?l.width:Je(o.width)-wt-Ze,tt=l?l.height:Je(o.height)-et-ke,Ut=Ee+We+Ze+bt,ut=tt+Qe+ke+Ne,lt=jt({devicePixelContentBoxSize:Wt(Math.round(Ee*devicePixelRatio),Math.round(tt*devicePixelRatio),v),borderBoxSize:Wt(Ut,ut,v),contentBoxSize:Wt(Ee,tt,v),contentRect:new Co(q,E,Ee,tt)});return jn.set(u,lt),lt},jo=function(u,r,o){var l=Oo(u,o),p=l.borderBoxSize,v=l.contentBoxSize,b=l.devicePixelContentBoxSize;switch(r){case un.DEVICE_PIXEL_CONTENT_BOX:return b;case un.BORDER_BOX:return p;default:return v}},xa=function(){var h=function(r){var o=Oo(r);this.target=r,this.contentRect=o.contentRect,this.borderBoxSize=jt([o.borderBoxSize]),this.contentBoxSize=jt([o.contentBoxSize]),this.devicePixelContentBoxSize=jt([o.devicePixelContentBoxSize])};return h}(),Do=function(u){if(So(u))return 1/0;for(var r=0,o=u.parentNode;o;)r+=1,o=o.parentNode;return r},ka=function(){var u=1/0,r=[];Ot.forEach(function(v){if(v.activeTargets.length!==0){var b=[];v.activeTargets.forEach(function(k){var E=new xa(k.target),R=Do(k.target);b.push(E),k.lastReportedSize=jo(k.target,k.observedBox),R<u&&(u=R)}),r.push(function(){v.callback.call(v.observer,b,v.observer)}),v.activeTargets.splice(0,v.activeTargets.length)}});for(var o=0,l=r;o<l.length;o++){var p=l[o];p()}return u},zo=function(u){Ot.forEach(function(r){r.activeTargets.splice(0,r.activeTargets.length),r.skippedTargets.splice(0,r.skippedTargets.length),r.observationTargets.forEach(function(o){o.isActive()&&(Do(o.target)>u?r.activeTargets.push(o):r.skippedTargets.push(o))})})},_a=function(){var u=0;for(zo(u);pa();)u=ka(),zo(u);return va()&&ma(),u>0},br,$o=[],Ca=function(){return $o.splice(0).forEach(function(u){return u()})},Sa=function(u){if(!br){var r=0,o=document.createTextNode(""),l={characterData:!0};new MutationObserver(function(){return Ca()}).observe(o,l),br=function(){o.textContent="".concat(r?r--:r++)}}$o.push(u),br()},Aa=function(u){Sa(function(){requestAnimationFrame(u)})},Dn=0,Ea=function(){return!!Dn},Ta=250,Oa={attributes:!0,characterData:!0,childList:!0,subtree:!0},No=["resize","load","transitionend","animationend","animationstart","animationiteration","keyup","keydown","mouseup","mousedown","mouseover","mouseout","blur","focus"],Ro=function(u){return u===void 0&&(u=0),Date.now()+u},wr=!1,ja=function(){var h=function(){var r=this;this.stopped=!0,this.listener=function(){return r.schedule()}};return h.prototype.run=function(u){var r=this;if(u===void 0&&(u=Ta),!wr){wr=!0;var o=Ro(u);Aa(function(){var l=!1;try{l=_a()}finally{if(wr=!1,u=o-Ro(),!Ea())return;l?r.run(1e3):u>0?r.run(u):r.start()}})}},h.prototype.schedule=function(){this.stop(),this.run()},h.prototype.observe=function(){var u=this,r=function(){return u.observer&&u.observer.observe(document.body,Oa)};document.body?r():ln.addEventListener("DOMContentLoaded",r)},h.prototype.start=function(){var u=this;this.stopped&&(this.stopped=!1,this.observer=new MutationObserver(this.listener),this.observe(),No.forEach(function(r){return ln.addEventListener(r,u.listener,!0)}))},h.prototype.stop=function(){var u=this;this.stopped||(this.observer&&this.observer.disconnect(),No.forEach(function(r){return ln.removeEventListener(r,u.listener,!0)}),this.stopped=!0)},h}(),xr=new ja,Mo=function(u){!Dn&&u>0&&xr.start(),Dn+=u,!Dn&&xr.stop()},Da=function(u){return!yr(u)&&!ya(u)&&getComputedStyle(u).display==="inline"},za=function(){var h=function(r,o){this.target=r,this.observedBox=o||un.CONTENT_BOX,this.lastReportedSize={inlineSize:0,blockSize:0}};return h.prototype.isActive=function(){var u=jo(this.target,this.observedBox,!0);return Da(this.target)&&(this.lastReportedSize=u),this.lastReportedSize.inlineSize!==u.inlineSize||this.lastReportedSize.blockSize!==u.blockSize},h}(),$a=function(){var h=function(r,o){this.activeTargets=[],this.skippedTargets=[],this.observationTargets=[],this.observer=r,this.callback=o};return h}(),zn=new WeakMap,Io=function(u,r){for(var o=0;o<u.length;o+=1)if(u[o].target===r)return o;return-1},$n=function(){var h=function(){};return h.connect=function(u,r){var o=new $a(u,r);zn.set(u,o)},h.observe=function(u,r,o){var l=zn.get(u),p=l.observationTargets.length===0;Io(l.observationTargets,r)<0&&(p&&Ot.push(l),l.observationTargets.push(new za(r,o&&o.box)),Mo(1),xr.schedule())},h.unobserve=function(u,r){var o=zn.get(u),l=Io(o.observationTargets,r),p=o.observationTargets.length===1;l>=0&&(p&&Ot.splice(Ot.indexOf(o),1),o.observationTargets.splice(l,1),Mo(-1))},h.disconnect=function(u){var r=this,o=zn.get(u);o.observationTargets.slice().forEach(function(l){return r.unobserve(u,l.target)}),o.activeTargets.splice(0,o.activeTargets.length)},h}(),Na=function(){var h=function(r){if(arguments.length===0)throw new TypeError("Failed to construct 'ResizeObserver': 1 argument required, but only 0 present.");if(typeof r!="function")throw new TypeError("Failed to construct 'ResizeObserver': The callback provided as parameter 1 is not a function.");$n.connect(this,r)};return h.prototype.observe=function(u,r){if(arguments.length===0)throw new TypeError("Failed to execute 'observe' on 'ResizeObserver': 1 argument required, but only 0 present.");if(!Ao(u))throw new TypeError("Failed to execute 'observe' on 'ResizeObserver': parameter 1 is not of type 'Element");$n.observe(this,u,r)},h.prototype.unobserve=function(u){if(arguments.length===0)throw new TypeError("Failed to execute 'unobserve' on 'ResizeObserver': 1 argument required, but only 0 present.");if(!Ao(u))throw new TypeError("Failed to execute 'unobserve' on 'ResizeObserver': parameter 1 is not of type 'Element");$n.unobserve(this,u)},h.prototype.disconnect=function(){$n.disconnect(this)},h.toString=function(){return"function ResizeObserver () { [polyfill code] }"},h}(),Ra=window.ResizeObserver||Na;window.ResizeObserver=Ra;var Po=function(){"use strict";function h(){var u=this;_classCallCheck(this,h),this.resizeObserver=new ResizeObserver(function(r){var o=u;window.requestAnimationFrame(function(){var l=!0,p=!1,v=void 0;try{for(var b=function(R,L){var q=L.value,ue=o.resizeHandlers.get(q.target);ue==null||ue.forEach(function(He){He.handleResize(q)})},k=r[Symbol.iterator](),E;!(l=(E=k.next()).done);l=!0)b(k,E)}catch(R){p=!0,v=R}finally{try{!l&&k.return!=null&&k.return()}finally{if(p)throw v}}})}),this.resizeHandlers=new Map}return _createClass(h,[{key:"shutdown",value:function(){var r=this;this.resizeHandlers.forEach(function(o,l){r.resizeObserver.unobserve(l)}),this.resizeHandlers.clear()}},{key:"addObserver",value:function(r){var o,l=(o=this.resizeHandlers.get(r.target))!==null&&o!==void 0?o:new Set;l.add(r.handler),this.resizeHandlers.set(r.target,l),this.resizeObserver.observe(r.target,r.options)}},{key:"removeObserver",value:function(r){var o=this.resizeHandlers.get(r.target);o&&(o.delete(r.handler),o.size===0&&(this.resizeObserver.unobserve(r.target),this.resizeHandlers.delete(r.target)))}}]),h}();window.SharedResizeObserver=Po;var Ma=Object.create,kr=Object.defineProperty,Ia=Object.getOwnPropertyDescriptor,Pa=Object.getOwnPropertyNames,Ha=Object.getPrototypeOf,Ba=Object.prototype.hasOwnProperty,La=function(h,u){return function(){return u||h((u={exports:{}}).exports,u),u.exports}},Fa=function(h,u){for(var r in u)kr(h,r,{get:u[r],enumerable:!0})},_r=function(h,u,r,o){var l=!0,p=!1,v=void 0;if(u&&typeof u=="object"||typeof u=="function")try{for(var b=function(R,L){var q=L.value;!Ba.call(h,q)&&q!==r&&kr(h,q,{get:function(){return u[q]},enumerable:!(o=Ia(u,q))||o.enumerable})},k=Pa(u)[Symbol.iterator](),E;!(l=(E=k.next()).done);l=!0)b(k,E)}catch(R){p=!0,v=R}finally{try{!l&&k.return!=null&&k.return()}finally{if(p)throw v}}return h},qa=function(h,u,r){return _r(h,u,"default"),r&&_r(r,u,"default")},Ho=function(h,u,r){return r=h!=null?Ma(Ha(h)):{},_r(u||!h||!h.__esModule?kr(r,"default",{value:h,enumerable:!0}):r,h)},Bo=La(function(h,u){(function(r,o){"use strict";typeof u=="object"&&typeof u.exports=="object"?u.exports=r.document?o(r,!0):function(l){if(!l.document)throw new Error("jQuery requires a window with a document");return o(l)}:o(r)})((typeof window=="undefined"?"undefined":_typeof(window))<"u"?window:h,function(r,o){"use strict";var l=function(e,t,n){n=n||te;var i,c,f=n.createElement("script");if(f.text=e,t)for(i in ns)c=t[i]||t.getAttribute&&t.getAttribute(i),c&&f.setAttribute(i,c);n.head.appendChild(f).parentNode.removeChild(f)},p=function(e){return e==null?e+"":typeof e=="object"||typeof e=="function"?Hn[Zo.call(e)]||"object":typeof e=="undefined"?"undefined":_typeof(e)},v=function(e){var t=!!e&&"length"in e&&e.length,n=p(e);return J(e)||Yt(e)?!1:n==="array"||t===0||typeof t=="number"&&t>0&&t-1 in e},b=function(e,t){return e.nodeName&&e.nodeName.toLowerCase()===t.toLowerCase()},k=function(e,t,n){return J(t)?a.grep(e,function(i,c){return!!t.call(i,c,i)!==n}):t.nodeType?a.grep(e,function(i){return i===t!==n}):typeof t!="string"?a.grep(e,function(i){return Pn.call(t,i)>-1!==n}):a.filter(t,e,n)},E=function(e,t){for(;(e=e[t])&&e.nodeType!==1;);return e},R=function(e){var t={};return a.each(e.match(nt)||[],function(n,i){t[i]=!0}),t},L=function(e){return e},q=function(e){throw e},ue=function(e,t,n,i){var c;try{e&&J(c=e.promise)?c.call(e).done(t).fail(n):e&&J(c=e.then)?c.call(e,t,n):t.apply(void 0,[e].slice(i))}catch(f){n.apply(void 0,[f])}},He=function(e,t){return t.toUpperCase()},Ce=function(e){return e.replace(us,"ms-").replace(ls,He)},Ke=function(e){return e==="true"?!0:e==="false"?!1:e==="null"?null:e===+e+""?+e:cs.test(e)?JSON.parse(e):e},We=function(e,t,n){var i;if(n===void 0&&e.nodeType===1)if(i="data-"+t.replace(fs,"-$&").toLowerCase(),n=e.getAttribute(i),typeof n=="string"){try{n=Ke(n)}catch(c){}Re.set(e,t,n)}else n=void 0;return n},Qe=function(e,t,n,i){var c,f,d=20,x=i?function(){return i.cur()}:function(){return a.css(e,t,"")},y=x(),A=n&&n[3]||(a.cssNumber[t]?"":"px"),T=e.nodeType&&(a.cssNumber[t]||A!=="px"&&+y)&&hn.exec(a.css(e,t));if(T&&T[3]!==A){for(y=y/2,A=A||T[3],T=+y||1;d--;)a.style(e,t,T+A),(1-f)*(1-(f=x()/y||.5))<=0&&(d=0),T=T/f;T=T*2,a.style(e,t,T+A),n=n||[]}return n&&(T=+T||+y||0,c=n[1]?T+(n[1]+1)*n[2]:+n[2],i&&(i.unit=A,i.start=T,i.end=c)),c},bt=function(e){var t,n=e.ownerDocument,i=e.nodeName,c=si[i];return c||(t=n.body.appendChild(n.createElement(i)),c=a.css(t,"display"),t.parentNode.removeChild(t),c==="none"&&(c="block"),si[i]=c,c)},Ne=function(e,t){for(var n,i,c=[],f=0,d=e.length;f<d;f++)i=e[f],i.style&&(n=i.style.display,t?(n==="none"&&(c[f]=W.get(i,"display")||null,c[f]||(i.style.display="")),i.style.display===""&&Fn(i)&&(c[f]=bt(i))):n!=="none"&&(c[f]="none",W.set(i,"display",n)));for(f=0;f<d;f++)c[f]!=null&&(e[f].style.display=c[f]);return e},ke=function(e,t){var n;return _typeof(e.getElementsByTagName)<"u"?n=e.getElementsByTagName(t||"*"):_typeof(e.querySelectorAll)<"u"?n=e.querySelectorAll(t||"*"):n=[],t===void 0||t&&b(e,t)?a.merge([e],n):n},Ze=function(e,t){for(var n=0,i=e.length;n<i;n++)W.set(e[n],"globalEval",!t||W.get(t[n],"globalEval"))},wt=function(e,t,n,i,c){for(var f,d,x,y,A,T,M=t.createDocumentFragment(),I=[],C=0,F=e.length;C<F;C++)if(f=e[C],f||f===0)if(p(f)==="object")a.merge(I,f.nodeType?[f]:f);else if(!hs.test(f))I.push(t.createTextNode(f));else{for(d=d||M.appendChild(t.createElement("div")),x=(ui.exec(f)||["",""])[1].toLowerCase(),y=Be[x]||Be._default,d.innerHTML=y[1]+a.htmlPrefilter(f)+y[2],T=y[0];T--;)d=d.lastChild;a.merge(I,d.childNodes),d=M.firstChild,d.textContent=""}for(M.textContent="",C=0;f=I[C++];){if(i&&a.inArray(f,i)>-1){c&&c.push(f);continue}if(A=Kt(f),d=ke(M.appendChild(f),"script"),A&&Ze(d),n)for(T=0;f=d[T++];)li.test(f.type||"")&&n.push(f)}return M},et=function(){return!0},Ee=function(){return!1},tt=function(e,t){return e===Ut()==(t==="focus")},Ut=function(){try{return te.activeElement}catch(e){}},ut=function(e,t,n){if(!n){W.get(e,t)===void 0&&a.event.add(e,t,et);return}W.set(e,t,!1),a.event.add(e,t,{namespace:!1,handler:function(c){var f,d,x=W.get(this,t);if(c.isTrigger&1&&this[t]){if(x.length)(a.event.special[t]||{}).delegateType&&c.stopPropagation();else if(x=xt.call(arguments),W.set(this,t,x),f=n(this,t),this[t](),d=W.get(this,t),x!==d||f?W.set(this,t,!1):d={},x!==d)return c.stopImmediatePropagation(),c.preventDefault(),d&&d.value}else x.length&&(W.set(this,t,{value:a.event.trigger(a.extend(x[0],a.Event.prototype),x.slice(1),this)}),c.stopImmediatePropagation())}})},lt=function(e,t){return b(e,"table")&&b(t.nodeType!==11?t:t.firstChild,"tr")&&a(e).children("tbody")[0]||e},Mn=function(e){return e.type=(e.getAttribute("type")!==null)+"/"+e.type,e},Cr=function(e){return(e.type||"").slice(0,5)==="true/"?e.type=e.type.slice(5):e.removeAttribute("type"),e},Vt=function(e,t){var n,i,c,f,d,x,y;if(t.nodeType===1){if(W.hasData(e)&&(f=W.get(e),y=f.events,y)){W.remove(t,"handle events");for(c in y)for(n=0,i=y[c].length;n<i;n++)a.event.add(t,c,y[c][n])}Re.hasData(e)&&(d=Re.access(e),x=a.extend({},d),Re.set(t,x))}},cn=function(e,t){var n=t.nodeName.toLowerCase();n==="input"&&pn.test(e.type)?t.checked=e.checked:(n==="input"||n==="textarea")&&(t.defaultValue=e.defaultValue)},Xt=function(e,t,n){for(var i,c=t?a.filter(t,e):e,f=0;(i=c[f])!=null;f++)!n&&i.nodeType===1&&a.cleanData(ke(i)),i.parentNode&&(n&&Kt(i)&&Ze(ke(i,"script")),i.parentNode.removeChild(i));return e},ct=function(e,t,n){var i,c,f,d,x=$r.test(t),y=e.style;return n=n||qn(e),n&&(d=n.getPropertyValue(t)||n[t],x&&(d=d.replace(ys,"$1")),d===""&&!Kt(e)&&(d=a.style(e,t)),!le.pixelBoxStyles()&&zr.test(d)&&gs.test(t)&&(i=y.width,c=y.minWidth,f=y.maxWidth,y.minWidth=y.maxWidth=y.width=d,d=n.width,y.width=i,y.minWidth=c,y.maxWidth=f)),d!==void 0?d+"":d},Gt=function(e,t){return{get:function(){if(e()){delete this.get;return}return(this.get=t).apply(this,arguments)}}},Ja=function(e){for(var t=e[0].toUpperCase()+e.slice(1),n=hi.length;n--;)if(e=hi[n]+t,e in pi)return e},Sr=function(e){var t=a.cssProps[e]||vi[e];return t||(e in pi?e:vi[e]=Ja(e)||e)},Uo=function(e,t,n){var i=hn.exec(t);return i?Math.max(0,i[2]-(n||0))+(i[3]||"px"):t},Ar=function(e,t,n,i,c,f){var d=t==="width"?1:0,x=0,y=0;if(n===(i?"border":"content"))return 0;for(;d<4;d+=2)n==="margin"&&(y+=a.css(e,n+ht[d],!0,c)),i?(n==="content"&&(y-=a.css(e,"padding"+ht[d],!0,c)),n!=="margin"&&(y-=a.css(e,"border"+ht[d]+"Width",!0,c))):(y+=a.css(e,"padding"+ht[d],!0,c),n!=="padding"?y+=a.css(e,"border"+ht[d]+"Width",!0,c):x+=a.css(e,"border"+ht[d]+"Width",!0,c));return!i&&f>=0&&(y+=Math.max(0,Math.ceil(e["offset"+t[0].toUpperCase()+t.slice(1)]-f-y-x-.5))||0),y},Vo=function(e,t,n){var i=qn(e),c=!le.boxSizingReliable()||n,f=c&&a.css(e,"boxSizing",!1,i)==="border-box",d=f,x=ct(e,t,i),y="offset"+t[0].toUpperCase()+t.slice(1);if(zr.test(x)){if(!n)return x;x="auto"}return(!le.boxSizingReliable()&&f||!le.reliableTrDimensions()&&b(e,"tr")||x==="auto"||!parseFloat(x)&&a.css(e,"display",!1,i)==="inline")&&e.getClientRects().length&&(f=a.css(e,"boxSizing",!1,i)==="border-box",d=y in e,d&&(x=e[y])),x=parseFloat(x)||0,x+Ar(e,t,n||(f?"border":"content"),d,i,x)+"px"},Xo=function(){return r.setTimeout(function(){Zt=void 0}),Zt=Date.now()},In=function(e,t){var n,i=0,c={height:e};for(t=t?1:0;i<4;i+=2-t)n=ht[i],c["margin"+n]=c["padding"+n]=e;return t&&(c.opacity=c.width=e),c},Go=function(e,t,n){for(var i,c=(Ue.tweeners[t]||[]).concat(Ue.tweeners["*"]),f=0,d=c.length;f<d;f++)if(i=c[f].call(n,t,e))return i},Ka=function(e,t,n){var i,c,f,d,x,y,A,T,M="width"in t||"height"in t,I=this,C={},F=e.style,re=e.nodeType&&Fn(e),Y=W.get(e,"fxshow");n.queue||(d=a._queueHooks(e,"fx"),d.unqueued==null&&(d.unqueued=0,x=d.empty.fire,d.empty.fire=function(){d.unqueued||x()}),d.unqueued++,I.always(function(){I.always(function(){d.unqueued--,a.queue(e,"fx").length||d.empty.fire()})}));for(i in t)if(c=t[i],xs.test(c)){if(delete t[i],f=f||c==="toggle",c===(re?"hide":"show"))if(c==="show"&&Y&&Y[i]!==void 0)re=!0;else continue;C[i]=Y&&Y[i]||a.style(e,i)}if(y=!a.isEmptyObject(t),!(!y&&a.isEmptyObject(C))){var rt=function(pe){y||(Y?"hidden"in Y&&(re=Y.hidden):Y=W.access(e,"fxshow",{display:A}),f&&(Y.hidden=!re),re&&Ne([e],!0),I.done(function(){re||Ne([e]),W.remove(e,"fxshow");for(pe in C)a.style(e,pe,C[pe])})),y=Go(re?Y[pe]:0,pe,I),pe in Y||(Y[pe]=y.start,re&&(y.end=y.start,y.start=0))};M&&e.nodeType===1&&(n.overflow=[F.overflow,F.overflowX,F.overflowY],A=Y&&Y.display,A==null&&(A=W.get(e,"display")),T=a.css(e,"display"),T==="none"&&(A?T=A:(Ne([e],!0),A=e.style.display||A,T=a.css(e,"display"),Ne([e]))),(T==="inline"||T==="inline-block"&&A!=null)&&a.css(e,"float")==="none"&&(y||(I.done(function(){F.display=A}),A==null&&(T=F.display,A=T==="none"?"":T)),F.display="inline-block")),n.overflow&&(F.overflow="hidden",I.always(function(){F.overflow=n.overflow[0],F.overflowX=n.overflow[1],F.overflowY=n.overflow[2]})),y=!1;for(i in C)rt(i)}},Qa=function(e,t){var n,i,c,f,d;for(n in e)if(i=Ce(n),c=t[i],f=e[n],Array.isArray(f)&&(c=f[1],f=e[n]=f[0]),n!==i&&(e[i]=f,delete e[n]),d=a.cssHooks[i],d&&"expand"in d){f=d.expand(f),delete e[i];for(n in f)n in e||(e[n]=f[n],t[n]=c)}else t[i]=c},Dt=function(e){var t=e.match(nt)||[];return t.join(" ")},zt=function(e){return e.getAttribute&&e.getAttribute("class")||""},Er=function(e){return Array.isArray(e)?e:typeof e=="string"?e.match(nt)||[]:[]},Yo=function(e){return function(t,n){typeof t!="string"&&(n=t,t="*");var i,c=0,f=t.toLowerCase().match(nt)||[];if(J(n))for(;i=f[c++];)i[0]==="+"?(i=i.slice(1)||"*",(e[i]=e[i]||[]).unshift(n)):(e[i]=e[i]||[]).push(n)}},Jo=function(e,t,n,i){var c={},f=e===Ir;function d(x){var y;return c[x]=!0,a.each(e[x]||[],function(A,T){var M=T(t,n,i);if(typeof M=="string"&&!f&&!c[M])return t.dataTypes.unshift(M),d(M),!1;if(f)return!(y=M)}),y}return d(t.dataTypes[0])||!c["*"]&&d("*")},Tr=function(e,t){var n,i,c=a.ajaxSettings.flatOptions||{};for(n in t)t[n]!==void 0&&((c[n]?e:i||(i={}))[n]=t[n]);return i&&a.extend(!0,e,i),e},Za=function(e,t,n){for(var i,c,f,d,x=e.contents,y=e.dataTypes;y[0]==="*";)y.shift(),i===void 0&&(i=e.mimeType||t.getResponseHeader("Content-Type"));if(i){for(c in x)if(x[c]&&x[c].test(i)){y.unshift(c);break}}if(y[0]in n)f=y[0];else{for(c in n){if(!y[0]||e.converters[c+" "+y[0]]){f=c;break}d||(d=c)}f=f||d}if(f)return f!==y[0]&&y.unshift(f),n[f]},es=function(e,t,n,i){var c,f,d,x,y,A={},T=e.dataTypes.slice();if(T[1])for(d in e.converters)A[d.toLowerCase()]=e.converters[d];for(f=T.shift();f;)if(e.responseFields[f]&&(n[e.responseFields[f]]=t),!y&&i&&e.dataFilter&&(t=e.dataFilter(t,e.dataType)),y=f,f=T.shift(),f){if(f==="*")f=y;else if(y!=="*"&&y!==f){if(d=A[y+" "+f]||A["* "+f],!d){for(c in A)if(x=c.split(" "),x[1]===f&&(d=A[y+" "+x[0]]||A["* "+x[0]],d)){d===!0?d=A[c]:A[c]!==!0&&(f=x[0],T.unshift(x[1]));break}}if(d!==!0)if(d&&e.throws)t=d(t);else try{t=d(t)}catch(M){return{state:"parsererror",error:d?M:"No conversion from "+y+" to "+f}}}}return{state:"success",data:t}},ft=[],Ko=Object.getPrototypeOf,xt=ft.slice,Qo=ft.flat?function(e){return ft.flat.call(e)}:function(s){return ft.concat.apply([],s)},Or=ft.push,Pn=ft.indexOf,Hn={},Zo=Hn.toString,Bn=Hn.hasOwnProperty,ei=Bn.toString,ts=ei.call(Object),le={},J=function(e){return typeof e=="function"&&typeof e.nodeType!="number"&&typeof e.item!="function"},Yt=function(e){return e!=null&&e===e.window},te=r.document,ns={type:!0,src:!0,nonce:!0,noModule:!0},ti="3.6.1",a=function(s,e){return new a.fn.init(s,e)};a.fn=a.prototype={jquery:ti,constructor:a,length:0,toArray:function(){return xt.call(this)},get:function(e){return e==null?xt.call(this):e<0?this[e+this.length]:this[e]},pushStack:function(e){var t=a.merge(this.constructor(),e);return t.prevObject=this,t},each:function(e){return a.each(this,e)},map:function(e){return this.pushStack(a.map(this,function(t,n){return e.call(t,n,t)}))},slice:function(){return this.pushStack(xt.apply(this,arguments))},first:function(){return this.eq(0)},last:function(){return this.eq(-1)},even:function(){return this.pushStack(a.grep(this,function(e,t){return(t+1)%2}))},odd:function(){return this.pushStack(a.grep(this,function(e,t){return t%2}))},eq:function(e){var t=this.length,n=+e+(e<0?t:0);return this.pushStack(n>=0&&n<t?[this[n]]:[])},end:function(){return this.prevObject||this.constructor()},push:Or,sort:ft.sort,splice:ft.splice},a.extend=a.fn.extend=function(){var s,e,t,n,i,c,f=arguments[0]||{},d=1,x=arguments.length,y=!1;for(typeof f=="boolean"&&(y=f,f=arguments[d]||{},d++),typeof f!="object"&&!J(f)&&(f={}),d===x&&(f=this,d--);d<x;d++)if((s=arguments[d])!=null)for(e in s)n=s[e],!(e==="__proto__"||f===n)&&(y&&n&&(a.isPlainObject(n)||(i=Array.isArray(n)))?(t=f[e],i&&!Array.isArray(t)?c=[]:!i&&!a.isPlainObject(t)?c={}:c=t,i=!1,f[e]=a.extend(y,c,n)):n!==void 0&&(f[e]=n));return f},a.extend({expando:"jQuery"+(ti+Math.random()).replace(/\D/g,""),isReady:!0,error:function(e){throw new Error(e)},noop:function(){},isPlainObject:function(e){var t,n;return!e||Zo.call(e)!=="[object Object]"?!1:(t=Ko(e),t?(n=Bn.call(t,"constructor")&&t.constructor,typeof n=="function"&&ei.call(n)===ts):!0)},isEmptyObject:function(e){var t;for(t in e)return!1;return!0},globalEval:function(e,t,n){l(e,{nonce:t&&t.nonce},n)},each:function(e,t){var n,i=0;if(v(e))for(n=e.length;i<n&&t.call(e[i],i,e[i])!==!1;i++);else for(i in e)if(t.call(e[i],i,e[i])===!1)break;return e},makeArray:function(e,t){var n=t||[];return e!=null&&(v(Object(e))?a.merge(n,typeof e=="string"?[e]:e):Or.call(n,e)),n},inArray:function(e,t,n){return t==null?-1:Pn.call(t,e,n)},merge:function(e,t){for(var n=+t.length,i=0,c=e.length;i<n;i++)e[c++]=t[i];return e.length=c,e},grep:function(e,t,n){for(var i,c=[],f=0,d=e.length,x=!n;f<d;f++)i=!t(e[f],f),i!==x&&c.push(e[f]);return c},map:function(e,t,n){var i,c,f=0,d=[];if(v(e))for(i=e.length;f<i;f++)c=t(e[f],f,n),c!=null&&d.push(c);else for(f in e)c=t(e[f],f,n),c!=null&&d.push(c);return Qo(d)},guid:1,support:le}),typeof Symbol=="function"&&(a.fn[Symbol.iterator]=ft[Symbol.iterator]),a.each("Boolean Number String Function Array Date RegExp Object Error Symbol".split(" "),function(s,e){Hn["[object "+e+"]"]=e.toLowerCase()});var $t=function(s){var e=function(m,w,_,N){var O,D,z,H,P,B,U,X=w&&w.ownerDocument,ae=w?w.nodeType:9;if(_=_||[],typeof m!="string"||!m||ae!==1&&ae!==9&&ae!==11)return _;if(!N&&(Fe(w),w=w||Z,Se)){if(ae!==11&&(P=Qs.exec(m)))if(O=P[1]){if(ae===9)if(z=w.getElementById(O)){if(z.id===O)return _.push(z),_}else return _;else if(X&&(z=X.getElementById(O))&&yn(w,z)&&z.id===O)return _.push(z),_}else{if(P[2])return kt.apply(_,w.getElementsByTagName(m)),_;if((O=P[3])&&oe.getElementsByClassName&&w.getElementsByClassName)return kt.apply(_,w.getElementsByClassName(O)),_}if(oe.qsa&&!Vn[m+" "]&&(!ce||!ce.test(m))&&(ae!==1||w.nodeName.toLowerCase()!=="object")){if(U=m,X=w,ae===1&&(Vs.test(m)||ji.test(m))){for(X=qr.test(m)&&T(w.parentNode)||w,(X!==w||!oe.scope)&&((H=w.getAttribute("id"))?H=H.replace(Di,zi):w.setAttribute("id",H=me)),B=Te(m),D=B.length;D--;)B[D]=(H?"#"+H:":scope")+" "+I(B[D]);U=B.join(",")}try{return kt.apply(_,X.querySelectorAll(U)),_}catch(ve){Vn(m,!0)}finally{H===me&&w.removeAttribute("id")}}}return ye(m.replace(Xn,"$1"),w,_,N)},t=function(){var m=[];function w(_,N){return m.push(_+" ")>V.cacheLength&&delete w[m.shift()],w[_+" "]=N}return w},n=function(m){return m[me]=!0,m},i=function(m){var w=Z.createElement("fieldset");try{return!!m(w)}catch(_){return!1}finally{w.parentNode&&w.parentNode.removeChild(w),w=null}},c=function(m,w){for(var _=m.split("|"),N=_.length;N--;)V.attrHandle[_[N]]=w},f=function(m,w){var _=w&&m,N=_&&m.nodeType===1&&w.nodeType===1&&m.sourceIndex-w.sourceIndex;if(N)return N;if(_){for(;_=_.nextSibling;)if(_===w)return-1}return m?1:-1},d=function(m){return function(w){var _=w.nodeName.toLowerCase();return _==="input"&&w.type===m}},x=function(m){return function(w){var _=w.nodeName.toLowerCase();return(_==="input"||_==="button")&&w.type===m}},y=function(m){return function(w){return"form"in w?w.parentNode&&w.disabled===!1?"label"in w?"label"in w.parentNode?w.parentNode.disabled===m:w.disabled===m:w.isDisabled===m||w.isDisabled!==!m&&Zs(w)===m:w.disabled===m:"label"in w?w.disabled===m:!1}},A=function(m){return n(function(w){return w=+w,n(function(_,N){for(var O,D=m([],_.length,w),z=D.length;z--;)_[O=D[z]]&&(_[O]=!(N[O]=_[O]))})})},T=function(m){return m&&_typeof(m.getElementsByTagName)<"u"&&m},M=function(){},I=function(m){for(var w=0,_=m.length,N="";w<_;w++)N+=m[w].value;return N},C=function(m,w,_){var N=w.dir,O=w.next,D=O||N,z=_&&D==="parentNode",H=Bs++;return w.first?function(P,B,U){for(;P=P[N];)if(P.nodeType===1||z)return m(P,B,U);return!1}:function(P,B,U){var X,ae,ve,G=[pt,H];if(U){for(;P=P[N];)if((P.nodeType===1||z)&&m(P,B,U))return!0}else for(;P=P[N];)if(P.nodeType===1||z)if(ve=P[me]||(P[me]={}),ae=ve[P.uniqueID]||(ve[P.uniqueID]={}),O&&O===P.nodeName.toLowerCase())P=P[N]||P;else{if((X=ae[D])&&X[0]===pt&&X[1]===H)return G[2]=X[2];if(ae[D]=G,G[2]=m(P,B,U))return!0}return!1}},F=function(m){return m.length>1?function(w,_,N){for(var O=m.length;O--;)if(!m[O](w,_,N))return!1;return!0}:m[0]},re=function(m,w,_){for(var N=0,O=w.length;N<O;N++)e(m,w[N],_);return _},Y=function(m,w,_,N,O){for(var D,z=[],H=0,P=m.length,B=w!=null;H<P;H++)(D=m[H])&&(!_||_(D,N,O))&&(z.push(D),B&&w.push(H));return z},rt=function(m,w){var _=w.length>0,N=m.length>0,O=function(z,H,P,B,U){var X,ae,ve,G=0,ge="0",De=z&&[],de=[],_t=Rt,wn=z||N&&V.find.TAG("*",U),en=pt+=_t==null?1:Math.random()||.1,ze=wn.length;for(U&&(Rt=H==Z||H||U);ge!==ze&&(X=wn[ge])!=null;ge++){if(N&&X){for(ae=0,!H&&X.ownerDocument!=Z&&(Fe(X),P=!Se);ve=m[ae++];)if(ve(X,H||Z,P)){B.push(X);break}U&&(pt=en)}_&&((X=!ve&&X)&&G--,z&&De.push(X))}if(G+=ge,_&&ge!==G){for(ae=0;ve=w[ae++];)ve(De,de,H,P);if(z){if(G>0)for(;ge--;)De[ge]||de[ge]||(de[ge]=Fs.call(B));de=Y(de)}kt.apply(B,de),U&&!z&&de.length>0&&G+w.length>1&&e.uniqueSort(B)}return U&&(pt=en,Rt=_t),De};return _?n(O):O},pe,oe,V,Le,ne,Te,ie,ye,Rt,ot,je,Fe,Z,_e,Se,ce,Mt,Un,yn,me="sizzle"+1*new Date,Ve=s.document,pt=0,Bs=0,Si=t(),Ai=t(),Ei=t(),Vn=t(),Br=function(m,w){return m===w&&(je=!0),0},Ls={}.hasOwnProperty,It=[],Fs=It.pop,qs=It.push,kt=It.push,Ti=It.slice,Pt=function(m,w){for(var _=0,N=m.length;_<N;_++)if(m[_]===w)return _;return-1},Lr="checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|ismap|loop|multiple|open|readonly|required|scoped",fe="[\\x20\\t\\r\\n\\f]",Ht="(?:\\\\[\\da-fA-F]{1,6}"+fe+"?|\\\\[^\\r\\n\\f]|[\\w-]|[^\0-\\x7f])+",Oi="\\["+fe+"*("+Ht+")(?:"+fe+"*([*^$|!~]?=)"+fe+"*(?:'((?:\\\\.|[^\\\\'])*)'|\"((?:\\\\.|[^\\\\\"])*)\"|("+Ht+"))|)"+fe+"*\\]",Fr=":("+Ht+")(?:\\((('((?:\\\\.|[^\\\\'])*)'|\"((?:\\\\.|[^\\\\\"])*)\")|((?:\\\\.|[^\\\\()[\\]]|"+Oi+")*)|.*)\\)|)",Ws=new RegExp(fe+"+","g"),Xn=new RegExp("^"+fe+"+|((?:^|[^\\\\])(?:\\\\.)*)"+fe+"+$","g"),Us=new RegExp("^"+fe+"*,"+fe+"*"),ji=new RegExp("^"+fe+"*([>+~]|"+fe+")"+fe+"*"),Vs=new RegExp(fe+"|>"),Xs=new RegExp(Fr),Gs=new RegExp("^"+Ht+"$"),Gn={ID:new RegExp("^#("+Ht+")"),CLASS:new RegExp("^\\.("+Ht+")"),TAG:new RegExp("^("+Ht+"|[*])"),ATTR:new RegExp("^"+Oi),PSEUDO:new RegExp("^"+Fr),CHILD:new RegExp("^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\("+fe+"*(even|odd|(([+-]|)(\\d*)n|)"+fe+"*(?:([+-]|)"+fe+"*(\\d+)|))"+fe+"*\\)|)","i"),bool:new RegExp("^(?:"+Lr+")$","i"),needsContext:new RegExp("^"+fe+"*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\("+fe+"*((?:-\\d)?\\d*)"+fe+"*\\)|)(?=[^-]|$)","i")},Ys=/HTML$/i,Js=/^(?:input|select|textarea|button)$/i,Ks=/^h\d$/i,bn=/^[^{]+\{\s*\[native \w/,Qs=/^(?:#([\w-]+)|(\w+)|\.([\w-]+))$/,qr=/[+~]/,vt=new RegExp("\\\\[\\da-fA-F]{1,6}"+fe+"?|\\\\([^\\r\\n\\f])","g"),mt=function(m,w){var _="0x"+m.slice(1)-65536;return w||(_<0?String.fromCharCode(_+65536):String.fromCharCode(_>>10|55296,_&1023|56320))},Di=/([\0-\x1f\x7f]|^-?\d)|^-$|[^\0-\x1f\x7f-\uFFFF\w-]/g,zi=function(m,w){return w?m==="\0"?"\uFFFD":m.slice(0,-1)+"\\"+m.charCodeAt(m.length-1).toString(16)+" ":"\\"+m},$i=function(){Fe()},Zs=C(function(S){return S.disabled===!0&&S.nodeName.toLowerCase()==="fieldset"},{dir:"parentNode",next:"legend"});try{kt.apply(It=Ti.call(Ve.childNodes),Ve.childNodes),It[Ve.childNodes.length].nodeType}catch(S){kt={apply:It.length?function(m,w){qs.apply(m,Ti.call(w))}:function(m,w){for(var _=m.length,N=0;m[_++]=w[N++];);m.length=_-1}}}oe=e.support={},ne=e.isXML=function(m){var w=m&&m.namespaceURI,_=m&&(m.ownerDocument||m).documentElement;return!Ys.test(w||_&&_.nodeName||"HTML")},Fe=e.setDocument=function(m){var w,_,N=m?m.ownerDocument||m:Ve;return N==Z||N.nodeType!==9||!N.documentElement||(Z=N,_e=Z.documentElement,Se=!ne(Z),Ve!=Z&&(_=Z.defaultView)&&_.top!==_&&(_.addEventListener?_.addEventListener("unload",$i,!1):_.attachEvent&&_.attachEvent("onunload",$i)),oe.scope=i(function(O){return _e.appendChild(O).appendChild(Z.createElement("div")),_typeof(O.querySelectorAll)<"u"&&!O.querySelectorAll(":scope fieldset div").length}),oe.attributes=i(function(O){return O.className="i",!O.getAttribute("className")}),oe.getElementsByTagName=i(function(O){return O.appendChild(Z.createComment("")),!O.getElementsByTagName("*").length}),oe.getElementsByClassName=bn.test(Z.getElementsByClassName),oe.getById=i(function(O){return _e.appendChild(O).id=me,!Z.getElementsByName||!Z.getElementsByName(me).length}),oe.getById?(V.filter.ID=function(O){var D=O.replace(vt,mt);return function(z){return z.getAttribute("id")===D}},V.find.ID=function(O,D){if(_typeof(D.getElementById)<"u"&&Se){var z=D.getElementById(O);return z?[z]:[]}}):(V.filter.ID=function(O){var D=O.replace(vt,mt);return function(z){var H=_typeof(z.getAttributeNode)<"u"&&z.getAttributeNode("id");return H&&H.value===D}},V.find.ID=function(O,D){if(_typeof(D.getElementById)<"u"&&Se){var z,H,P,B=D.getElementById(O);if(B){if(z=B.getAttributeNode("id"),z&&z.value===O)return[B];for(P=D.getElementsByName(O),H=0;B=P[H++];)if(z=B.getAttributeNode("id"),z&&z.value===O)return[B]}return[]}}),V.find.TAG=oe.getElementsByTagName?function(O,D){if(_typeof(D.getElementsByTagName)<"u")return D.getElementsByTagName(O);if(oe.qsa)return D.querySelectorAll(O)}:function(O,D){var z,H=[],P=0,B=D.getElementsByTagName(O);if(O==="*"){for(;z=B[P++];)z.nodeType===1&&H.push(z);return H}return B},V.find.CLASS=oe.getElementsByClassName&&function(O,D){if(_typeof(D.getElementsByClassName)<"u"&&Se)return D.getElementsByClassName(O)},Mt=[],ce=[],(oe.qsa=bn.test(Z.querySelectorAll))&&(i(function(O){var D;_e.appendChild(O).innerHTML="<a id='"+me+"'></a><select id='"+me+"-\r\\' msallowcapture=''><option selected=''></option></select>",O.querySelectorAll("[msallowcapture^='']").length&&ce.push("[*^$]="+fe+"*(?:''|\"\")"),O.querySelectorAll("[selected]").length||ce.push("\\["+fe+"*(?:value|"+Lr+")"),O.querySelectorAll("[id~="+me+"-]").length||ce.push("~="),D=Z.createElement("input"),D.setAttribute("name",""),O.appendChild(D),O.querySelectorAll("[name='']").length||ce.push("\\["+fe+"*name"+fe+"*="+fe+"*(?:''|\"\")"),O.querySelectorAll(":checked").length||ce.push(":checked"),O.querySelectorAll("a#"+me+"+*").length||ce.push(".#.+[+~]"),O.querySelectorAll("\\\f"),ce.push("[\\r\\n\\f]")}),i(function(O){O.innerHTML="<a href='' disabled='disabled'></a><select disabled='disabled'><option/></select>";var D=Z.createElement("input");D.setAttribute("type","hidden"),O.appendChild(D).setAttribute("name","D"),O.querySelectorAll("[name=d]").length&&ce.push("name"+fe+"*[*^$|!~]?="),O.querySelectorAll(":enabled").length!==2&&ce.push(":enabled",":disabled"),_e.appendChild(O).disabled=!0,O.querySelectorAll(":disabled").length!==2&&ce.push(":enabled",":disabled"),O.querySelectorAll("*,:x"),ce.push(",.*:")})),(oe.matchesSelector=bn.test(Un=_e.matches||_e.webkitMatchesSelector||_e.mozMatchesSelector||_e.oMatchesSelector||_e.msMatchesSelector))&&i(function(O){oe.disconnectedMatch=Un.call(O,"*"),Un.call(O,"[s!='']:x"),Mt.push("!=",Fr)}),ce=ce.length&&new RegExp(ce.join("|")),Mt=Mt.length&&new RegExp(Mt.join("|")),w=bn.test(_e.compareDocumentPosition),yn=w||bn.test(_e.contains)?function(D,z){var H=D.nodeType===9?D.documentElement:D,P=z&&z.parentNode;return D===P||!!(P&&P.nodeType===1&&(H.contains?H.contains(P):D.compareDocumentPosition&&D.compareDocumentPosition(P)&16))}:function(O,D){if(D){for(;D=D.parentNode;)if(D===O)return!0}return!1},Br=w?function(D,z){if(D===z)return je=!0,0;var H=!D.compareDocumentPosition-!z.compareDocumentPosition;return H||(H=(D.ownerDocument||D)==(z.ownerDocument||z)?D.compareDocumentPosition(z):1,H&1||!oe.sortDetached&&z.compareDocumentPosition(D)===H?D==Z||D.ownerDocument==Ve&&yn(Ve,D)?-1:z==Z||z.ownerDocument==Ve&&yn(Ve,z)?1:ot?Pt(ot,D)-Pt(ot,z):0:H&4?-1:1)}:function(O,D){if(O===D)return je=!0,0;var z,H=0,P=O.parentNode,B=D.parentNode,U=[O],X=[D];if(!P||!B)return O==Z?-1:D==Z?1:P?-1:B?1:ot?Pt(ot,O)-Pt(ot,D):0;if(P===B)return f(O,D);for(z=O;z=z.parentNode;)U.unshift(z);for(z=D;z=z.parentNode;)X.unshift(z);for(;U[H]===X[H];)H++;return H?f(U[H],X[H]):U[H]==Ve?-1:X[H]==Ve?1:0}),Z},e.matches=function(S,m){return e(S,null,null,m)},e.matchesSelector=function(S,m){if(Fe(S),oe.matchesSelector&&Se&&!Vn[m+" "]&&(!Mt||!Mt.test(m))&&(!ce||!ce.test(m)))try{var w=Un.call(S,m);if(w||oe.disconnectedMatch||S.document&&S.document.nodeType!==11)return w}catch(_){Vn(m,!0)}return e(m,Z,null,[S]).length>0},e.contains=function(S,m){return(S.ownerDocument||S)!=Z&&Fe(S),yn(S,m)},e.attr=function(S,m){(S.ownerDocument||S)!=Z&&Fe(S);var w=V.attrHandle[m.toLowerCase()],_=w&&Ls.call(V.attrHandle,m.toLowerCase())?w(S,m,!Se):void 0;return _!==void 0?_:oe.attributes||!Se?S.getAttribute(m):(_=S.getAttributeNode(m))&&_.specified?_.value:null},e.escape=function(S){return(S+"").replace(Di,zi)},e.error=function(S){throw new Error("Syntax error, unrecognized expression: "+S)},e.uniqueSort=function(S){var m,w=[],_=0,N=0;if(je=!oe.detectDuplicates,ot=!oe.sortStable&&S.slice(0),S.sort(Br),je){for(;m=S[N++];)m===S[N]&&(_=w.push(N));for(;_--;)S.splice(w[_],1)}return ot=null,S},Le=e.getText=function(S){var m,w="",_=0,N=S.nodeType;if(N){if(N===1||N===9||N===11){if(typeof S.textContent=="string")return S.textContent;for(S=S.firstChild;S;S=S.nextSibling)w+=Le(S)}else if(N===3||N===4)return S.nodeValue}else for(;m=S[_++];)w+=Le(m);return w},V=e.selectors={cacheLength:50,createPseudo:n,match:Gn,attrHandle:{},find:{},relative:{">":{dir:"parentNode",first:!0}," ":{dir:"parentNode"},"+":{dir:"previousSibling",first:!0},"~":{dir:"previousSibling"}},preFilter:{ATTR:function(m){return m[1]=m[1].replace(vt,mt),m[3]=(m[3]||m[4]||m[5]||"").replace(vt,mt),m[2]==="~="&&(m[3]=" "+m[3]+" "),m.slice(0,4)},CHILD:function(m){return m[1]=m[1].toLowerCase(),m[1].slice(0,3)==="nth"?(m[3]||e.error(m[0]),m[4]=+(m[4]?m[5]+(m[6]||1):2*(m[3]==="even"||m[3]==="odd")),m[5]=+(m[7]+m[8]||m[3]==="odd")):m[3]&&e.error(m[0]),m},PSEUDO:function(m){var w,_=!m[6]&&m[2];return Gn.CHILD.test(m[0])?null:(m[3]?m[2]=m[4]||m[5]||"":_&&Xs.test(_)&&(w=Te(_,!0))&&(w=_.indexOf(")",_.length-w)-_.length)&&(m[0]=m[0].slice(0,w),m[2]=_.slice(0,w)),m.slice(0,3))}},filter:{TAG:function(m){var w=m.replace(vt,mt).toLowerCase();return m==="*"?function(){return!0}:function(_){return _.nodeName&&_.nodeName.toLowerCase()===w}},CLASS:function(m){var w=Si[m+" "];return w||(w=new RegExp("(^|"+fe+")"+m+"("+fe+"|$)"))&&Si(m,function(_){return w.test(typeof _.className=="string"&&_.className||_typeof(_.getAttribute)<"u"&&_.getAttribute("class")||"")})},ATTR:function(m,w,_){return function(N){var O=e.attr(N,m);return O==null?w==="!=":w?(O+="",w==="="?O===_:w==="!="?O!==_:w==="^="?_&&O.indexOf(_)===0:w==="*="?_&&O.indexOf(_)>-1:w==="$="?_&&O.slice(-_.length)===_:w==="~="?(" "+O.replace(Ws," ")+" ").indexOf(_)>-1:w==="|="?O===_||O.slice(0,_.length+1)===_+"-":!1):!0}},CHILD:function(m,w,_,N,O){var D=m.slice(0,3)!=="nth",z=m.slice(-4)!=="last",H=w==="of-type";return N===1&&O===0?function(P){return!!P.parentNode}:function(P,B,U){var X,ae,ve,G,ge,De,de=D!==z?"nextSibling":"previousSibling",_t=P.parentNode,wn=H&&P.nodeName.toLowerCase(),en=!U&&!H,ze=!1;if(_t){if(D){for(;de;){for(G=P;G=G[de];)if(H?G.nodeName.toLowerCase()===wn:G.nodeType===1)return!1;De=de=m==="only"&&!De&&"nextSibling"}return!0}if(De=[z?_t.firstChild:_t.lastChild],z&&en){for(G=_t,ve=G[me]||(G[me]={}),ae=ve[G.uniqueID]||(ve[G.uniqueID]={}),X=ae[m]||[],ge=X[0]===pt&&X[1],ze=ge&&X[2],G=ge&&_t.childNodes[ge];G=++ge&&G&&G[de]||(ze=ge=0)||De.pop();)if(G.nodeType===1&&++ze&&G===P){ae[m]=[pt,ge,ze];break}}else if(en&&(G=P,ve=G[me]||(G[me]={}),ae=ve[G.uniqueID]||(ve[G.uniqueID]={}),X=ae[m]||[],ge=X[0]===pt&&X[1],ze=ge),ze===!1)for(;(G=++ge&&G&&G[de]||(ze=ge=0)||De.pop())&&!((H?G.nodeName.toLowerCase()===wn:G.nodeType===1)&&++ze&&(en&&(ve=G[me]||(G[me]={}),ae=ve[G.uniqueID]||(ve[G.uniqueID]={}),ae[m]=[pt,ze]),G===P)););return ze-=O,ze===N||ze%N===0&&ze/N>=0}}},PSEUDO:function(m,w){var _,N=V.pseudos[m]||V.setFilters[m.toLowerCase()]||e.error("unsupported pseudo: "+m);return N[me]?N(w):N.length>1?(_=[m,m,"",w],V.setFilters.hasOwnProperty(m.toLowerCase())?n(function(O,D){for(var z,H=N(O,w),P=H.length;P--;)z=Pt(O,H[P]),O[z]=!(D[z]=H[P])}):function(O){return N(O,0,_)}):N}},pseudos:{not:n(function(S){var m=[],w=[],_=ie(S.replace(Xn,"$1"));return _[me]?n(function(N,O,D,z){for(var H,P=_(N,null,z,[]),B=N.length;B--;)(H=P[B])&&(N[B]=!(O[B]=H))}):function(N,O,D){return m[0]=N,_(m,null,D,w),m[0]=null,!w.pop()}}),has:n(function(S){return function(m){return e(S,m).length>0}}),contains:n(function(S){return S=S.replace(vt,mt),function(m){return(m.textContent||Le(m)).indexOf(S)>-1}}),lang:n(function(S){return Gs.test(S||"")||e.error("unsupported lang: "+S),S=S.replace(vt,mt).toLowerCase(),function(m){var w;do if(w=Se?m.lang:m.getAttribute("xml:lang")||m.getAttribute("lang"))return w=w.toLowerCase(),w===S||w.indexOf(S+"-")===0;while((m=m.parentNode)&&m.nodeType===1);return!1}}),target:function(m){var w=s.location&&s.location.hash;return w&&w.slice(1)===m.id},root:function(m){return m===_e},focus:function(m){return m===Z.activeElement&&(!Z.hasFocus||Z.hasFocus())&&!!(m.type||m.href||~m.tabIndex)},enabled:y(!1),disabled:y(!0),checked:function(m){var w=m.nodeName.toLowerCase();return w==="input"&&!!m.checked||w==="option"&&!!m.selected},selected:function(m){return m.parentNode&&m.parentNode.selectedIndex,m.selected===!0},empty:function(m){for(m=m.firstChild;m;m=m.nextSibling)if(m.nodeType<6)return!1;return!0},parent:function(m){return!V.pseudos.empty(m)},header:function(m){return Ks.test(m.nodeName)},input:function(m){return Js.test(m.nodeName)},button:function(m){var w=m.nodeName.toLowerCase();return w==="input"&&m.type==="button"||w==="button"},text:function(m){var w;return m.nodeName.toLowerCase()==="input"&&m.type==="text"&&((w=m.getAttribute("type"))==null||w.toLowerCase()==="text")},first:A(function(){return[0]}),last:A(function(S,m){return[m-1]}),eq:A(function(S,m,w){return[w<0?w+m:w]}),even:A(function(S,m){for(var w=0;w<m;w+=2)S.push(w);return S}),odd:A(function(S,m){for(var w=1;w<m;w+=2)S.push(w);return S}),lt:A(function(S,m,w){for(var _=w<0?w+m:w>m?m:w;--_>=0;)S.push(_);return S}),gt:A(function(S,m,w){for(var _=w<0?w+m:w;++_<m;)S.push(_);return S})}},V.pseudos.nth=V.pseudos.eq;for(pe in{radio:!0,checkbox:!0,file:!0,password:!0,image:!0})V.pseudos[pe]=d(pe);for(pe in{submit:!0,reset:!0})V.pseudos[pe]=x(pe);M.prototype=V.filters=V.pseudos,V.setFilters=new M,Te=e.tokenize=function(m,w){var _,N,O,D,z,H,P,B=Ai[m+" "];if(B)return w?0:B.slice(0);for(z=m,H=[],P=V.preFilter;z;){(!_||(N=Us.exec(z)))&&(N&&(z=z.slice(N[0].length)||z),H.push(O=[])),_=!1,(N=ji.exec(z))&&(_=N.shift(),O.push({value:_,type:N[0].replace(Xn," ")}),z=z.slice(_.length));for(D in V.filter)(N=Gn[D].exec(z))&&(!P[D]||(N=P[D](N)))&&(_=N.shift(),O.push({value:_,type:D,matches:N}),z=z.slice(_.length));if(!_)break}return w?z.length:z?e.error(m):Ai(m,H).slice(0)};function Wr(S,m,w,_,N,O){return _&&!_[me]&&(_=Wr(_)),N&&!N[me]&&(N=Wr(N,O)),n(function(D,z,H,P){var B,U,X,ae=[],ve=[],G=z.length,ge=D||re(m||"*",H.nodeType?[H]:H,[]),De=S&&(D||!m)?Y(ge,ae,S,H,P):ge,de=w?N||(D?S:G||_)?[]:z:De;if(w&&w(De,de,H,P),_)for(B=Y(de,ve),_(B,[],H,P),U=B.length;U--;)(X=B[U])&&(de[ve[U]]=!(De[ve[U]]=X));if(D){if(N||S){if(N){for(B=[],U=de.length;U--;)(X=de[U])&&B.push(De[U]=X);N(null,de=[],B,P)}for(U=de.length;U--;)(X=de[U])&&(B=N?Pt(D,X):ae[U])>-1&&(D[B]=!(z[B]=X))}}else de=Y(de===z?de.splice(G,de.length):de),N?N(null,z,de,P):kt.apply(z,de)})}function Ur(S){for(var m,w,_,N=S.length,O=V.relative[S[0].type],D=O||V.relative[" "],z=O?1:0,H=C(function(U){return U===m},D,!0),P=C(function(U){return Pt(m,U)>-1},D,!0),B=[function(U,X,ae){var ve=!O&&(ae||X!==Rt)||((m=X).nodeType?H(U,X,ae):P(U,X,ae));return m=null,ve}];z<N;z++)if(w=V.relative[S[z].type])B=[C(F(B),w)];else{if(w=V.filter[S[z].type].apply(null,S[z].matches),w[me]){for(_=++z;_<N&&!V.relative[S[_].type];_++);return Wr(z>1&&F(B),z>1&&I(S.slice(0,z-1).concat({value:S[z-2].type===" "?"*":""})).replace(Xn,"$1"),w,z<_&&Ur(S.slice(z,_)),_<N&&Ur(S=S.slice(_)),_<N&&I(S))}B.push(w)}return F(B)}return ie=e.compile=function(m,w){var _,N=[],O=[],D=Ei[m+" "];if(!D){for(w||(w=Te(m)),_=w.length;_--;)D=Ur(w[_]),D[me]?N.push(D):O.push(D);D=Ei(m,rt(O,N)),D.selector=m}return D},ye=e.select=function(m,w,_,N){var O,D,z,H,P,B=typeof m=="function"&&m,U=!N&&Te(m=B.selector||m);if(_=_||[],U.length===1){if(D=U[0]=U[0].slice(0),D.length>2&&(z=D[0]).type==="ID"&&w.nodeType===9&&Se&&V.relative[D[1].type]){if(w=(V.find.ID(z.matches[0].replace(vt,mt),w)||[])[0],w)B&&(w=w.parentNode);else return _;m=m.slice(D.shift().value.length)}for(O=Gn.needsContext.test(m)?0:D.length;O--&&(z=D[O],!V.relative[H=z.type]);)if((P=V.find[H])&&(N=P(z.matches[0].replace(vt,mt),qr.test(D[0].type)&&T(w.parentNode)||w))){if(D.splice(O,1),m=N.length&&I(D),!m)return kt.apply(_,N),_;break}}return(B||ie(m,U))(N,w,!Se,_,!w||qr.test(m)&&T(w.parentNode)||w),_},oe.sortStable=me.split("").sort(Br).join("")===me,oe.detectDuplicates=!!je,Fe(),oe.sortDetached=i(function(S){return S.compareDocumentPosition(Z.createElement("fieldset"))&1}),i(function(S){return S.innerHTML="<a href='#'></a>",S.firstChild.getAttribute("href")==="#"})||c("type|href|height|width",function(S,m,w){if(!w)return S.getAttribute(m,m.toLowerCase()==="type"?1:2)}),(!oe.attributes||!i(function(S){return S.innerHTML="<input/>",S.firstChild.setAttribute("value",""),S.firstChild.getAttribute("value")===""}))&&c("value",function(S,m,w){if(!w&&S.nodeName.toLowerCase()==="input")return S.defaultValue}),i(function(S){return S.getAttribute("disabled")==null})||c(Lr,function(S,m,w){var _;if(!w)return S[m]===!0?m.toLowerCase():(_=S.getAttributeNode(m))&&_.specified?_.value:null}),e}(r);a.find=$t,a.expr=$t.selectors,a.expr[":"]=a.expr.pseudos,a.uniqueSort=a.unique=$t.uniqueSort,a.text=$t.getText,a.isXMLDoc=$t.isXML,a.contains=$t.contains,a.escapeSelector=$t.escape;var Jt=function(e,t,n){for(var i=[],c=n!==void 0;(e=e[t])&&e.nodeType!==9;)if(e.nodeType===1){if(c&&a(e).is(n))break;i.push(e)}return i},ni=function(e,t){for(var n=[];e;e=e.nextSibling)e.nodeType===1&&e!==t&&n.push(e);return n},ri=a.expr.match.needsContext,oi=/^<([a-z][^\/\0>:\x20\t\r\n\f]*)[\x20\t\r\n\f]*\/?>(?:<\/\1>|)$/i;a.filter=function(s,e,t){var n=e[0];return t&&(s=":not("+s+")"),e.length===1&&n.nodeType===1?a.find.matchesSelector(n,s)?[n]:[]:a.find.matches(s,a.grep(e,function(i){return i.nodeType===1}))},a.fn.extend({find:function(e){var t,n,i=this.length,c=this;if(typeof e!="string")return this.pushStack(a(e).filter(function(){for(t=0;t<i;t++)if(a.contains(c[t],this))return!0}));for(n=this.pushStack([]),t=0;t<i;t++)a.find(e,c[t],n);return i>1?a.uniqueSort(n):n},filter:function(e){return this.pushStack(k(this,e||[],!1))},not:function(e){return this.pushStack(k(this,e||[],!0))},is:function(e){return!!k(this,typeof e=="string"&&ri.test(e)?a(e):e||[],!1).length}});var ii,rs=/^(?:\s*(<[\w\W]+>)[^>]*|#([\w-]+))$/,os=a.fn.init=function(e,t,n){var i,c;if(!e)return this;if(n=n||ii,typeof e=="string")if(e[0]==="<"&&e[e.length-1]===">"&&e.length>=3?i=[null,e,null]:i=rs.exec(e),i&&(i[1]||!t))if(i[1]){if(t=_instanceof(t,a)?t[0]:t,a.merge(this,a.parseHTML(i[1],t&&t.nodeType?t.ownerDocument||t:te,!0)),oi.test(i[1])&&a.isPlainObject(t))for(i in t)J(this[i])?this[i](t[i]):this.attr(i,t[i]);return this}else return c=te.getElementById(i[2]),c&&(this[0]=c,this.length=1),this;else return!t||t.jquery?(t||n).find(e):this.constructor(t).find(e);else{if(e.nodeType)return this[0]=e,this.length=1,this;if(J(e))return n.ready!==void 0?n.ready(e):e(a)}return a.makeArray(e,this)};os.prototype=a.fn,ii=a(te);var is=/^(?:parents|prev(?:Until|All))/,as={children:!0,contents:!0,next:!0,prev:!0};a.fn.extend({has:function(e){var t=a(e,this),n=t.length;return this.filter(function(){for(var i=0;i<n;i++)if(a.contains(this,t[i]))return!0})},closest:function(e,t){var n,i=0,c=this.length,f=[],d=typeof e!="string"&&a(e);if(!ri.test(e)){for(;i<c;i++)for(n=this[i];n&&n!==t;n=n.parentNode)if(n.nodeType<11&&(d?d.index(n)>-1:n.nodeType===1&&a.find.matchesSelector(n,e))){f.push(n);break}}return this.pushStack(f.length>1?a.uniqueSort(f):f)},index:function(e){return e?typeof e=="string"?Pn.call(a(e),this[0]):Pn.call(this,e.jquery?e[0]:e):this[0]&&this[0].parentNode?this.first().prevAll().length:-1},add:function(e,t){return this.pushStack(a.uniqueSort(a.merge(this.get(),a(e,t))))},addBack:function(e){return this.add(e==null?this.prevObject:this.prevObject.filter(e))}}),a.each({parent:function(e){var t=e.parentNode;return t&&t.nodeType!==11?t:null},parents:function(e){return Jt(e,"parentNode")},parentsUntil:function(e,t,n){return Jt(e,"parentNode",n)},next:function(e){return E(e,"nextSibling")},prev:function(e){return E(e,"previousSibling")},nextAll:function(e){return Jt(e,"nextSibling")},prevAll:function(e){return Jt(e,"previousSibling")},nextUntil:function(e,t,n){return Jt(e,"nextSibling",n)},prevUntil:function(e,t,n){return Jt(e,"previousSibling",n)},siblings:function(e){return ni((e.parentNode||{}).firstChild,e)},children:function(e){return ni(e.firstChild)},contents:function(e){return e.contentDocument!=null&&Ko(e.contentDocument)?e.contentDocument:(b(e,"template")&&(e=e.content||e),a.merge([],e.childNodes))}},function(s,e){a.fn[s]=function(t,n){var i=a.map(this,e,t);return s.slice(-5)!=="Until"&&(n=t),n&&typeof n=="string"&&(i=a.filter(n,i)),this.length>1&&(as[s]||a.uniqueSort(i),is.test(s)&&i.reverse()),this.pushStack(i)}});var nt=/[^\x20\t\r\n\f]+/g;a.Callbacks=function(s){s=typeof s=="string"?R(s):a.extend({},s);var e,t,n,i,c=[],f=[],d=-1,x=function(){for(i=i||s.once,n=e=!0;f.length;d=-1)for(t=f.shift();++d<c.length;)c[d].apply(t[0],t[1])===!1&&s.stopOnFalse&&(d=c.length,t=!1);s.memory||(t=!1),e=!1,i&&(t?c=[]:c="")},y={add:function(){return c&&(t&&!e&&(d=c.length-1,f.push(t)),function T(M){a.each(M,function(I,C){J(C)?(!s.unique||!y.has(C))&&c.push(C):C&&C.length&&p(C)!=="string"&&T(C)})}(arguments),t&&!e&&x()),this},remove:function(){return a.each(arguments,function(T,M){for(var I;(I=a.inArray(M,c,I))>-1;)c.splice(I,1),I<=d&&d--}),this},has:function(T){return T?a.inArray(T,c)>-1:c.length>0},empty:function(){return c&&(c=[]),this},disable:function(){return i=f=[],c=t="",this},disabled:function(){return!c},lock:function(){return i=f=[],!t&&!e&&(c=t=""),this},locked:function(){return!!i},fireWith:function(T,M){return i||(M=M||[],M=[T,M.slice?M.slice():M],f.push(M),e||x()),this},fire:function(){return y.fireWith(this,arguments),this},fired:function(){return!!n}};return y},a.extend({Deferred:function(e){var t=[["notify","progress",a.Callbacks("memory"),a.Callbacks("memory"),2],["resolve","done",a.Callbacks("once memory"),a.Callbacks("once memory"),0,"resolved"],["reject","fail",a.Callbacks("once memory"),a.Callbacks("once memory"),1,"rejected"]],n="pending",i={state:function(){return n},always:function(){return c.done(arguments).fail(arguments),this},catch:function(d){return i.then(null,d)},pipe:function(){var d=arguments;return a.Deferred(function(x){a.each(t,function(y,A){var T=J(d[A[4]])&&d[A[4]];c[A[1]](function(){var M=T&&T.apply(this,arguments);M&&J(M.promise)?M.promise().progress(x.notify).done(x.resolve).fail(x.reject):x[A[0]+"With"](this,T?[M]:arguments)})}),d=null}).promise()},then:function(d,x,y){var A=0;function T(M,I,C,F){return function(){var re=this,Y=arguments,rt=function(){var V,Le;if(!(M<A)){if(V=C.apply(re,Y),V===I.promise())throw new TypeError("Thenable self-resolution");Le=V&&(typeof V=="object"||typeof V=="function")&&V.then,J(Le)?F?Le.call(V,T(A,I,L,F),T(A,I,q,F)):(A++,Le.call(V,T(A,I,L,F),T(A,I,q,F),T(A,I,L,I.notifyWith))):(C!==L&&(re=void 0,Y=[V]),(F||I.resolveWith)(re,Y))}},pe=F?rt:function(){try{rt()}catch(oe){a.Deferred.exceptionHook&&a.Deferred.exceptionHook(oe,pe.stackTrace),M+1>=A&&(C!==q&&(re=void 0,Y=[oe]),I.rejectWith(re,Y))}};M?pe():(a.Deferred.getStackHook&&(pe.stackTrace=a.Deferred.getStackHook()),r.setTimeout(pe))}}return a.Deferred(function(M){t[0][3].add(T(0,M,J(y)?y:L,M.notifyWith)),t[1][3].add(T(0,M,J(d)?d:L)),t[2][3].add(T(0,M,J(x)?x:q))}).promise()},promise:function(d){return d!=null?a.extend(d,i):i}},c={};return a.each(t,function(f,d){var x=d[2],y=d[5];i[d[1]]=x.add,y&&x.add(function(){n=y},t[3-f][2].disable,t[3-f][3].disable,t[0][2].lock,t[0][3].lock),x.add(d[3].fire),c[d[0]]=function(){return c[d[0]+"With"](this===c?void 0:this,arguments),this},c[d[0]+"With"]=x.fireWith}),i.promise(c),e&&e.call(c,c),c},when:function(e){var t=arguments.length,n=t,i=Array(n),c=xt.call(arguments),f=a.Deferred(),d=function(y){return function(A){i[y]=this,c[y]=arguments.length>1?xt.call(arguments):A,--t||f.resolveWith(i,c)}};if(t<=1&&(ue(e,f.done(d(n)).resolve,f.reject,!t),f.state()==="pending"||J(c[n]&&c[n].then)))return f.then();for(;n--;)ue(c[n],d(n),f.reject);return f.promise()}});var ss=/^(Eval|Internal|Range|Reference|Syntax|Type|URI)Error$/;a.Deferred.exceptionHook=function(s,e){r.console&&r.console.warn&&s&&ss.test(s.name)&&r.console.warn("jQuery.Deferred exception: "+s.message,s.stack,e)},a.readyException=function(s){r.setTimeout(function(){throw s})};var jr=a.Deferred();a.fn.ready=function(s){return jr.then(s).catch(function(e){a.readyException(e)}),this},a.extend({isReady:!1,readyWait:1,ready:function(e){(e===!0?--a.readyWait:a.isReady)||(a.isReady=!0,!(e!==!0&&--a.readyWait>0)&&jr.resolveWith(te,[a]))}}),a.ready.then=jr.then;function Ln(){te.removeEventListener("DOMContentLoaded",Ln),r.removeEventListener("load",Ln),a.ready()}te.readyState==="complete"||te.readyState!=="loading"&&!te.documentElement.doScroll?r.setTimeout(a.ready):(te.addEventListener("DOMContentLoaded",Ln),r.addEventListener("load",Ln));var dt=function(s,e,t,n,i,c,f){var d=0,x=s.length,y=t==null;if(p(t)==="object"){i=!0;for(d in t)dt(s,e,d,t[d],!0,c,f)}else if(n!==void 0&&(i=!0,J(n)||(f=!0),y&&(f?(e.call(s,n),e=null):(y=e,e=function(T,M,I){return y.call(a(T),I)})),e))for(;d<x;d++)e(s[d],t,f?n:n.call(s[d],d,e(s[d],t)));return i?s:y?e.call(s):x?e(s[0],t):c},us=/^-ms-/,ls=/-([a-z])/g,fn=function(e){return e.nodeType===1||e.nodeType===9||!+e.nodeType};function dn(){this.expando=a.expando+dn.uid++}dn.uid=1,dn.prototype={cache:function(e){var t=e[this.expando];return t||(t={},fn(e)&&(e.nodeType?e[this.expando]=t:Object.defineProperty(e,this.expando,{value:t,configurable:!0}))),t},set:function(e,t,n){var i,c=this.cache(e);if(typeof t=="string")c[Ce(t)]=n;else for(i in t)c[Ce(i)]=t[i];return c},get:function(e,t){return t===void 0?this.cache(e):e[this.expando]&&e[this.expando][Ce(t)]},access:function(e,t,n){return t===void 0||t&&typeof t=="string"&&n===void 0?this.get(e,t):(this.set(e,t,n),n!==void 0?n:t)},remove:function(e,t){var n,i=e[this.expando];if(i!==void 0){if(t!==void 0)for(Array.isArray(t)?t=t.map(Ce):(t=Ce(t),t=t in i?[t]:t.match(nt)||[]),n=t.length;n--;)delete i[t[n]];(t===void 0||a.isEmptyObject(i))&&(e.nodeType?e[this.expando]=void 0:delete e[this.expando])}},hasData:function(e){var t=e[this.expando];return t!==void 0&&!a.isEmptyObject(t)}};var W=new dn,Re=new dn,cs=/^(?:\{[\w\W]*\}|\[[\w\W]*\])$/,fs=/[A-Z]/g;a.extend({hasData:function(e){return Re.hasData(e)||W.hasData(e)},data:function(e,t,n){return Re.access(e,t,n)},removeData:function(e,t){Re.remove(e,t)},_data:function(e,t,n){return W.access(e,t,n)},_removeData:function(e,t){W.remove(e,t)}}),a.fn.extend({data:function(e,t){var n,i,c,f=this[0],d=f&&f.attributes;if(e===void 0){if(this.length&&(c=Re.get(f),f.nodeType===1&&!W.get(f,"hasDataAttrs"))){for(n=d.length;n--;)d[n]&&(i=d[n].name,i.indexOf("data-")===0&&(i=Ce(i.slice(5)),We(f,i,c[i])));W.set(f,"hasDataAttrs",!0)}return c}return typeof e=="object"?this.each(function(){Re.set(this,e)}):dt(this,function(x){var y;if(f&&x===void 0)return y=Re.get(f,e),y!==void 0||(y=We(f,e),y!==void 0)?y:void 0;this.each(function(){Re.set(this,e,x)})},null,t,arguments.length>1,null,!0)},removeData:function(e){return this.each(function(){Re.remove(this,e)})}}),a.extend({queue:function(e,t,n){var i;if(e)return t=(t||"fx")+"queue",i=W.get(e,t),n&&(!i||Array.isArray(n)?i=W.access(e,t,a.makeArray(n)):i.push(n)),i||[]},dequeue:function(e,t){t=t||"fx";var n=a.queue(e,t),i=n.length,c=n.shift(),f=a._queueHooks(e,t),d=function(){a.dequeue(e,t)};c==="inprogress"&&(c=n.shift(),i--),c&&(t==="fx"&&n.unshift("inprogress"),delete f.stop,c.call(e,d,f)),!i&&f&&f.empty.fire()},_queueHooks:function(e,t){var n=t+"queueHooks";return W.get(e,n)||W.access(e,n,{empty:a.Callbacks("once memory").add(function(){W.remove(e,[t+"queue",n])})})}}),a.fn.extend({queue:function(e,t){var n=2;return typeof e!="string"&&(t=e,e="fx",n--),arguments.length<n?a.queue(this[0],e):t===void 0?this:this.each(function(){var i=a.queue(this,e,t);a._queueHooks(this,e),e==="fx"&&i[0]!=="inprogress"&&a.dequeue(this,e)})},dequeue:function(e){return this.each(function(){a.dequeue(this,e)})},clearQueue:function(e){return this.queue(e||"fx",[])},promise:function(e,t){var n,i=1,c=a.Deferred(),f=this,d=this.length,x=function(){--i||c.resolveWith(f,[f])};for(typeof e!="string"&&(t=e,e=void 0),e=e||"fx";d--;)n=W.get(f[d],e+"queueHooks"),n&&n.empty&&(i++,n.empty.add(x));return x(),c.promise(t)}});var ai=/[+-]?(?:\d*\.|)\d+(?:[eE][+-]?\d+|)/.source,hn=new RegExp("^(?:([+-])=|)("+ai+")([a-z%]*)$","i"),ht=["Top","Right","Bottom","Left"],Nt=te.documentElement,Kt=function(e){return a.contains(e.ownerDocument,e)},ds={composed:!0};Nt.getRootNode&&(Kt=function(e){return a.contains(e.ownerDocument,e)||e.getRootNode(ds)===e.ownerDocument});var Fn=function(e,t){return e=t||e,e.style.display==="none"||e.style.display===""&&Kt(e)&&a.css(e,"display")==="none"},si={};a.fn.extend({show:function(){return Ne(this,!0)},hide:function(){return Ne(this)},toggle:function(e){return typeof e=="boolean"?e?this.show():this.hide():this.each(function(){Fn(this)?a(this).show():a(this).hide()})}});var pn=/^(?:checkbox|radio)$/i,ui=/<([a-z][^\/\0>\x20\t\r\n\f]*)/i,li=/^$|^module$|\/(?:java|ecma)script/i;(function(){var s=te.createDocumentFragment(),e=s.appendChild(te.createElement("div")),t=te.createElement("input");t.setAttribute("type","radio"),t.setAttribute("checked","checked"),t.setAttribute("name","t"),e.appendChild(t),le.checkClone=e.cloneNode(!0).cloneNode(!0).lastChild.checked,e.innerHTML="<textarea>x</textarea>",le.noCloneChecked=!!e.cloneNode(!0).lastChild.defaultValue,e.innerHTML="<option></option>",le.option=!!e.lastChild})();var Be={thead:[1,"<table>","</table>"],col:[2,"<table><colgroup>","</colgroup></table>"],tr:[2,"<table><tbody>","</tbody></table>"],td:[3,"<table><tbody><tr>","</tr></tbody></table>"],_default:[0,"",""]};Be.tbody=Be.tfoot=Be.colgroup=Be.caption=Be.thead,Be.th=Be.td,le.option||(Be.optgroup=Be.option=[1,"<select multiple='multiple'>","</select>"]);var hs=/<|&#?\w+;/,ci=/^([^.]*)(?:\.(.+)|)/;function Dr(s,e,t,n,i,c){var f,d;if(typeof e=="object"){typeof t!="string"&&(n=n||t,t=void 0);for(d in e)Dr(s,d,t,n,e[d],c);return s}if(n==null&&i==null?(i=t,n=t=void 0):i==null&&(typeof t=="string"?(i=n,n=void 0):(i=n,n=t,t=void 0)),i===!1)i=Ee;else if(!i)return s;return c===1&&(f=i,i=function(y){return a().off(y),f.apply(this,arguments)},i.guid=f.guid||(f.guid=a.guid++)),s.each(function(){a.event.add(this,e,i,n,t)})}a.event={global:{},add:function(e,t,n,i,c){var f,d,x,y,A,T,M,I,C,F,re,Y=W.get(e);if(fn(e))for(n.handler&&(f=n,n=f.handler,c=f.selector),c&&a.find.matchesSelector(Nt,c),n.guid||(n.guid=a.guid++),(y=Y.events)||(y=Y.events=Object.create(null)),(d=Y.handle)||(d=Y.handle=function(pe){return(typeof a=="undefined"?"undefined":_typeof(a))<"u"&&a.event.triggered!==pe.type?a.event.dispatch.apply(e,arguments):void 0}),t=(t||"").match(nt)||[""],A=t.length;A--;)x=ci.exec(t[A])||[],C=re=x[1],F=(x[2]||"").split(".").sort(),C&&(M=a.event.special[C]||{},C=(c?M.delegateType:M.bindType)||C,M=a.event.special[C]||{},T=a.extend({type:C,origType:re,data:i,handler:n,guid:n.guid,selector:c,needsContext:c&&a.expr.match.needsContext.test(c),namespace:F.join(".")},f),(I=y[C])||(I=y[C]=[],I.delegateCount=0,(!M.setup||M.setup.call(e,i,F,d)===!1)&&e.addEventListener&&e.addEventListener(C,d)),M.add&&(M.add.call(e,T),T.handler.guid||(T.handler.guid=n.guid)),c?I.splice(I.delegateCount++,0,T):I.push(T),a.event.global[C]=!0)},remove:function(e,t,n,i,c){var f,d,x,y,A,T,M,I,C,F,re,Y=W.hasData(e)&&W.get(e);if(!(!Y||!(y=Y.events))){for(t=(t||"").match(nt)||[""],A=t.length;A--;){if(x=ci.exec(t[A])||[],C=re=x[1],F=(x[2]||"").split(".").sort(),!C){for(C in y)a.event.remove(e,C+t[A],n,i,!0);continue}for(M=a.event.special[C]||{},C=(i?M.delegateType:M.bindType)||C,I=y[C]||[],x=x[2]&&new RegExp("(^|\\.)"+F.join("\\.(?:.*\\.|)")+"(\\.|$)"),d=f=I.length;f--;)T=I[f],(c||re===T.origType)&&(!n||n.guid===T.guid)&&(!x||x.test(T.namespace))&&(!i||i===T.selector||i==="**"&&T.selector)&&(I.splice(f,1),T.selector&&I.delegateCount--,M.remove&&M.remove.call(e,T));d&&!I.length&&((!M.teardown||M.teardown.call(e,F,Y.handle)===!1)&&a.removeEvent(e,C,Y.handle),delete y[C])}a.isEmptyObject(y)&&W.remove(e,"handle events")}},dispatch:function(e){var t,n,i,c,f,d,x=new Array(arguments.length),y=a.event.fix(e),A=(W.get(this,"events")||Object.create(null))[y.type]||[],T=a.event.special[y.type]||{};for(x[0]=y,t=1;t<arguments.length;t++)x[t]=arguments[t];if(y.delegateTarget=this,!(T.preDispatch&&T.preDispatch.call(this,y)===!1)){for(d=a.event.handlers.call(this,y,A),t=0;(c=d[t++])&&!y.isPropagationStopped();)for(y.currentTarget=c.elem,n=0;(f=c.handlers[n++])&&!y.isImmediatePropagationStopped();)(!y.rnamespace||f.namespace===!1||y.rnamespace.test(f.namespace))&&(y.handleObj=f,y.data=f.data,i=((a.event.special[f.origType]||{}).handle||f.handler).apply(c.elem,x),i!==void 0&&(y.result=i)===!1&&(y.preventDefault(),y.stopPropagation()));return T.postDispatch&&T.postDispatch.call(this,y),y.result}},handlers:function(e,t){var n,i,c,f,d,x=[],y=t.delegateCount,A=e.target;if(y&&A.nodeType&&!(e.type==="click"&&e.button>=1)){for(;A!==this;A=A.parentNode||this)if(A.nodeType===1&&!(e.type==="click"&&A.disabled===!0)){for(f=[],d={},n=0;n<y;n++)i=t[n],c=i.selector+" ",d[c]===void 0&&(d[c]=i.needsContext?a(c,this).index(A)>-1:a.find(c,this,null,[A]).length),d[c]&&f.push(i);f.length&&x.push({elem:A,handlers:f})}}return A=this,y<t.length&&x.push({elem:A,handlers:t.slice(y)}),x},addProp:function(e,t){Object.defineProperty(a.Event.prototype,e,{enumerable:!0,configurable:!0,get:J(t)?function(){if(this.originalEvent)return t(this.originalEvent)}:function(){if(this.originalEvent)return this.originalEvent[e]},set:function(i){Object.defineProperty(this,e,{enumerable:!0,configurable:!0,writable:!0,value:i})}})},fix:function(e){return e[a.expando]?e:new a.Event(e)},special:{load:{noBubble:!0},click:{setup:function(e){var t=this||e;return pn.test(t.type)&&t.click&&b(t,"input")&&ut(t,"click",et),!1},trigger:function(e){var t=this||e;return pn.test(t.type)&&t.click&&b(t,"input")&&ut(t,"click"),!0},_default:function(e){var t=e.target;return pn.test(t.type)&&t.click&&b(t,"input")&&W.get(t,"click")||b(t,"a")}},beforeunload:{postDispatch:function(e){e.result!==void 0&&e.originalEvent&&(e.originalEvent.returnValue=e.result)}}}},a.removeEvent=function(s,e,t){s.removeEventListener&&s.removeEventListener(e,t)},a.Event=function(s,e){if(!_instanceof(this,a.Event))return new a.Event(s,e);s&&s.type?(this.originalEvent=s,this.type=s.type,this.isDefaultPrevented=s.defaultPrevented||s.defaultPrevented===void 0&&s.returnValue===!1?et:Ee,this.target=s.target&&s.target.nodeType===3?s.target.parentNode:s.target,this.currentTarget=s.currentTarget,this.relatedTarget=s.relatedTarget):this.type=s,e&&a.extend(this,e),this.timeStamp=s&&s.timeStamp||Date.now(),this[a.expando]=!0},a.Event.prototype={constructor:a.Event,isDefaultPrevented:Ee,isPropagationStopped:Ee,isImmediatePropagationStopped:Ee,isSimulated:!1,preventDefault:function(){var e=this.originalEvent;this.isDefaultPrevented=et,e&&!this.isSimulated&&e.preventDefault()},stopPropagation:function(){var e=this.originalEvent;this.isPropagationStopped=et,e&&!this.isSimulated&&e.stopPropagation()},stopImmediatePropagation:function(){var e=this.originalEvent;this.isImmediatePropagationStopped=et,e&&!this.isSimulated&&e.stopImmediatePropagation(),this.stopPropagation()}},a.each({altKey:!0,bubbles:!0,cancelable:!0,changedTouches:!0,ctrlKey:!0,detail:!0,eventPhase:!0,metaKey:!0,pageX:!0,pageY:!0,shiftKey:!0,view:!0,char:!0,code:!0,charCode:!0,key:!0,keyCode:!0,button:!0,buttons:!0,clientX:!0,clientY:!0,offsetX:!0,offsetY:!0,pointerId:!0,pointerType:!0,screenX:!0,screenY:!0,targetTouches:!0,toElement:!0,touches:!0,which:!0},a.event.addProp),a.each({focus:"focusin",blur:"focusout"},function(s,e){a.event.special[s]={setup:function(){return ut(this,s,tt),!1},trigger:function(){return ut(this,s),!0},_default:function(n){return W.get(n.target,s)},delegateType:e}}),a.each({mouseenter:"mouseover",mouseleave:"mouseout",pointerenter:"pointerover",pointerleave:"pointerout"},function(s,e){a.event.special[s]={delegateType:e,bindType:e,handle:function(n){var i,c=this,f=n.relatedTarget,d=n.handleObj;return(!f||f!==c&&!a.contains(c,f))&&(n.type=d.origType,i=d.handler.apply(this,arguments),n.type=e),i}}}),a.fn.extend({on:function(e,t,n,i){return Dr(this,e,t,n,i)},one:function(e,t,n,i){return Dr(this,e,t,n,i,1)},off:function(e,t,n){var i,c;if(e&&e.preventDefault&&e.handleObj)return i=e.handleObj,a(e.delegateTarget).off(i.namespace?i.origType+"."+i.namespace:i.origType,i.selector,i.handler),this;if(typeof e=="object"){for(c in e)this.off(c,t,e[c]);return this}return(t===!1||typeof t=="function")&&(n=t,t=void 0),n===!1&&(n=Ee),this.each(function(){a.event.remove(this,e,n,t)})}});var ps=/<script|<style|<link/i,vs=/checked\s*(?:[^=]|=\s*.checked.)/i,ms=/^\s*<!\[CDATA\[|\]\]>\s*$/g;function Qt(s,e,t,n){e=Qo(e);var i,c,f,d,x,y,A=0,T=s.length,M=T-1,I=e[0],C=J(I);if(C||T>1&&typeof I=="string"&&!le.checkClone&&vs.test(I))return s.each(function(F){var re=s.eq(F);C&&(e[0]=I.call(this,F,re.html())),Qt(re,e,t,n)});if(T&&(i=wt(e,s[0].ownerDocument,!1,s,n),c=i.firstChild,i.childNodes.length===1&&(i=c),c||n)){for(f=a.map(ke(i,"script"),Mn),d=f.length;A<T;A++)x=i,A!==M&&(x=a.clone(x,!0,!0),d&&a.merge(f,ke(x,"script"))),t.call(s[A],x,A);if(d)for(y=f[f.length-1].ownerDocument,a.map(f,Cr),A=0;A<d;A++)x=f[A],li.test(x.type||"")&&!W.access(x,"globalEval")&&a.contains(y,x)&&(x.src&&(x.type||"").toLowerCase()!=="module"?a._evalUrl&&!x.noModule&&a._evalUrl(x.src,{nonce:x.nonce||x.getAttribute("nonce")},y):l(x.textContent.replace(ms,""),x,y))}return s}a.extend({htmlPrefilter:function(e){return e},clone:function(e,t,n){var i,c,f,d,x=e.cloneNode(!0),y=Kt(e);if(!le.noCloneChecked&&(e.nodeType===1||e.nodeType===11)&&!a.isXMLDoc(e))for(d=ke(x),f=ke(e),i=0,c=f.length;i<c;i++)cn(f[i],d[i]);if(t)if(n)for(f=f||ke(e),d=d||ke(x),i=0,c=f.length;i<c;i++)Vt(f[i],d[i]);else Vt(e,x);return d=ke(x,"script"),d.length>0&&Ze(d,!y&&ke(e,"script")),x},cleanData:function(e){for(var t,n,i,c=a.event.special,f=0;(n=e[f])!==void 0;f++)if(fn(n)){if(t=n[W.expando]){if(t.events)for(i in t.events)c[i]?a.event.remove(n,i):a.removeEvent(n,i,t.handle);n[W.expando]=void 0}n[Re.expando]&&(n[Re.expando]=void 0)}}}),a.fn.extend({detach:function(e){return Xt(this,e,!0)},remove:function(e){return Xt(this,e)},text:function(e){return dt(this,function(t){return t===void 0?a.text(this):this.empty().each(function(){(this.nodeType===1||this.nodeType===11||this.nodeType===9)&&(this.textContent=t)})},null,e,arguments.length)},append:function(){return Qt(this,arguments,function(e){if(this.nodeType===1||this.nodeType===11||this.nodeType===9){var t=lt(this,e);t.appendChild(e)}})},prepend:function(){return Qt(this,arguments,function(e){if(this.nodeType===1||this.nodeType===11||this.nodeType===9){var t=lt(this,e);t.insertBefore(e,t.firstChild)}})},before:function(){return Qt(this,arguments,function(e){this.parentNode&&this.parentNode.insertBefore(e,this)})},after:function(){return Qt(this,arguments,function(e){this.parentNode&&this.parentNode.insertBefore(e,this.nextSibling)})},empty:function(){for(var e,t=0;(e=this[t])!=null;t++)e.nodeType===1&&(a.cleanData(ke(e,!1)),e.textContent="");return this},clone:function(e,t){return e=e!=null?e:!1,t=t!=null?t:e,this.map(function(){return a.clone(this,e,t)})},html:function(e){return dt(this,function(t){var n=this[0]||{},i=0,c=this.length;if(t===void 0&&n.nodeType===1)return n.innerHTML;if(typeof t=="string"&&!ps.test(t)&&!Be[(ui.exec(t)||["",""])[1].toLowerCase()]){t=a.htmlPrefilter(t);try{for(;i<c;i++)n=this[i]||{},n.nodeType===1&&(a.cleanData(ke(n,!1)),n.innerHTML=t);n=0}catch(f){}}n&&this.empty().append(t)},null,e,arguments.length)},replaceWith:function(){var e=[];return Qt(this,arguments,function(t){var n=this.parentNode;a.inArray(this,e)<0&&(a.cleanData(ke(this)),n&&n.replaceChild(t,this))},e)}}),a.each({appendTo:"append",prependTo:"prepend",insertBefore:"before",insertAfter:"after",replaceAll:"replaceWith"},function(s,e){a.fn[s]=function(t){for(var n,i=[],c=a(t),f=c.length-1,d=0;d<=f;d++)n=d===f?this:this.clone(!0),a(c[d])[e](n),Or.apply(i,n.get());return this.pushStack(i)}});var zr=new RegExp("^("+ai+")(?!px)[a-z%]+$","i"),$r=/^--/,qn=function(e){var t=e.ownerDocument.defaultView;return(!t||!t.opener)&&(t=r),t.getComputedStyle(e)},fi=function(e,t,n){var i,c,f={};for(c in t)f[c]=e.style[c],e.style[c]=t[c];i=n.call(e);for(c in t)e.style[c]=f[c];return i},gs=new RegExp(ht.join("|"),"i"),di="[\\x20\\t\\r\\n\\f]",ys=new RegExp("^"+di+"+|((?:^|[^\\\\])(?:\\\\.)*)"+di+"+$","g");(function(){var s=function(){if(y){x.style.cssText="position:absolute;left:-11111px;width:60px;margin-top:1px;padding:0;border:0",y.style.cssText="position:relative;display:block;box-sizing:border-box;overflow:scroll;margin:auto;border:1px;padding:1px;width:60%;top:1%",Nt.appendChild(x).appendChild(y);var T=r.getComputedStyle(y);t=T.top!=="1%",d=e(T.marginLeft)===12,y.style.right="60%",c=e(T.right)===36,n=e(T.width)===36,y.style.position="absolute",i=e(y.offsetWidth/3)===12,Nt.removeChild(x),y=null}},e=function(T){return Math.round(parseFloat(T))},t,n,i,c,f,d,x=te.createElement("div"),y=te.createElement("div");y.style&&(y.style.backgroundClip="content-box",y.cloneNode(!0).style.backgroundClip="",le.clearCloneStyle=y.style.backgroundClip==="content-box",a.extend(le,{boxSizingReliable:function(){return s(),n},pixelBoxStyles:function(){return s(),c},pixelPosition:function(){return s(),t},reliableMarginLeft:function(){return s(),d},scrollboxSize:function(){return s(),i},reliableTrDimensions:function(){var T,M,I,C;return f==null&&(T=te.createElement("table"),M=te.createElement("tr"),I=te.createElement("div"),T.style.cssText="position:absolute;left:-11111px;border-collapse:separate",M.style.cssText="border:1px solid",M.style.height="1px",I.style.height="9px",I.style.display="block",Nt.appendChild(T).appendChild(M).appendChild(I),C=r.getComputedStyle(M),f=parseInt(C.height,10)+parseInt(C.borderTopWidth,10)+parseInt(C.borderBottomWidth,10)===M.offsetHeight,Nt.removeChild(T)),f}}))})();var hi=["Webkit","Moz","ms"],pi=te.createElement("div").style,vi={},bs=/^(none|table(?!-c[ea]).+)/,ws={position:"absolute",visibility:"hidden",display:"block"},mi={letterSpacing:"0",fontWeight:"400"};a.extend({cssHooks:{opacity:{get:function(e,t){if(t){var n=ct(e,"opacity");return n===""?"1":n}}}},cssNumber:{animationIterationCount:!0,columnCount:!0,fillOpacity:!0,flexGrow:!0,flexShrink:!0,fontWeight:!0,gridArea:!0,gridColumn:!0,gridColumnEnd:!0,gridColumnStart:!0,gridRow:!0,gridRowEnd:!0,gridRowStart:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,widows:!0,zIndex:!0,zoom:!0},cssProps:{},style:function(e,t,n,i){if(!(!e||e.nodeType===3||e.nodeType===8||!e.style)){var c,f,d,x=Ce(t),y=$r.test(t),A=e.style;if(y||(t=Sr(x)),d=a.cssHooks[t]||a.cssHooks[x],n!==void 0){if(f=typeof n=="undefined"?"undefined":_typeof(n),f==="string"&&(c=hn.exec(n))&&c[1]&&(n=Qe(e,t,c),f="number"),n==null||n!==n)return;f==="number"&&!y&&(n+=c&&c[3]||(a.cssNumber[x]?"":"px")),!le.clearCloneStyle&&n===""&&t.indexOf("background")===0&&(A[t]="inherit"),(!d||!("set"in d)||(n=d.set(e,n,i))!==void 0)&&(y?A.setProperty(t,n):A[t]=n)}else return d&&"get"in d&&(c=d.get(e,!1,i))!==void 0?c:A[t]}},css:function(e,t,n,i){var c,f,d,x=Ce(t),y=$r.test(t);return y||(t=Sr(x)),d=a.cssHooks[t]||a.cssHooks[x],d&&"get"in d&&(c=d.get(e,!0,n)),c===void 0&&(c=ct(e,t,i)),c==="normal"&&t in mi&&(c=mi[t]),n===""||n?(f=parseFloat(c),n===!0||isFinite(f)?f||0:c):c}}),a.each(["height","width"],function(s,e){a.cssHooks[e]={get:function(n,i,c){if(i)return bs.test(a.css(n,"display"))&&(!n.getClientRects().length||!n.getBoundingClientRect().width)?fi(n,ws,function(){return Vo(n,e,c)}):Vo(n,e,c)},set:function(n,i,c){var f,d=qn(n),x=!le.scrollboxSize()&&d.position==="absolute",y=x||c,A=y&&a.css(n,"boxSizing",!1,d)==="border-box",T=c?Ar(n,e,c,A,d):0;return A&&x&&(T-=Math.ceil(n["offset"+e[0].toUpperCase()+e.slice(1)]-parseFloat(d[e])-Ar(n,e,"border",!1,d)-.5)),T&&(f=hn.exec(i))&&(f[3]||"px")!=="px"&&(n.style[e]=i,i=a.css(n,e)),Uo(n,i,T)}}}),a.cssHooks.marginLeft=Gt(le.reliableMarginLeft,function(s,e){if(e)return(parseFloat(ct(s,"marginLeft"))||s.getBoundingClientRect().left-fi(s,{marginLeft:0},function(){return s.getBoundingClientRect().left}))+"px"}),a.each({margin:"",padding:"",border:"Width"},function(s,e){a.cssHooks[s+e]={expand:function(n){for(var i=0,c={},f=typeof n=="string"?n.split(" "):[n];i<4;i++)c[s+ht[i]+e]=f[i]||f[i-2]||f[0];return c}},s!=="margin"&&(a.cssHooks[s+e].set=Uo)}),a.fn.extend({css:function(e,t){return dt(this,function(n,i,c){var f,d,x={},y=0;if(Array.isArray(i)){for(f=qn(n),d=i.length;y<d;y++)x[i[y]]=a.css(n,i[y],!1,f);return x}return c!==void 0?a.style(n,i,c):a.css(n,i)},e,t,arguments.length>1)}});function Me(s,e,t,n,i){return new Me.prototype.init(s,e,t,n,i)}a.Tween=Me,Me.prototype={constructor:Me,init:function(e,t,n,i,c,f){this.elem=e,this.prop=n,this.easing=c||a.easing._default,this.options=t,this.start=this.now=this.cur(),this.end=i,this.unit=f||(a.cssNumber[n]?"":"px")},cur:function(){var e=Me.propHooks[this.prop];return e&&e.get?e.get(this):Me.propHooks._default.get(this)},run:function(e){var t,n=Me.propHooks[this.prop];return this.options.duration?this.pos=t=a.easing[this.easing](e,this.options.duration*e,0,1,this.options.duration):this.pos=t=e,this.now=(this.end-this.start)*t+this.start,this.options.step&&this.options.step.call(this.elem,this.now,this),n&&n.set?n.set(this):Me.propHooks._default.set(this),this}},Me.prototype.init.prototype=Me.prototype,Me.propHooks={_default:{get:function(e){var t;return e.elem.nodeType!==1||e.elem[e.prop]!=null&&e.elem.style[e.prop]==null?e.elem[e.prop]:(t=a.css(e.elem,e.prop,""),!t||t==="auto"?0:t)},set:function(e){a.fx.step[e.prop]?a.fx.step[e.prop](e):e.elem.nodeType===1&&(a.cssHooks[e.prop]||e.elem.style[Sr(e.prop)]!=null)?a.style(e.elem,e.prop,e.now+e.unit):e.elem[e.prop]=e.now}}},Me.propHooks.scrollTop=Me.propHooks.scrollLeft={set:function(e){e.elem.nodeType&&e.elem.parentNode&&(e.elem[e.prop]=e.now)}},a.easing={linear:function(e){return e},swing:function(e){return .5-Math.cos(e*Math.PI)/2},_default:"swing"},a.fx=Me.prototype.init,a.fx.step={};var Zt,Wn,xs=/^(?:toggle|show|hide)$/,ks=/queueHooks$/;function Nr(){Wn&&(te.hidden===!1&&r.requestAnimationFrame?r.requestAnimationFrame(Nr):r.setTimeout(Nr,a.fx.interval),a.fx.tick())}function Ue(s,e,t){var n,i,c=0,f=Ue.prefilters.length,d=a.Deferred().always(function(){delete x.elem}),x=function(){if(i)return!1;for(var M=Zt||Xo(),I=Math.max(0,y.startTime+y.duration-M),C=I/y.duration||0,F=1-C,re=0,Y=y.tweens.length;re<Y;re++)y.tweens[re].run(F);return d.notifyWith(s,[y,F,I]),F<1&&Y?I:(Y||d.notifyWith(s,[y,1,0]),d.resolveWith(s,[y]),!1)},y=d.promise({elem:s,props:a.extend({},e),opts:a.extend(!0,{specialEasing:{},easing:a.easing._default},t),originalProperties:e,originalOptions:t,startTime:Zt||Xo(),duration:t.duration,tweens:[],createTween:function(M,I){var C=a.Tween(s,y.opts,M,I,y.opts.specialEasing[M]||y.opts.easing);return y.tweens.push(C),C},stop:function(M){var I=0,C=M?y.tweens.length:0;if(i)return this;for(i=!0;I<C;I++)y.tweens[I].run(1);return M?(d.notifyWith(s,[y,1,0]),d.resolveWith(s,[y,M])):d.rejectWith(s,[y,M]),this}}),A=y.props;for(Qa(A,y.opts.specialEasing);c<f;c++)if(n=Ue.prefilters[c].call(y,s,A,y.opts),n)return J(n.stop)&&(a._queueHooks(y.elem,y.opts.queue).stop=n.stop.bind(n)),n;return a.map(A,Go,y),J(y.opts.start)&&y.opts.start.call(s,y),y.progress(y.opts.progress).done(y.opts.done,y.opts.complete).fail(y.opts.fail).always(y.opts.always),a.fx.timer(a.extend(x,{elem:s,anim:y,queue:y.opts.queue})),y}a.Animation=a.extend(Ue,{tweeners:{"*":[function(s,e){var t=this.createTween(s,e);return Qe(t.elem,s,hn.exec(e),t),t}]},tweener:function(e,t){J(e)?(t=e,e=["*"]):e=e.match(nt);for(var n,i=0,c=e.length;i<c;i++)n=e[i],Ue.tweeners[n]=Ue.tweeners[n]||[],Ue.tweeners[n].unshift(t)},prefilters:[Ka],prefilter:function(e,t){t?Ue.prefilters.unshift(e):Ue.prefilters.push(e)}}),a.speed=function(s,e,t){var n=s&&typeof s=="object"?a.extend({},s):{complete:t||!t&&e||J(s)&&s,duration:s,easing:t&&e||e&&!J(e)&&e};return a.fx.off?n.duration=0:typeof n.duration!="number"&&(n.duration in a.fx.speeds?n.duration=a.fx.speeds[n.duration]:n.duration=a.fx.speeds._default),(n.queue==null||n.queue===!0)&&(n.queue="fx"),n.old=n.complete,n.complete=function(){J(n.old)&&n.old.call(this),n.queue&&a.dequeue(this,n.queue)},n},a.fn.extend({fadeTo:function(e,t,n,i){return this.filter(Fn).css("opacity",0).show().end().animate({opacity:t},e,n,i)},animate:function(e,t,n,i){var c=a.isEmptyObject(e),f=a.speed(t,n,i),d=function(){var y=Ue(this,a.extend({},e),f);(c||W.get(this,"finish"))&&y.stop(!0)};return d.finish=d,c||f.queue===!1?this.each(d):this.queue(f.queue,d)},stop:function(e,t,n){var i=function(f){var d=f.stop;delete f.stop,d(n)};return typeof e!="string"&&(n=t,t=e,e=void 0),t&&this.queue(e||"fx",[]),this.each(function(){var c=!0,f=e!=null&&e+"queueHooks",d=a.timers,x=W.get(this);if(f)x[f]&&x[f].stop&&i(x[f]);else for(f in x)x[f]&&x[f].stop&&ks.test(f)&&i(x[f]);for(f=d.length;f--;)d[f].elem===this&&(e==null||d[f].queue===e)&&(d[f].anim.stop(n),c=!1,d.splice(f,1));(c||!n)&&a.dequeue(this,e)})},finish:function(e){return e!==!1&&(e=e||"fx"),this.each(function(){var t,n=W.get(this),i=n[e+"queue"],c=n[e+"queueHooks"],f=a.timers,d=i?i.length:0;for(n.finish=!0,a.queue(this,e,[]),c&&c.stop&&c.stop.call(this,!0),t=f.length;t--;)f[t].elem===this&&f[t].queue===e&&(f[t].anim.stop(!0),f.splice(t,1));for(t=0;t<d;t++)i[t]&&i[t].finish&&i[t].finish.call(this);delete n.finish})}}),a.each(["toggle","show","hide"],function(s,e){var t=a.fn[e];a.fn[e]=function(n,i,c){return n==null||typeof n=="boolean"?t.apply(this,arguments):this.animate(In(e,!0),n,i,c)}}),a.each({slideDown:In("show"),slideUp:In("hide"),slideToggle:In("toggle"),fadeIn:{opacity:"show"},fadeOut:{opacity:"hide"},fadeToggle:{opacity:"toggle"}},function(s,e){a.fn[s]=function(t,n,i){return this.animate(e,t,n,i)}}),a.timers=[],a.fx.tick=function(){var s,e=0,t=a.timers;for(Zt=Date.now();e<t.length;e++)s=t[e],!s()&&t[e]===s&&t.splice(e--,1);t.length||a.fx.stop(),Zt=void 0},a.fx.timer=function(s){a.timers.push(s),a.fx.start()},a.fx.interval=13,a.fx.start=function(){Wn||(Wn=!0,Nr())},a.fx.stop=function(){Wn=null},a.fx.speeds={slow:600,fast:200,_default:400},a.fn.delay=function(s,e){return s=a.fx&&a.fx.speeds[s]||s,e=e||"fx",this.queue(e,function(t,n){var i=r.setTimeout(t,s);n.stop=function(){r.clearTimeout(i)}})},function(){var s=te.createElement("input"),e=te.createElement("select"),t=e.appendChild(te.createElement("option"));s.type="checkbox",le.checkOn=s.value!=="",le.optSelected=t.selected,s=te.createElement("input"),s.value="t",s.type="radio",le.radioValue=s.value==="t"}();var gi,vn=a.expr.attrHandle;a.fn.extend({attr:function(e,t){return dt(this,a.attr,e,t,arguments.length>1)},removeAttr:function(e){return this.each(function(){a.removeAttr(this,e)})}}),a.extend({attr:function(e,t,n){var i,c,f=e.nodeType;if(!(f===3||f===8||f===2)){if(_typeof(e.getAttribute)>"u")return a.prop(e,t,n);if((f!==1||!a.isXMLDoc(e))&&(c=a.attrHooks[t.toLowerCase()]||(a.expr.match.bool.test(t)?gi:void 0)),n!==void 0){if(n===null){a.removeAttr(e,t);return}return c&&"set"in c&&(i=c.set(e,n,t))!==void 0?i:(e.setAttribute(t,n+""),n)}return c&&"get"in c&&(i=c.get(e,t))!==null?i:(i=a.find.attr(e,t),i!=null?i:void 0)}},attrHooks:{type:{set:function(e,t){if(!le.radioValue&&t==="radio"&&b(e,"input")){var n=e.value;return e.setAttribute("type",t),n&&(e.value=n),t}}}},removeAttr:function(e,t){var n,i=0,c=t&&t.match(nt);if(c&&e.nodeType===1)for(;n=c[i++];)e.removeAttribute(n)}}),gi={set:function(e,t,n){return t===!1?a.removeAttr(e,n):e.setAttribute(n,n),n}},a.each(a.expr.match.bool.source.match(/\w+/g),function(s,e){var t=vn[e]||a.find.attr;vn[e]=function(n,i,c){var f,d,x=i.toLowerCase();return c||(d=vn[x],vn[x]=f,f=t(n,i,c)!=null?x:null,vn[x]=d),f}});var _s=/^(?:input|select|textarea|button)$/i,Cs=/^(?:a|area)$/i;a.fn.extend({prop:function(e,t){return dt(this,a.prop,e,t,arguments.length>1)},removeProp:function(e){return this.each(function(){delete this[a.propFix[e]||e]})}}),a.extend({prop:function(e,t,n){var i,c,f=e.nodeType;if(!(f===3||f===8||f===2))return(f!==1||!a.isXMLDoc(e))&&(t=a.propFix[t]||t,c=a.propHooks[t]),n!==void 0?c&&"set"in c&&(i=c.set(e,n,t))!==void 0?i:e[t]=n:c&&"get"in c&&(i=c.get(e,t))!==null?i:e[t]},propHooks:{tabIndex:{get:function(e){var t=a.find.attr(e,"tabindex");return t?parseInt(t,10):_s.test(e.nodeName)||Cs.test(e.nodeName)&&e.href?0:-1}}},propFix:{for:"htmlFor",class:"className"}}),le.optSelected||(a.propHooks.selected={get:function(e){var t=e.parentNode;return t&&t.parentNode&&t.parentNode.selectedIndex,null},set:function(e){var t=e.parentNode;t&&(t.selectedIndex,t.parentNode&&t.parentNode.selectedIndex)}}),a.each(["tabIndex","readOnly","maxLength","cellSpacing","cellPadding","rowSpan","colSpan","useMap","frameBorder","contentEditable"],function(){a.propFix[this.toLowerCase()]=this}),a.fn.extend({addClass:function(e){var t,n,i,c,f,d;return J(e)?this.each(function(x){a(this).addClass(e.call(this,x,zt(this)))}):(t=Er(e),t.length?this.each(function(){if(i=zt(this),n=this.nodeType===1&&" "+Dt(i)+" ",n){for(f=0;f<t.length;f++)c=t[f],n.indexOf(" "+c+" ")<0&&(n+=c+" ");d=Dt(n),i!==d&&this.setAttribute("class",d)}}):this)},removeClass:function(e){var t,n,i,c,f,d;return J(e)?this.each(function(x){a(this).removeClass(e.call(this,x,zt(this)))}):arguments.length?(t=Er(e),t.length?this.each(function(){if(i=zt(this),n=this.nodeType===1&&" "+Dt(i)+" ",n){for(f=0;f<t.length;f++)for(c=t[f];n.indexOf(" "+c+" ")>-1;)n=n.replace(" "+c+" "," ");d=Dt(n),i!==d&&this.setAttribute("class",d)}}):this):this.attr("class","")},toggleClass:function(e,t){var n,i,c,f,d=typeof e=="undefined"?"undefined":_typeof(e),x=d==="string"||Array.isArray(e);return J(e)?this.each(function(y){a(this).toggleClass(e.call(this,y,zt(this),t),t)}):typeof t=="boolean"&&x?t?this.addClass(e):this.removeClass(e):(n=Er(e),this.each(function(){if(x)for(f=a(this),c=0;c<n.length;c++)i=n[c],f.hasClass(i)?f.removeClass(i):f.addClass(i);else(e===void 0||d==="boolean")&&(i=zt(this),i&&W.set(this,"__className__",i),this.setAttribute&&this.setAttribute("class",i||e===!1?"":W.get(this,"__className__")||""))}))},hasClass:function(e){var t,n,i=0;for(t=" "+e+" ";n=this[i++];)if(n.nodeType===1&&(" "+Dt(zt(n))+" ").indexOf(t)>-1)return!0;return!1}});var Ss=/\r/g;a.fn.extend({val:function(e){var t,n,i,c=this[0];return arguments.length?(i=J(e),this.each(function(f){var d;this.nodeType===1&&(i?d=e.call(this,f,a(this).val()):d=e,d==null?d="":typeof d=="number"?d+="":Array.isArray(d)&&(d=a.map(d,function(x){return x==null?"":x+""})),t=a.valHooks[this.type]||a.valHooks[this.nodeName.toLowerCase()],(!t||!("set"in t)||t.set(this,d,"value")===void 0)&&(this.value=d))})):c?(t=a.valHooks[c.type]||a.valHooks[c.nodeName.toLowerCase()],t&&"get"in t&&(n=t.get(c,"value"))!==void 0?n:(n=c.value,typeof n=="string"?n.replace(Ss,""):n!=null?n:"")):void 0}}),a.extend({valHooks:{option:{get:function(e){var t=a.find.attr(e,"value");return t!=null?t:Dt(a.text(e))}},select:{get:function(e){var t,n,i,c=e.options,f=e.selectedIndex,d=e.type==="select-one",x=d?null:[],y=d?f+1:c.length;for(f<0?i=y:i=d?f:0;i<y;i++)if(n=c[i],(n.selected||i===f)&&!n.disabled&&(!n.parentNode.disabled||!b(n.parentNode,"optgroup"))){if(t=a(n).val(),d)return t;x.push(t)}return x},set:function(e,t){for(var n,i,c=e.options,f=a.makeArray(t),d=c.length;d--;)i=c[d],(i.selected=a.inArray(a.valHooks.option.get(i),f)>-1)&&(n=!0);return n||(e.selectedIndex=-1),f}}}}),a.each(["radio","checkbox"],function(){a.valHooks[this]={set:function(e,t){if(Array.isArray(t))return e.checked=a.inArray(a(e).val(),t)>-1}},le.checkOn||(a.valHooks[this].get=function(s){return s.getAttribute("value")===null?"on":s.value})}),le.focusin="onfocusin"in r;var yi=/^(?:focusinfocus|focusoutblur)$/,bi=function(e){e.stopPropagation()};a.extend(a.event,{trigger:function(e,t,n,i){var c,f,d,x,y,A,T,M,I=[n||te],C=Bn.call(e,"type")?e.type:e,F=Bn.call(e,"namespace")?e.namespace.split("."):[];if(f=M=d=n=n||te,!(n.nodeType===3||n.nodeType===8)&&!yi.test(C+a.event.triggered)&&(C.indexOf(".")>-1&&(F=C.split("."),C=F.shift(),F.sort()),y=C.indexOf(":")<0&&"on"+C,e=e[a.expando]?e:new a.Event(C,typeof e=="object"&&e),e.isTrigger=i?2:3,e.namespace=F.join("."),e.rnamespace=e.namespace?new RegExp("(^|\\.)"+F.join("\\.(?:.*\\.|)")+"(\\.|$)"):null,e.result=void 0,e.target||(e.target=n),t=t==null?[e]:a.makeArray(t,[e]),T=a.event.special[C]||{},!(!i&&T.trigger&&T.trigger.apply(n,t)===!1))){if(!i&&!T.noBubble&&!Yt(n)){for(x=T.delegateType||C,yi.test(x+C)||(f=f.parentNode);f;f=f.parentNode)I.push(f),d=f;d===(n.ownerDocument||te)&&I.push(d.defaultView||d.parentWindow||r)}for(c=0;(f=I[c++])&&!e.isPropagationStopped();)M=f,e.type=c>1?x:T.bindType||C,A=(W.get(f,"events")||Object.create(null))[e.type]&&W.get(f,"handle"),A&&A.apply(f,t),A=y&&f[y],A&&A.apply&&fn(f)&&(e.result=A.apply(f,t),e.result===!1&&e.preventDefault());return e.type=C,!i&&!e.isDefaultPrevented()&&(!T._default||T._default.apply(I.pop(),t)===!1)&&fn(n)&&y&&J(n[C])&&!Yt(n)&&(d=n[y],d&&(n[y]=null),a.event.triggered=C,e.isPropagationStopped()&&M.addEventListener(C,bi),n[C](),e.isPropagationStopped()&&M.removeEventListener(C,bi),a.event.triggered=void 0,d&&(n[y]=d)),e.result}},simulate:function(e,t,n){var i=a.extend(new a.Event,n,{type:e,isSimulated:!0});a.event.trigger(i,null,t)}}),a.fn.extend({trigger:function(e,t){return this.each(function(){a.event.trigger(e,t,this)})},triggerHandler:function(e,t){var n=this[0];if(n)return a.event.trigger(e,t,n,!0)}}),le.focusin||a.each({focus:"focusin",blur:"focusout"},function(s,e){var t=function(i){a.event.simulate(e,i.target,a.event.fix(i))};a.event.special[e]={setup:function(){var i=this.ownerDocument||this.document||this,c=W.access(i,e);c||i.addEventListener(s,t,!0),W.access(i,e,(c||0)+1)},teardown:function(){var i=this.ownerDocument||this.document||this,c=W.access(i,e)-1;c?W.access(i,e,c):(i.removeEventListener(s,t,!0),W.remove(i,e))}}});var mn=r.location,wi={guid:Date.now()},Rr=/\?/;a.parseXML=function(s){var e,t;if(!s||typeof s!="string")return null;try{e=new r.DOMParser().parseFromString(s,"text/xml")}catch(n){}return t=e&&e.getElementsByTagName("parsererror")[0],(!e||t)&&a.error("Invalid XML: "+(t?a.map(t.childNodes,function(n){return n.textContent}).join("\n"):s)),e};var As=/\[\]$/,xi=/\r?\n/g,Es=/^(?:submit|button|image|reset|file)$/i,Ts=/^(?:input|select|textarea|keygen)/i;function Mr(s,e,t,n){var i;if(Array.isArray(e))a.each(e,function(c,f){t||As.test(s)?n(s,f):Mr(s+"["+(typeof f=="object"&&f!=null?c:"")+"]",f,t,n)});else if(!t&&p(e)==="object")for(i in e)Mr(s+"["+i+"]",e[i],t,n);else n(s,e)}a.param=function(s,e){var t,n=[],i=function(f,d){var x=J(d)?d():d;n[n.length]=encodeURIComponent(f)+"="+encodeURIComponent(x!=null?x:"")};if(s==null)return"";if(Array.isArray(s)||s.jquery&&!a.isPlainObject(s))a.each(s,function(){i(this.name,this.value)});else for(t in s)Mr(t,s[t],e,i);return n.join("&")},a.fn.extend({serialize:function(){return a.param(this.serializeArray())},serializeArray:function(){return this.map(function(){var e=a.prop(this,"elements");return e?a.makeArray(e):this}).filter(function(){var e=this.type;return this.name&&!a(this).is(":disabled")&&Ts.test(this.nodeName)&&!Es.test(e)&&(this.checked||!pn.test(e))}).map(function(e,t){var n=a(this).val();return n==null?null:Array.isArray(n)?a.map(n,function(i){return{name:t.name,value:i.replace(xi,"\r\n")}}):{name:t.name,value:n.replace(xi,"\r\n")}}).get()}});var Os=/%20/g,js=/#.*$/,Ds=/([?&])_=[^&]*/,zs=/^(.*?):[ \t]*([^\r\n]*)$/mg,$s=/^(?:about|app|app-storage|.+-extension|file|res|widget):$/,Ns=/^(?:GET|HEAD)$/,Rs=/^\/\//,ki={},Ir={},_i="*/".concat("*"),Pr=te.createElement("a");Pr.href=mn.href,a.extend({active:0,lastModified:{},etag:{},ajaxSettings:{url:mn.href,type:"GET",isLocal:$s.test(mn.protocol),global:!0,processData:!0,async:!0,contentType:"application/x-www-form-urlencoded; charset=UTF-8",accepts:{"*":_i,text:"text/plain",html:"text/html",xml:"application/xml, text/xml",json:"application/json, text/javascript"},contents:{xml:/\bxml\b/,html:/\bhtml/,json:/\bjson\b/},responseFields:{xml:"responseXML",text:"responseText",json:"responseJSON"},converters:{"* text":String,"text html":!0,"text json":JSON.parse,"text xml":a.parseXML},flatOptions:{url:!0,context:!0}},ajaxSetup:function(e,t){return t?Tr(Tr(e,a.ajaxSettings),t):Tr(a.ajaxSettings,e)},ajaxPrefilter:Yo(ki),ajaxTransport:Yo(Ir),ajax:function(e,t){var n=function(ie,ye,Rt,ot){var je,Fe,Z,_e,Se,ce=ye;A||(A=!0,x&&r.clearTimeout(x),i=void 0,f=ot||"",ne.readyState=ie>0?4:0,je=ie>=200&&ie<300||ie===304,Rt&&(_e=Za(C,ne,Rt)),!je&&a.inArray("script",C.dataTypes)>-1&&a.inArray("json",C.dataTypes)<0&&(C.converters["text script"]=function(){}),_e=es(C,_e,ne,je),je?(C.ifModified&&(Se=ne.getResponseHeader("Last-Modified"),Se&&(a.lastModified[c]=Se),Se=ne.getResponseHeader("etag"),Se&&(a.etag[c]=Se)),ie===204||C.type==="HEAD"?ce="nocontent":ie===304?ce="notmodified":(ce=_e.state,Fe=_e.data,Z=_e.error,je=!Z)):(Z=ce,(ie||!ce)&&(ce="error",ie<0&&(ie=0))),ne.status=ie,ne.statusText=(ye||ce)+"",je?Y.resolveWith(F,[Fe,ce,ne]):Y.rejectWith(F,[ne,ce,Z]),ne.statusCode(pe),pe=void 0,T&&re.trigger(je?"ajaxSuccess":"ajaxError",[ne,C,je?Fe:Z]),rt.fireWith(F,[ne,ce]),T&&(re.trigger("ajaxComplete",[ne,C]),--a.active||a.event.trigger("ajaxStop")))};typeof e=="object"&&(t=e,e=void 0),t=t||{};var i,c,f,d,x,y,A,T,M,I,C=a.ajaxSetup({},t),F=C.context||C,re=C.context&&(F.nodeType||F.jquery)?a(F):a.event,Y=a.Deferred(),rt=a.Callbacks("once memory"),pe=C.statusCode||{},oe={},V={},Le="canceled",ne={readyState:0,getResponseHeader:function(ie){var ye;if(A){if(!d)for(d={};ye=zs.exec(f);)d[ye[1].toLowerCase()+" "]=(d[ye[1].toLowerCase()+" "]||[]).concat(ye[2]);ye=d[ie.toLowerCase()+" "]}return ye==null?null:ye.join(", ")},getAllResponseHeaders:function(){return A?f:null},setRequestHeader:function(ie,ye){return A==null&&(ie=V[ie.toLowerCase()]=V[ie.toLowerCase()]||ie,oe[ie]=ye),this},overrideMimeType:function(ie){return A==null&&(C.mimeType=ie),this},statusCode:function(ie){var ye;if(ie)if(A)ne.always(ie[ne.status]);else for(ye in ie)pe[ye]=[pe[ye],ie[ye]];return this},abort:function(ie){var ye=ie||Le;return i&&i.abort(ye),n(0,ye),this}};if(Y.promise(ne),C.url=((e||C.url||mn.href)+"").replace(Rs,mn.protocol+"//"),C.type=t.method||t.type||C.method||C.type,C.dataTypes=(C.dataType||"*").toLowerCase().match(nt)||[""],C.crossDomain==null){y=te.createElement("a");try{y.href=C.url,y.href=y.href,C.crossDomain=Pr.protocol+"//"+Pr.host!=y.protocol+"//"+y.host}catch(Te){C.crossDomain=!0}}if(C.data&&C.processData&&typeof C.data!="string"&&(C.data=a.param(C.data,C.traditional)),Jo(ki,C,t,ne),A)return ne;T=a.event&&C.global,T&&a.active++===0&&a.event.trigger("ajaxStart"),C.type=C.type.toUpperCase(),C.hasContent=!Ns.test(C.type),c=C.url.replace(js,""),C.hasContent?C.data&&C.processData&&(C.contentType||"").indexOf("application/x-www-form-urlencoded")===0&&(C.data=C.data.replace(Os,"+")):(I=C.url.slice(c.length),C.data&&(C.processData||typeof C.data=="string")&&(c+=(Rr.test(c)?"&":"?")+C.data,delete C.data),C.cache===!1&&(c=c.replace(Ds,"$1"),I=(Rr.test(c)?"&":"?")+"_="+wi.guid+++I),C.url=c+I),C.ifModified&&(a.lastModified[c]&&ne.setRequestHeader("If-Modified-Since",a.lastModified[c]),a.etag[c]&&ne.setRequestHeader("If-None-Match",a.etag[c])),(C.data&&C.hasContent&&C.contentType!==!1||t.contentType)&&ne.setRequestHeader("Content-Type",C.contentType),ne.setRequestHeader("Accept",C.dataTypes[0]&&C.accepts[C.dataTypes[0]]?C.accepts[C.dataTypes[0]]+(C.dataTypes[0]!=="*"?", "+_i+"; q=0.01":""):C.accepts["*"]);for(M in C.headers)ne.setRequestHeader(M,C.headers[M]);if(C.beforeSend&&(C.beforeSend.call(F,ne,C)===!1||A))return ne.abort();if(Le="abort",rt.add(C.complete),ne.done(C.success),ne.fail(C.error),i=Jo(Ir,C,t,ne),!i)n(-1,"No Transport");else{if(ne.readyState=1,T&&re.trigger("ajaxSend",[ne,C]),A)return ne;C.async&&C.timeout>0&&(x=r.setTimeout(function(){ne.abort("timeout")},C.timeout));try{A=!1,i.send(oe,n)}catch(Te){if(A)throw Te;n(-1,Te)}}return ne},getJSON:function(e,t,n){return a.get(e,t,n,"json")},getScript:function(e,t){return a.get(e,void 0,t,"script")}}),a.each(["get","post"],function(s,e){a[e]=function(t,n,i,c){return J(n)&&(c=c||i,i=n,n=void 0),a.ajax(a.extend({url:t,type:e,dataType:c,data:n,success:i},a.isPlainObject(t)&&t))}}),a.ajaxPrefilter(function(s){var e;for(e in s.headers)e.toLowerCase()==="content-type"&&(s.contentType=s.headers[e]||"")}),a._evalUrl=function(s,e,t){return a.ajax({url:s,type:"GET",dataType:"script",cache:!0,async:!1,global:!1,converters:{"text script":function(){}},dataFilter:function(i){a.globalEval(i,e,t)}})},a.fn.extend({wrapAll:function(e){var t;return this[0]&&(J(e)&&(e=e.call(this[0])),t=a(e,this[0].ownerDocument).eq(0).clone(!0),this[0].parentNode&&t.insertBefore(this[0]),t.map(function(){for(var n=this;n.firstElementChild;)n=n.firstElementChild;return n}).append(this)),this},wrapInner:function(e){return J(e)?this.each(function(t){a(this).wrapInner(e.call(this,t))}):this.each(function(){var t=a(this),n=t.contents();n.length?n.wrapAll(e):t.append(e)})},wrap:function(e){var t=J(e);return this.each(function(n){a(this).wrapAll(t?e.call(this,n):e)})},unwrap:function(e){return this.parent(e).not("body").each(function(){a(this).replaceWith(this.childNodes)}),this}}),a.expr.pseudos.hidden=function(s){return!a.expr.pseudos.visible(s)},a.expr.pseudos.visible=function(s){return!!(s.offsetWidth||s.offsetHeight||s.getClientRects().length)},a.ajaxSettings.xhr=function(){try{return new r.XMLHttpRequest}catch(s){}};var Ms={0:200,1223:204},gn=a.ajaxSettings.xhr();le.cors=!!gn&&"withCredentials"in gn,le.ajax=gn=!!gn,a.ajaxTransport(function(s){var e,t;if(le.cors||gn&&!s.crossDomain)return{send:function(i,c){var f,d=s.xhr();if(d.open(s.type,s.url,s.async,s.username,s.password),s.xhrFields)for(f in s.xhrFields)d[f]=s.xhrFields[f];s.mimeType&&d.overrideMimeType&&d.overrideMimeType(s.mimeType),!s.crossDomain&&!i["X-Requested-With"]&&(i["X-Requested-With"]="XMLHttpRequest");for(f in i)d.setRequestHeader(f,i[f]);e=function(x){return function(){e&&(e=t=d.onload=d.onerror=d.onabort=d.ontimeout=d.onreadystatechange=null,x==="abort"?d.abort():x==="error"?typeof d.status!="number"?c(0,"error"):c(d.status,d.statusText):c(Ms[d.status]||d.status,d.statusText,(d.responseType||"text")!=="text"||typeof d.responseText!="string"?{binary:d.response}:{text:d.responseText},d.getAllResponseHeaders()))}},d.onload=e(),t=d.onerror=d.ontimeout=e("error"),d.onabort!==void 0?d.onabort=t:d.onreadystatechange=function(){d.readyState===4&&r.setTimeout(function(){e&&t()})},e=e("abort");try{d.send(s.hasContent&&s.data||null)}catch(x){if(e)throw x}},abort:function(){e&&e()}}}),a.ajaxPrefilter(function(s){s.crossDomain&&(s.contents.script=!1)}),a.ajaxSetup({accepts:{script:"text/javascript, application/javascript, application/ecmascript, application/x-ecmascript"},contents:{script:/\b(?:java|ecma)script\b/},converters:{"text script":function(s){return a.globalEval(s),s}}}),a.ajaxPrefilter("script",function(s){s.cache===void 0&&(s.cache=!1),s.crossDomain&&(s.type="GET")}),a.ajaxTransport("script",function(s){if(s.crossDomain||s.scriptAttrs){var e,t;return{send:function(i,c){e=a("<script>").attr(s.scriptAttrs||{}).prop({charset:s.scriptCharset,src:s.url}).on("load error",t=function(f){e.remove(),t=null,f&&c(f.type==="error"?404:200,f.type)}),te.head.appendChild(e[0])},abort:function(){t&&t()}}}});var Ci=[],Hr=/(=)\?(?=&|$)|\?\?/;a.ajaxSetup({jsonp:"callback",jsonpCallback:function(){var e=Ci.pop()||a.expando+"_"+wi.guid++;return this[e]=!0,e}}),a.ajaxPrefilter("json jsonp",function(s,e,t){var n,i,c,f=s.jsonp!==!1&&(Hr.test(s.url)?"url":typeof s.data=="string"&&(s.contentType||"").indexOf("application/x-www-form-urlencoded")===0&&Hr.test(s.data)&&"data");if(f||s.dataTypes[0]==="jsonp")return n=s.jsonpCallback=J(s.jsonpCallback)?s.jsonpCallback():s.jsonpCallback,f?s[f]=s[f].replace(Hr,"$1"+n):s.jsonp!==!1&&(s.url+=(Rr.test(s.url)?"&":"?")+s.jsonp+"="+n),s.converters["script json"]=function(){return c||a.error(n+" was not called"),c[0]},s.dataTypes[0]="json",i=r[n],r[n]=function(){c=arguments},t.always(function(){i===void 0?a(r).removeProp(n):r[n]=i,s[n]&&(s.jsonpCallback=e.jsonpCallback,Ci.push(n)),c&&J(i)&&i(c[0]),c=i=void 0}),"script"}),le.createHTMLDocument=function(){var s=te.implementation.createHTMLDocument("").body;return s.innerHTML="<form></form><form></form>",s.childNodes.length===2}(),a.parseHTML=function(s,e,t){if(typeof s!="string")return[];typeof e=="boolean"&&(t=e,e=!1);var n,i,c;return e||(le.createHTMLDocument?(e=te.implementation.createHTMLDocument(""),n=e.createElement("base"),n.href=te.location.href,e.head.appendChild(n)):e=te),i=oi.exec(s),c=!t&&[],i?[e.createElement(i[1])]:(i=wt([s],e,c),c&&c.length&&a(c).remove(),a.merge([],i.childNodes))},a.fn.load=function(s,e,t){var n,i,c,f=this,d=s.indexOf(" ");return d>-1&&(n=Dt(s.slice(d)),s=s.slice(0,d)),J(e)?(t=e,e=void 0):e&&typeof e=="object"&&(i="POST"),f.length>0&&a.ajax({url:s,type:i||"GET",dataType:"html",data:e}).done(function(x){c=arguments,f.html(n?a("<div>").append(a.parseHTML(x)).find(n):x)}).always(t&&function(x,y){f.each(function(){t.apply(this,c||[x.responseText,y,x])})}),this},a.expr.pseudos.animated=function(s){return a.grep(a.timers,function(e){return s===e.elem}).length},a.offset={setOffset:function(e,t,n){var i,c,f,d,x,y,A,T=a.css(e,"position"),M=a(e),I={};T==="static"&&(e.style.position="relative"),x=M.offset(),f=a.css(e,"top"),y=a.css(e,"left"),A=(T==="absolute"||T==="fixed")&&(f+y).indexOf("auto")>-1,A?(i=M.position(),d=i.top,c=i.left):(d=parseFloat(f)||0,c=parseFloat(y)||0),J(t)&&(t=t.call(e,n,a.extend({},x))),t.top!=null&&(I.top=t.top-x.top+d),t.left!=null&&(I.left=t.left-x.left+c),"using"in t?t.using.call(e,I):M.css(I)}},a.fn.extend({offset:function(e){if(arguments.length)return e===void 0?this:this.each(function(c){a.offset.setOffset(this,e,c)});var t,n,i=this[0];if(i)return i.getClientRects().length?(t=i.getBoundingClientRect(),n=i.ownerDocument.defaultView,{top:t.top+n.pageYOffset,left:t.left+n.pageXOffset}):{top:0,left:0}},position:function(){if(this[0]){var e,t,n,i=this[0],c={top:0,left:0};if(a.css(i,"position")==="fixed")t=i.getBoundingClientRect();else{for(t=this.offset(),n=i.ownerDocument,e=i.offsetParent||n.documentElement;e&&(e===n.body||e===n.documentElement)&&a.css(e,"position")==="static";)e=e.parentNode;e&&e!==i&&e.nodeType===1&&(c=a(e).offset(),c.top+=a.css(e,"borderTopWidth",!0),c.left+=a.css(e,"borderLeftWidth",!0))}return{top:t.top-c.top-a.css(i,"marginTop",!0),left:t.left-c.left-a.css(i,"marginLeft",!0)}}},offsetParent:function(){return this.map(function(){for(var e=this.offsetParent;e&&a.css(e,"position")==="static";)e=e.offsetParent;return e||Nt})}}),a.each({scrollLeft:"pageXOffset",scrollTop:"pageYOffset"},function(s,e){var t=e==="pageYOffset";a.fn[s]=function(n){return dt(this,function(i,c,f){var d;if(Yt(i)?d=i:i.nodeType===9&&(d=i.defaultView),f===void 0)return d?d[e]:i[c];d?d.scrollTo(t?d.pageXOffset:f,t?f:d.pageYOffset):i[c]=f},s,n,arguments.length)}}),a.each(["top","left"],function(s,e){a.cssHooks[e]=Gt(le.pixelPosition,function(t,n){if(n)return n=ct(t,e),zr.test(n)?a(t).position()[e]+"px":n})}),a.each({Height:"height",Width:"width"},function(s,e){a.each({padding:"inner"+s,content:e,"":"outer"+s},function(t,n){a.fn[n]=function(i,c){var f=arguments.length&&(t||typeof i!="boolean"),d=t||(i===!0||c===!0?"margin":"border");return dt(this,function(x,y,A){var T;return Yt(x)?n.indexOf("outer")===0?x["inner"+s]:x.document.documentElement["client"+s]:x.nodeType===9?(T=x.documentElement,Math.max(x.body["scroll"+s],T["scroll"+s],x.body["offset"+s],T["offset"+s],T["client"+s])):A===void 0?a.css(x,y,d):a.style(x,y,A,d)},e,f?i:void 0,f)}})}),a.each(["ajaxStart","ajaxStop","ajaxComplete","ajaxError","ajaxSuccess","ajaxSend"],function(s,e){a.fn[e]=function(t){return this.on(e,t)}}),a.fn.extend({bind:function(e,t,n){return this.on(e,null,t,n)},unbind:function(e,t){return this.off(e,null,t)},delegate:function(e,t,n,i){return this.on(t,e,n,i)},undelegate:function(e,t,n){return arguments.length===1?this.off(e,"**"):this.off(t,e||"**",n)},hover:function(e,t){return this.mouseenter(e).mouseleave(t||e)}}),a.each("blur focus focusin focusout resize scroll click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select submit keydown keypress keyup contextmenu".split(" "),function(s,e){a.fn[e]=function(t,n){return arguments.length>0?this.on(e,null,t,n):this.trigger(e)}});var Is=/^[\s\uFEFF\xA0]+|([^\s\uFEFF\xA0])[\s\uFEFF\xA0]+$/g;a.proxy=function(s,e){var t,n,i;if(typeof e=="string"&&(t=s[e],e=s,s=t),!!J(s))return n=xt.call(arguments,2),i=function(){return s.apply(e||this,n.concat(xt.call(arguments)))},i.guid=s.guid=s.guid||a.guid++,i},a.holdReady=function(s){s?a.readyWait++:a.ready(!0)},a.isArray=Array.isArray,a.parseJSON=JSON.parse,a.nodeName=b,a.isFunction=J,a.isWindow=Yt,a.camelCase=Ce,a.type=p,a.now=Date.now,a.isNumeric=function(s){var e=a.type(s);return(e==="number"||e==="string")&&!isNaN(s-parseFloat(s))},a.trim=function(s){return s==null?"":(s+"").replace(Is,"$1")},typeof define=="function"&&define.amd&&define("jquery",[],function(){return a});var Ps=r.jQuery,Hs=r.$;return a.noConflict=function(s){return r.$===a&&(r.$=Hs),s&&r.jQuery===a&&(r.jQuery=Ps),a},(typeof o=="undefined"?"undefined":_typeof(o))>"u"&&(r.jQuery=r.$=a),a})}),Lo={};Fa(Lo,{default:function(){return yt}});var Wa=Ho(Bo());qa(Lo,Ho(Bo()));var Fo=Wa,qo=Fo.default,Ua=Pi(Fo,["default"]),yt=qo!==void 0?qo:Ua;window.jQuery=yt,window.$=yt;var Nn=location.hostname==="localhost"||location.host.match(/^(www|cat)-[a-z0-9]+\.archive\.org$/)||location.host.match(/\.code\.archive\.org$/)||location.host.match(/\.dev\.archive\.org$/)||location.host.match(/^ia-petabox-/)?console.log.bind(console):function(){},Wo=function(){"use strict";function h(){_classCallCheck(this,h)}return _createClass(h,null,[{key:"get_banner_height",value:function(){return yt("#donate_banner").outerHeight()}},{key:"postMessage",value:function(r){var o=arguments.length>1&&arguments[1]!==void 0?arguments[1]:0;Nn("postin",{event:r,incomingValue:o});var l=h.get_banner_height(),p=h.preventResizeEventResponse?h.calculateBannerWithReminderForm():0,v=Math.max(p,o);window.parent.postMessage(JSON.stringify({event:r,value:v,bannerHeight:l}),"*"),r==="close modal"&&h.adjust_height()}},{key:"openReminderForm",value:function(){h.preventResizeEventResponse=!0,h.postMessage("set height"),window.scrollTo(0,0)}},{key:"closeReminderForm",value:function(){h.preventResizeEventResponse=!1,h.postMessage("close modal"),window.scrollTo(0,0)}},{key:"onSubmitReminderForm",value:function(){var r=arguments.length>0&&arguments[0]!==void 0?arguments[0]:0;h.preventResizeEventResponse=!1,h.postMessage("set cookie",r)}},{key:"calculateBannerWithReminderForm",value:function(){var r=document.querySelector(".js-donate-banner"),o=document.querySelector(".js-donate-form"),l=document.querySelector(".js-donate-later-dropdown"),p=15,v=r.offsetHeight,b=l.offsetHeight,k=o.offsetHeight+o.offsetTop,E=v-k,R=v-E+b+p;return R}},{key:"adjust_height",value:function(r){var o=r!=null?r:h.get_banner_height();h.postMessage("set height",o),Nn({banner_height:o}),this.currentBannerHeight=o}},{key:"init",value:function(){Nn("donato tornado"),yt(window).on("resize  orientationchange",function(){h.fixBannerHeightIfNeeded(),clearTimeout(h.adjust_height_throttler),h.adjust_height_throttler=setTimeout(h.adjust_height,100)}),this.currentWindowWidth=window.innerWidth,this.currentBannerHeight=h.get_banner_height(),h.adjust_height()}},{key:"fixBannerHeightIfNeeded",value:function(){if(window.innerWidth===this.currentWindowWidth){var r=h.get_banner_height();r!==this.currentBannerHeight&&(Nn("Performing banner height correction: current, new",this.currentBannerHeight,r),h.adjust_height(r))}else this.currentWindowWidth=window.innerWidth}}]),h}();Wo.preventResizeEventResponse=!1;var st=Wo,Va=function(){"use strict";function h(u){_classCallCheck(this,h),this.analyticsBackend=u||window.archive_analytics}return _createClass(h,[{key:"send_event",value:function(r,o,l,p){this.analyticsBackend&&this.analyticsBackend.send_event(r,o,l,p)}},{key:"send_event_no_sampling",value:function(r,o,l,p){this.analyticsBackend&&this.analyticsBackend.send_event_no_sampling(r,o,l,p)}}]),h}(),Xa=27,Rn="RemindForm",Ga=function(){"use strict";function h(u,r,o){_classCallCheck(this,h),this.$form=u,this.$trigger=r,this.setDonationCookie=o||$.noop}return _createClass(h,[{key:"setup",value:function(){var r=this,o=$("#donate_dropdown"),l=$("#close_donate_dropdown"),p=this.$form.attr("data-base-url")||"https://archive.org";this.$trigger.on("click.".concat(Rn),function(v){o.hasClass("is-open")||o.addClass("is-open"),r.$form.find("input").filter(function(b,k){return!k.value}).eq(0).focus(),st.openReminderForm(),v.preventDefault()}),l.on("click.".concat(Rn),function(){o.removeClass("is-open"),st.closeReminderForm(),r.$trigger.focus()}),$(window).on("keydown.".concat(Rn),function(v){var b=o.hasClass("is-open");b&&v.keyCode===Xa&&l.click()}),this.$form.on("submit.".concat(Rn),function(v){var b=r;if(v.preventDefault(),!h.validateDonorEmail(r.$form.find("[name=email]").val())){r.$form.find(".error-email").show();return}["first_name","last_name"].forEach(function(E){h.validateNameField(b.$form.find("[name='".concat(E,"']")).val())||b.$form.find("[name='".concat(E,"']")).val("")});var k=r.$trigger.attr("data-source-context")||"";typeof archive_analytics!="undefined"&&archive_analytics.send_event_no_sampling("DonateBanner".concat(k),"MaybeLaterFormSubmit",window.location.pathname),r.sendForm(p)})}},{key:"sendForm",value:function(r){var o=this,l=$("#donate_reminder_success").addClass("hidden"),p=function(v,b){return"<h2>".concat(v,"</h2><p>").concat(b,"</p>")};$.ajax({type:"post",url:"".concat(r,"/donate/remindDonate.php"),data:this.$form.serialize(),success:function(){o.$form.addClass("hidden"),l.html(p("Thank You!","We'll be in touch in the next few days with a reminder to donate to the Internet Archive.")).removeClass("hidden");var v=90;o.setDonationCookie(v),st.onSubmitReminderForm(v)},error:function(){l.html(p("Hmmm...","Something is amiss. Can you try again in a little while?")).removeClass("hidden")}})}}],[{key:"validateDonorEmail",value:function(r){return/.+@.+\..+/.test(r)}},{key:"validateNameField",value:function(r){return!/[<>&:?'"]/.test(r)}}]),h}();console==null||console.log("donation-banner loaded",{version:"1.1.1"});var Ya=function(){"use strict";function h(){_classCallCheck(this,h)}return _createClass(h,[{key:"addCloseSupport",value:function(){var r=function(){var p=42;st.postMessage("hide banner",p),this.bannerElement.style.display="none",this.logEvent("CloseClicked",!0),this.setDonationCookie(p)},o=document.getElementById("donate-close-button");o&&o.addEventListener("click",r.bind(this))}},{key:"initialize",value:function(){if(this.bannerElement){this.donationInfoError=!1,this.addCloseSupport(),this.setupDonationForm(),this.setupThermometer(),this.setupMinimalDonateButton(),this.setupSnow(),st.init();var r=new Ga(yt("#donate_reminder_form"),yt("#donate_later"),this.setDonationCookie);r.setup(),this.logEvent("Viewed")}}},{key:"setDonationCookie",value:function(r){h.setDonationCookie(r),st.postMessage("set cookie",r)}},{key:"bannerElement",get:function(){return document.querySelector("#donate_banner")}},{key:"donationFormElement",get:function(){return document.querySelector("donation-form-edit-donation")}},{key:"bannerThermometerElement",get:function(){return document.querySelector("donation-banner-thermometer")}},{key:"minimalDonateButtonElement",get:function(){return document.querySelector("#minimal-donate-button")}},{key:"donationOrigin",get:function(){var r=this.bannerElement,o=r.dataset.exp,l=r.dataset.variant,p;try{p=window.parent.innerWidth}catch(k){p=st.currentWindowWidth}var v=p<768?"Mobile":"Desktop",b="DonateBanner-".concat(o,"-").concat(l,"-").concat(v);return console.log("PSA Donation Banner donationOrigin: ",{responsiveMode:v,currentWindowWidth:p,origin:b}),b}},{key:"setupSnow",value:function(){if(this.bannerElement.dataset.snowfall==="on"){var r=new er({container:document.querySelector("#donate-body-background-layer2"),count:100,minOpacity:.08,maxOpacity:.15,minSize:4,maxSize:8,rotation:!0,speed:.15});r.start()}}},{key:"setupMinimalDonateButton",value:function(){var r=this,o=this.minimalDonateButtonElement;o&&o.addEventListener("click",function(){r.logEvent("MinimalDonateButtonClicked"),st.postMessage("set cookie",30),window.top.location=r.baseDonatePageUrl})}},{key:"baseDonatePageUrl",get:function(){var r=this.bannerElement,o=r.dataset.baseurl,l=r.dataset.donationsourcedata,p=r.dataset.variantdollaramounts,v=r.dataset.variantamountlayout,b=r.dataset.variantfrequencymode,k=r.dataset.bannertemplate,E=r.dataset.platform,R=new URLSearchParams;this.donationOrigin&&R.set("origin",this.donationOrigin),l&&R.set("referer",l),p&&R.set("dollarAmounts",p),v&&R.set("amountLayout",v),b&&R.set("frequencyMode",b),E&&R.set("platform",E),k&&R.set("bannerTemplate",k);var L="".concat(o,"/donate?").concat(R.toString());return L}},{key:"setupDonationForm",value:function(){var r=this,o=this.donationFormElement;if(o){var l=o.donationInfo,p=this.bannerElement.classList.contains("formdesign-psa");if(p){var v=this,b=document.querySelector("#psa-cta");if(console.log("PSA Donation Banner CTA: ",b),!b)return;b.addEventListener("click",function(E){var R="".concat(v.baseDonatePageUrl,"&amt=").concat(l.amount);v.logEvent("ContinueClicked"),v.setDonationCookie(3),console==null||console.log("donationInfoChanged - IN minimal banner check - post cookie",{url:R}),window.top.location=R});return}o.addEventListener("donationInfoChanged",function(E){r.donationInfoError=!1,l=E.detail.donationInfo;var R=r.bannerElement.classList.contains("formdesign-minimal");if(console==null||console.log("donationInfoChanged",Cn({isMinimalBanner:R},l)),R){var L="".concat(r.baseDonatePageUrl,"&amt=").concat(l.amount);r.logEvent("ContinueClicked"),r.setDonationCookie(3),console==null||console.log("donationInfoChanged - IN minimal banner check - post cookie",{url:L}),window.top.location=L}}),o.addEventListener("editDonationError",function(E){r.donationInfoError=!0});var k=document.querySelector("#continue-button");k&&k.addEventListener("click",function(){if(!r.donationInfoError){r.logEvent("ContinueClicked");var E=r.bannerElement.dataset,R=E.selectedtextcolor?"&selectedTextColor=".concat(encodeURIComponent(E.selectedtextcolor)):"",L=E.selectedfillcolor?"&selectedFillColor=".concat(encodeURIComponent(E.selectedfillcolor)):"";E.donatepageselectedfillcolor&&(L="&selectedFillColor=".concat(encodeURIComponent(E.donatepageselectedfillcolor))),E.donatepageselectedtextcolor&&(R="&selectedTextColor=".concat(encodeURIComponent(E.donatepageselectedtextcolor)));var q=E.formtextcolor?"&formTextColor=".concat(encodeURIComponent(E.formtextcolor)):"",ue="".concat(r.baseDonatePageUrl,"&amt=").concat(l.amount,"&contrib_type=").concat(l.donationType,"&coverFees=").concat(l.coverFees).concat(R).concat(L).concat(q);st.postMessage("set cookie",30),window.top.location=ue}})}}},{key:"setupThermometer",value:function(){var r=this.bannerThermometerElement;if(r){var o=new Po;r.resizeObserver=o}}},{key:"logEvent",value:function(r){var o=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1,l=new Va,p=this.bannerElement,v=p.dataset.debugmode==="true",b=p.dataset.platform,k=v?"DonateBannerDebug":"DonateBanner";o||r==="Viewed"&&(b==="ia"||b==="wb")?l.send_event(k,r,this.donationOrigin):l.send_event_no_sampling(k,r,this.donationOrigin)}}],[{key:"setDonationCookie",value:function(r){var o=parseInt(r,10);if(o){var l={path:"/",expires:o,domain:".archive.org"};eo.set("donation","x",l),eo.set("donation","x",yt.extend(l,{domain:".openlibrary.org"}))}}}]),h}();document.addEventListener("DOMContentLoaded",function(){var h=new Ya;h.initialize()})})();/*! Bundled license information:

js-cookie/dist/js.cookie.mjs:
  (*! js-cookie v3.0.5 | MIT *)
*//*! Bundled license information:

magic-snowflakes/dist/snowflakes.esm.js:
  (*! Snowflakes | © 2023 Denis Seleznev | MIT License | https://github.com/hcodes/snowflakes/ *)
*//*! Bundled license information:

@lit/reactive-element/css-tag.js:
  (**
   * @license
   * Copyright 2019 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/reactive-element.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

lit-html/lit-html.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

lit-element/lit-element.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

lit-html/is-server.js:
  (**
   * @license
   * Copyright 2022 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/custom-element.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/property.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/state.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/base.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/event-options.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/query.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/query-all.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/query-async.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/query-assigned-elements.js:
  (**
   * @license
   * Copyright 2021 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

@lit/reactive-element/decorators/query-assigned-nodes.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*//*! Bundled license information:

currency.js/dist/currency.es.js:
  (*!
   * currency.js - v2.0.4
   * http://scurker.github.io/currency.js
   *
   * Copyright (c) 2021 Jason Wilson
   * Released under MIT license
   *)
*//*! Bundled license information:

jquery/dist/jquery.js:
  (*!
   * jQuery JavaScript Library v3.6.1
   * https://jquery.com/
   *
   * Includes Sizzle.js
   * https://sizzlejs.com/
   *
   * Copyright OpenJS Foundation and other contributors
   * Released under the MIT license
   * https://jquery.org/license
   *
   * Date: 2022-08-26T17:52Z
   *)
*/

// @license-end
//# sourceMappingURL=donation-banner.min.js.map